=== modified file 'about.py'
--- about.py	2011-03-14 20:12:19 +0000
+++ about.py	2011-07-31 15:52:43 +0000
@@ -20,7 +20,7 @@
 except:
     pass
 
-import gtk
+from gi.repository import Gtk
 import os
 
 import bzrlib
@@ -49,14 +49,14 @@
     return credits
 
 
-class AboutDialog(gtk.AboutDialog):
+class AboutDialog(Gtk.AboutDialog):
     def __init__(self):
         super(AboutDialog, self).__init__()
         self.set_name("Bazaar GTK")
         self.set_version(bzrlib.plugins.gtk.version_string)
         self.set_website("http://bazaar-vcs.org/BzrGtk")
         self.set_license(read_license())
-        self.set_logo(gtk.gdk.pixbuf_new_from_file(icon_path("bzr-icon-64.png")))
+        self.set_logo(GdkPixbuf.Pixbuf.new_from_file(icon_path("bzr-icon-64.png")))
         credits = load_credits()
         if credits is not None:
             (authors, documenters, artists, translators) = credits

=== modified file 'annotate/config.py'
--- annotate/config.py	2011-06-17 12:54:05 +0000
+++ annotate/config.py	2011-07-31 15:52:43 +0000
@@ -16,7 +16,7 @@
 
 import os
 
-import gtk.gdk
+import Gtk.gdk
 
 from bzrlib import config
 try:
@@ -74,7 +74,7 @@
         self.pane.connect("notify", self._save_pane_props)
 
     def _save_window_props(self, w, e, *args):
-        if e.window.get_state() & gtk.gdk.WINDOW_STATE_MAXIMIZED:
+        if e.window.get_state() & Gdk.WINDOW_STATE_MAXIMIZED:
             maximized = True
         else:
             self["window"]["width"], self["window"]["height"] = w.get_size()

=== modified file 'annotate/gannotate.py'
--- annotate/gannotate.py	2011-03-23 09:49:44 +0000
+++ annotate/gannotate.py	2011-07-31 15:52:43 +0000
@@ -18,9 +18,9 @@
 
 import pygtk
 pygtk.require("2.0")
-import gobject
-import gtk
-import pango
+from gi.repository import GObject
+from gi.repository import Gtk
+from gi.repository import Pango
 import re
 
 from bzrlib import patiencediff
@@ -52,7 +52,7 @@
 
         Window.__init__(self, parent)
 
-        self.set_icon(self.render_icon(gtk.STOCK_FIND, gtk.ICON_SIZE_BUTTON))
+        self.set_icon(self.render_icon(Gtk.STOCK_FIND, Gtk.IconSize.BUTTON))
         self.annotate_colormap = AnnotateColorSaturation()
 
         self._create()
@@ -70,12 +70,12 @@
                                    lambda: CURRENT_REVISION)()
 
         # [revision id, line number, author, revno, highlight color, line]
-        self.annomodel = gtk.ListStore(gobject.TYPE_STRING,
-                                       gobject.TYPE_INT,
-                                       gobject.TYPE_STRING,
-                                       gobject.TYPE_STRING,
-                                       gobject.TYPE_STRING,
-                                       gobject.TYPE_STRING)
+        self.annomodel = Gtk.ListStore(GObject.TYPE_STRING,
+                                       GObject.TYPE_INT,
+                                       GObject.TYPE_STRING,
+                                       GObject.TYPE_STRING,
+                                       GObject.TYPE_STRING,
+                                       GObject.TYPE_STRING)
 
         last_seen = None
         try:
@@ -193,21 +193,21 @@
         self.revisionview = self._create_log_view()
         self.annoview = self._create_annotate_view()
 
-        vbox = gtk.VBox(False)
+        vbox = Gtk.VBox(False)
         vbox.show()
 
-        sw = gtk.ScrolledWindow()
-        sw.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
-        sw.set_shadow_type(gtk.SHADOW_IN)
+        sw = Gtk.ScrolledWindow()
+        sw.set_policy(Gtk.PolicyType.AUTOMATIC, Gtk.PolicyType.AUTOMATIC)
+        sw.set_shadow_type(Gtk.ShadowType.IN)
         sw.add(self.annoview)
         self.annoview.gwindow = self
         sw.show()
 
-        swbox = gtk.VBox()
-        swbox.pack_start(sw)
+        swbox = Gtk.VBox()
+        swbox.pack_start(sw, True, True, 0)
         swbox.show()
 
-        hbox = gtk.HBox(False, 6)
+        hbox = Gtk.HBox(False, 6)
         self.back_button = self._create_back_button()
         hbox.pack_start(self.back_button, expand=False, fill=True)
         self.forward_button = self._create_forward_button()
@@ -219,7 +219,7 @@
         hbox.show()
         vbox.pack_start(hbox, expand=False, fill=True)
 
-        self.pane = pane = gtk.VPaned()
+        self.pane = pane = Gtk.VPaned()
         pane.add1(swbox)
         pane.add2(self.revisionview)
         pane.show()
@@ -227,12 +227,12 @@
 
         self._search = SearchBox()
         swbox.pack_start(self._search, expand=False, fill=True)
-        accels = gtk.AccelGroup()
-        accels.connect_group(gtk.keysyms.f, gtk.gdk.CONTROL_MASK,
-                             gtk.ACCEL_LOCKED,
+        accels = Gtk.AccelGroup()
+        accels.connect_group(Gdk.KEY_f, Gdk.EventMask.CONTROL_MASK,
+                             Gtk.ACCEL_LOCKED,
                              self._search_by_text)
-        accels.connect_group(gtk.keysyms.g, gtk.gdk.CONTROL_MASK,
-                             gtk.ACCEL_LOCKED,
+        accels.connect_group(Gdk.KEY_g, Gdk.EventMask.CONTROL_MASK,
+                             Gtk.ACCEL_LOCKED,
                              self._search_by_line)
         self.add_accel_group(accels)
 
@@ -267,52 +267,52 @@
 
 
     def _create_annotate_view(self):
-        tv = gtk.TreeView()
+        tv = Gtk.TreeView()
         tv.set_rules_hint(False)
         tv.connect("cursor-changed", self._activate_selected_revision)
         tv.show()
         tv.connect("row-activated", self.line_diff)
 
-        cell = gtk.CellRendererText()
+        cell = Gtk.CellRendererText()
         cell.set_property("xalign", 1.0)
         cell.set_property("ypad", 0)
         cell.set_property("family", "Monospace")
         cell.set_property("cell-background-gdk",
-                          tv.get_style().bg[gtk.STATE_NORMAL])
-        col = gtk.TreeViewColumn()
+                          tv.get_style().bg[Gtk.StateType.NORMAL])
+        col = Gtk.TreeViewColumn()
         col.set_resizable(False)
-        col.pack_start(cell, expand=True)
+        col.pack_start(cell, True, True, 0)
         col.add_attribute(cell, "text", LINE_NUM_COL)
         tv.append_column(col)
 
-        cell = gtk.CellRendererText()
+        cell = Gtk.CellRendererText()
         cell.set_property("ypad", 0)
-        cell.set_property("ellipsize", pango.ELLIPSIZE_END)
+        cell.set_property("ellipsize", Pango.EllipsizeMode.END)
         cell.set_property("cell-background-gdk",
-                          self.get_style().bg[gtk.STATE_NORMAL])
-        col = gtk.TreeViewColumn("Committer")
+                          self.get_style().bg[Gtk.StateType.NORMAL])
+        col = Gtk.TreeViewColumn("Committer")
         col.set_resizable(True)
-        col.pack_start(cell, expand=True)
+        col.pack_start(cell, True, True, 0)
         col.add_attribute(cell, "text", COMMITTER_COL)
         tv.append_column(col)
 
-        cell = gtk.CellRendererText()
+        cell = Gtk.CellRendererText()
         cell.set_property("xalign", 1.0)
         cell.set_property("ypad", 0)
         cell.set_property("cell-background-gdk",
-                          self.get_style().bg[gtk.STATE_NORMAL])
-        col = gtk.TreeViewColumn("Revno")
+                          self.get_style().bg[Gtk.StateType.NORMAL])
+        col = Gtk.TreeViewColumn("Revno")
         col.set_resizable(False)
-        col.pack_start(cell, expand=True)
+        col.pack_start(cell, True, True, 0)
         col.add_attribute(cell, "markup", REVNO_COL)
         tv.append_column(col)
 
-        cell = gtk.CellRendererText()
+        cell = Gtk.CellRendererText()
         cell.set_property("ypad", 0)
         cell.set_property("family", "Monospace")
-        col = gtk.TreeViewColumn()
+        col = Gtk.TreeViewColumn()
         col.set_resizable(False)
-        col.pack_start(cell, expand=True)
+        col.pack_start(cell, True, True, 0)
 #        col.add_attribute(cell, "foreground", HIGHLIGHT_COLOR_COL)
         col.add_attribute(cell, "background", HIGHLIGHT_COLOR_COL)
         col.add_attribute(cell, "text", TEXT_LINE_COL)
@@ -333,41 +333,41 @@
         return lv
 
     def _create_back_button(self):
-        button = gtk.Button()
+        button = Gtk.Button()
         button.set_use_stock(True)
         button.set_label("gtk-go-back")
         button.connect("clicked", lambda w: self.go_back())
-        button.set_relief(gtk.RELIEF_NONE)
+        button.set_relief(Gtk.ReliefStyle.NONE)
         button.show()
         return button
 
     def _create_forward_button(self):
-        button = gtk.Button()
+        button = Gtk.Button()
         button.set_use_stock(True)
         button.set_label("gtk-go-forward")
         button.connect("clicked", lambda w: self.go_forward())
-        button.set_relief(gtk.RELIEF_NONE)
+        button.set_relief(Gtk.ReliefStyle.NONE)
         button.show()
         button.set_sensitive(False)
         return button
 
     def _create_find_button(self):
-        button = gtk.Button()
+        button = Gtk.Button()
         button.set_use_stock(True)
         button.set_label("gtk-find")
         button.set_tooltip_text("Search for text (Ctrl+F)")
         button.connect("clicked", self._search_by_text)
-        button.set_relief(gtk.RELIEF_NONE)
+        button.set_relief(Gtk.ReliefStyle.NONE)
         button.show()
         button.set_sensitive(True)
         return button
 
     def _create_goto_button(self):
-        button = gtk.Button()
+        button = Gtk.Button()
         button.set_label("Goto Line")
         button.set_tooltip_text("Scroll to a line by entering its number (Ctrl+G)")
         button.connect("clicked", self._search_by_line)
-        button.set_relief(gtk.RELIEF_NONE)
+        button.set_relief(Gtk.ReliefStyle.NONE)
         button.show()
         button.set_sensitive(True)
         return button
@@ -452,54 +452,54 @@
             self.__cache[revision_id] = revision
         return self.__cache[revision_id]
 
-class SearchBox(gtk.HBox):
+class SearchBox(Gtk.HBox):
     """A button box for searching in text or lines of annotations"""
     def __init__(self):
-        gtk.HBox.__init__(self, False, 6)
+        GObject.GObject.__init__(self, False, 6)
 
         # Close button
-        button = gtk.Button()
-        image = gtk.Image()
-        image.set_from_stock('gtk-stop', gtk.ICON_SIZE_BUTTON)
+        button = Gtk.Button()
+        image = Gtk.Image()
+        image.set_from_stock('gtk-stop', Gtk.IconSize.BUTTON)
         button.set_image(image)
-        button.set_relief(gtk.RELIEF_NONE)
+        button.set_relief(Gtk.ReliefStyle.NONE)
         button.connect("clicked", lambda w: self.hide_all())
         self.pack_start(button, expand=False, fill=False)
 
         # Search entry
-        label = gtk.Label()
+        label = Gtk.Label()
         self._label = label
         self.pack_start(label, expand=False, fill=False)
 
-        entry = gtk.Entry()
+        entry = Gtk.Entry()
         self._entry = entry
         entry.connect("activate", lambda w, d: self._do_search(d),
                       'forward')
         self.pack_start(entry, expand=False, fill=False)
 
         # Next/previous buttons
-        button = gtk.Button('_Next')
-        image = gtk.Image()
-        image.set_from_stock('gtk-go-forward', gtk.ICON_SIZE_BUTTON)
+        button = Gtk.Button('_Next')
+        image = Gtk.Image()
+        image.set_from_stock('gtk-go-forward', Gtk.IconSize.BUTTON)
         button.set_image(image)
         button.connect("clicked", lambda w, d: self._do_search(d),
                        'forward')
         self.pack_start(button, expand=False, fill=False)
 
-        button = gtk.Button('_Previous')
-        image = gtk.Image()
-        image.set_from_stock('gtk-go-back', gtk.ICON_SIZE_BUTTON)
+        button = Gtk.Button('_Previous')
+        image = Gtk.Image()
+        image.set_from_stock('gtk-go-back', Gtk.IconSize.BUTTON)
         button.set_image(image)
         button.connect("clicked", lambda w, d: self._do_search(d),
                        'backward')
         self.pack_start(button, expand=False, fill=False)
 
         # Search options
-        check = gtk.CheckButton('Match case')
+        check = Gtk.CheckButton('Match case')
         self._match_case = check
         self.pack_start(check, expand=False, fill=False)
 
-        check = gtk.CheckButton('Regexp')
+        check = Gtk.CheckButton('Regexp')
         check.connect("toggled", lambda w: self._set_label())
         self._regexp = check
         self.pack_start(check, expand=False, fill=False)

=== modified file 'annotate/spanselector.py'
--- annotate/spanselector.py	2011-03-14 20:12:19 +0000
+++ annotate/spanselector.py	2011-07-31 15:52:43 +0000
@@ -17,8 +17,8 @@
 
 import pygtk
 pygtk.require("2.0")
-import gobject
-import gtk
+from gi.repository import GObject
+from gi.repository import Gtk
 
 
 (
@@ -29,7 +29,7 @@
 ) = range(4)
 
 
-class SpanSelector(gtk.HBox):
+class SpanSelector(Gtk.HBox):
     """Encapsulates creation and functionality of widgets used for changing
     highlight spans.
 
@@ -41,13 +41,13 @@
     last_selected = None
 
     def __init__(self, homogeneous=False, spacing=6):
-        gtk.HBox.__init__(self, homogeneous, spacing)
+        GObject.GObject.__init__(self, homogeneous, spacing)
 
         self.model = self._create_model()
         self.combo = self._create_combobox(self.model)
         self.entry = self._create_custom_entry()
 
-        label = gtk.Label("Highlighting spans:")
+        label = Gtk.Label(label="Highlighting spans:")
         label.show()
 
         self.pack_start(label, expand=False, fill=True)
@@ -67,7 +67,7 @@
         self.max_custom_spans = n
 
     def activate(self, iter):
-        """Activate the row pointed to by gtk.TreeIter iter."""
+        """Activate the row pointed to by Gtk.TreeIter iter."""
         index = self._get_index_from_iter(iter)
         self.combo.set_active(index)
 
@@ -137,10 +137,10 @@
     def _create_model(self):
         # [span in days, span as string, row is seperator?, row is select
         # default?]
-        m = gtk.ListStore(gobject.TYPE_FLOAT,
-                          gobject.TYPE_STRING,
-                          gobject.TYPE_BOOLEAN,
-                          gobject.TYPE_BOOLEAN)
+        m = Gtk.ListStore(GObject.TYPE_FLOAT,
+                          GObject.TYPE_STRING,
+                          GObject.TYPE_BOOLEAN,
+                          GObject.TYPE_BOOLEAN)
 
         self.separator = [0., "", True, False]
 
@@ -157,10 +157,10 @@
         return m
 
     def _create_combobox(self, model):
-        cb = gtk.ComboBox(model)
+        cb = Gtk.ComboBox(model)
         cb.set_row_separator_func(
             lambda m, i: m.get_value(i, SPAN_IS_SEPARATOR_COL))
-        cell = gtk.CellRendererText()
+        cell = Gtk.CellRendererText()
         cb.pack_start(cell, False)
         cb.add_attribute(cell, "text", SPAN_STR_COL)
         cb.connect("changed", self._combo_changed_cb)
@@ -169,16 +169,16 @@
         return cb
 
     def _create_custom_entry(self):
-        entry = gtk.HBox(False, 6)
+        entry = Gtk.HBox(False, 6)
 
-        spin = gtk.SpinButton(digits=2)
+        spin = Gtk.SpinButton(digits=2)
         spin.set_numeric(True)
         spin.set_increments(1., 10.)
         spin.set_range(0., 100 * 365) # I presume 100 years is sufficient
         spin.connect("activate", self._activate_custom_span_cb)
         spin.connect("show", lambda w: w.grab_focus())
 
-        label = gtk.Label("Days")
+        label = Gtk.Label(label="Days")
 
         entry.pack_start(spin, expand=False, fill=False)
         entry.pack_start(label, expand=False, fill=False)
@@ -191,18 +191,18 @@
 
 Callback signature: def callback(SpanSelector, span, [user_param, ...])
 """
-gobject.signal_new("span-changed", SpanSelector,
-                   gobject.SIGNAL_RUN_LAST,
-                   gobject.TYPE_NONE,
-                   (gobject.TYPE_FLOAT,))
+GObject.signal_new("span-changed", SpanSelector,
+                   GObject.SignalFlags.RUN_LAST,
+                   None,
+                   (GObject.TYPE_FLOAT,))
 
 """The "custom-span-added" signal is emitted after a custom span has been
 added, but before it has been selected.
 
 Callback signature: def callback(SpanSelector, span, [user_param, ...])
 """
-gobject.signal_new("custom-span-added", SpanSelector,
-                   gobject.SIGNAL_RUN_LAST,
-                   gobject.TYPE_NONE,
-                   (gobject.TYPE_FLOAT,))
+GObject.signal_new("custom-span-added", SpanSelector,
+                   GObject.SignalFlags.RUN_LAST,
+                   None,
+                   (GObject.TYPE_FLOAT,))
 

=== modified file 'avatarsbox.py'
--- avatarsbox.py	2011-04-10 18:44:39 +0000
+++ avatarsbox.py	2011-07-31 15:52:43 +0000
@@ -14,7 +14,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-import gtk
+from gi.repository import Gtk
 
 from bzrlib.config import parse_username
 
@@ -25,12 +25,12 @@
     )
 
 
-class Avatar(gtk.HBox):
+class Avatar(Gtk.HBox):
     """ Author or committer avatar """
 
     def __init__(self, apparent_username):
         """ Constructor """
-        gtk.HBox.__init__(self)
+        GObject.GObject.__init__(self)
 
         self.apparent_username = apparent_username
         self.username, self.email = parse_username(apparent_username)
@@ -43,44 +43,44 @@
 
     def show_spinner(self):
         """
-        Replace the current content of the Avatar with a gtk.Spinner
-        if an email address has been parsed. If not, show an gtk.Label with
+        Replace the current content of the Avatar with a Gtk.Spinner
+        if an email address has been parsed. If not, show an Gtk.Label with
         the translatable 'No email' text.
         """
         if self.email:
             tooltip = _i18n("Retrieving avatar for %s...") % self.email
             if getattr(gtk, "Spinner", False):
-                spinner = gtk.Spinner()
+                spinner = Gtk.Spinner()
                 spinner.start()
                 self.pack_start(spinner, False)
                 spinner.set_tooltip_text(tooltip)
                 spinner.set_size_request(20, 20)
                 spinner.show()
             else:
-                spinner = gtk.Label(tooltip)
-                self.pack_start(spinner)
+                spinner = Gtk.Label(label=tooltip)
+                self.pack_start(spinner, True, True, 0)
                 self.set_tooltip_text(self.apparent_username)
                 spinner.show()
         else:
-            no_email = gtk.Label(_i18n("No email"))
-            self.pack_start(no_email)
+            no_email = Gtk.Label(label=_i18n("No email"))
+            self.pack_start(no_email, True, True, 0)
             self.set_tooltip_text(self.apparent_username)
             no_email.show()
 
     def show_image(self):
-        """Replace the current content of the Avatar with the gtk.Image """
+        """Replace the current content of the Avatar with the Gtk.Image """
         if self.email and self.image:
             self.remove(self.get_children()[0])
-            self.pack_start(self.image)
+            self.pack_start(self.image, True, True, 0)
             self.image.set_tooltip_text(self.apparent_username)
             self.image.show()
 
 
-class AvatarBox(gtk.HBox):
+class AvatarBox(Gtk.HBox):
     """HBox showing an avatar."""
 
     def __init__(self, homogeneous=False, spacing=0):
-        gtk.HBox.__init__(self, homogeneous, spacing)
+        GObject.GObject.__init__(self, homogeneous, spacing)
         self.__avatars = {}
         self.avatar = None
         self.__displaying = None
@@ -129,9 +129,9 @@
         return self
 
     def update_avatar_image_from_pixbuf_loader(self, loader):
-        """Replace the gtk.Spinner with the given loader."""
+        """Replace the Gtk.Spinner with the given loader."""
         if self.avatar:
-            self.avatar.image = gtk.Image()
+            self.avatar.image = Gtk.Image()
             self.avatar.image.set_from_pixbuf(loader.get_pixbuf())
             self.avatar.show_image()
             self.__displaying = self.avatar
@@ -139,30 +139,30 @@
     def come_back_to_gui(self):
         """Render back avatar in the GUI."""
         if self.avatar:
-            self.pack_start(self.avatar)
+            self.pack_start(self.avatar, True, True, 0)
             self.__displaying = self.avatar
         else:
             self._show_no_email()
 
     def _new_cell_for_avatar(self, avatar):
-        """Create a new cell in this box with a gtk.Spinner."""
+        """Create a new cell in this box with a Gtk.Spinner."""
         avatar.show_spinner()
-        self.pack_start(avatar)
+        self.pack_start(avatar, True, True, 0)
         avatar.show()
         self.__displaying = avatar
 
     def _show_no_email(self):
-        """Show a gtk.Label with test 'No email'."""
-        no_email = gtk.Label(_i18n("No email"))
-        self.pack_start(no_email)
+        """Show a Gtk.Label with test 'No email'."""
+        no_email = Gtk.Label(label=_i18n("No email"))
+        self.pack_start(no_email, True, True, 0)
         no_email.show()
 
 
-class AvatarsBox(gtk.HBox):
+class AvatarsBox(Gtk.HBox):
     """GTK container for author and committer avatars."""
 
     def __init__(self):
-        gtk.HBox.__init__(self, False, 10)
+        GObject.GObject.__init__(self, False, 10)
 
         self.__committer_box = None
         self.__authors_box = None
@@ -209,7 +209,7 @@
 
     def _init_gui(self):
         """Create boxes where avatars will be displayed."""
-        # 2 gtk.HBox: One for the committer and one for authors
+        # 2 Gtk.HBox: One for the committer and one for authors
         # Committer
         self.__committer_box = AvatarBox()
         self.__committer_box.set_size_request(80, 80)
@@ -228,8 +228,8 @@
         :param email: used to identify item from self.__avatars.
         """
         if email:
-            # Convert downloaded image from provider to gtk.Image
-            loader = gtk.gdk.PixbufLoader()
+            # Convert downloaded image from provider to Gtk.Image
+            loader = GdkPixbuf.PixbufLoader()
             loader.write(response.read())
             loader.close()
 
@@ -237,7 +237,7 @@
                 self._role_box_for(role).and_avatar_email(email).update_avatar_image_from_pixbuf_loader(loader)
 
     def _role_box_for(self, role):
-        """ Return the gtk.HBox for the given role """
+        """ Return the Gtk.HBox for the given role """
         if role == "committer":
             return self.__committer_box
         else:

=== modified file 'branch.py'
--- branch.py	2011-04-10 18:44:39 +0000
+++ branch.py	2011-07-31 15:52:43 +0000
@@ -22,7 +22,7 @@
 except:
     pass
 
-import gtk
+from gi.repository import Gtk
 
 from bzrlib import (
     errors,
@@ -36,33 +36,33 @@
 from bzrlib.plugins.gtk.branchbox import BranchSelectionBox
 
 
-class BranchDialog(gtk.Dialog):
+class BranchDialog(Gtk.Dialog):
     """ New implementation of the Branch dialog. """
 
     def __init__(self, path=None, parent=None, remote_path=None):
         """ Initialize the Branch dialog. """
-        gtk.Dialog.__init__(self, title="Branch - Olive",
+        GObject.GObject.__init__(self, title="Branch - Olive",
                                   parent=parent,
                                   flags=0,
-                                  buttons=(gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL))
+                                  buttons=(Gtk.STOCK_CANCEL, Gtk.ResponseType.CANCEL))
 
         # Get arguments
         self.path = path
 
         # Create the widgets
-        self._button_branch = gtk.Button(_i18n("_Branch"), use_underline=True)
+        self._button_branch = Gtk.Button(_i18n("_Branch"), use_underline=True)
         self._remote_branch = BranchSelectionBox()
-        self._button_revision = gtk.Button('')
-        self._label_location = gtk.Label(_i18n("Branch location:"))
+        self._button_revision = Gtk.Button('')
+        self._label_location = Gtk.Label(label=_i18n("Branch location:"))
         self._label_location.set_alignment(0, 0.5)
-        self._label_destination = gtk.Label(_i18n("Destination:"))
-        self._label_nick = gtk.Label(_i18n("Branck nick:"))
-        self._label_revision = gtk.Label(_i18n("Revision:"))
-        self._filechooser = gtk.FileChooserButton(_i18n("Please select a folder"))
-        self._filechooser.set_action(gtk.FILE_CHOOSER_ACTION_SELECT_FOLDER)
-        self._hbox_revision = gtk.HBox()
-        self._entry_revision = gtk.Entry()
-        self._entry_nick = gtk.Entry()
+        self._label_destination = Gtk.Label(label=_i18n("Destination:"))
+        self._label_nick = Gtk.Label(label=_i18n("Branck nick:"))
+        self._label_revision = Gtk.Label(label=_i18n("Revision:"))
+        self._filechooser = Gtk.FileChooserButton(_i18n("Please select a folder"))
+        self._filechooser.set_action(Gtk.FileChooserAction.SELECT_FOLDER)
+        self._hbox_revision = Gtk.HBox()
+        self._entry_revision = Gtk.Entry()
+        self._entry_nick = Gtk.Entry()
 
         # Set callbacks
         self._button_branch.connect('clicked', self._on_branch_clicked)
@@ -70,7 +70,7 @@
         self._remote_branch.connect('branch-changed', self._on_branch_changed)
 
         # Create the table and pack the widgets into it
-        self._table = gtk.Table(rows=3, columns=2)
+        self._table = Gtk.Table(rows=3, columns=2)
         self._table.attach(self._label_location, 0, 1, 0, 1)
         self._table.attach(self._remote_branch, 1, 2, 0, 1)
         self._table.attach(self._label_destination, 0, 1, 1, 2)
@@ -81,8 +81,8 @@
         self._table.attach(self._hbox_revision, 1, 2, 3, 4)
 
         # Set properties
-        self._image_browse = gtk.Image()
-        self._image_browse.set_from_stock(gtk.STOCK_OPEN, gtk.ICON_SIZE_BUTTON)
+        self._image_browse = Gtk.Image()
+        self._image_browse.set_from_stock(Gtk.STOCK_OPEN, Gtk.IconSize.BUTTON)
         self._button_revision.set_image(self._image_browse)
         self._button_revision.set_sensitive(False)
         self._label_destination.set_alignment(0, 0.5)
@@ -124,10 +124,10 @@
             return
         revb = RevisionBrowser(br, self)
         response = revb.run()
-        if response != gtk.RESPONSE_NONE:
+        if response != Gtk.ResponseType.NONE:
             revb.hide()
 
-            if response == gtk.RESPONSE_OK:
+            if response == Gtk.ResponseType.OK:
                 if revb.selected_revno is not None:
                     self._entry_revision.set_text(revb.selected_revno)
 
@@ -181,7 +181,7 @@
         info_dialog(_i18n('Branching successful'),
                     _i18n('%d revision(s) branched.') % revs)
 
-        self.response(gtk.RESPONSE_OK)
+        self.response(Gtk.ResponseType.OK)
 
     def _on_branch_changed(self, widget, event):
         """ We try to get the last revision if focus lost. """

=== modified file 'branchbox.py'
--- branchbox.py	2011-03-14 20:12:19 +0000
+++ branchbox.py	2011-07-31 15:52:43 +0000
@@ -20,20 +20,20 @@
 except:
     pass
 
-import gtk
-import gobject
+from gi.repository import Gtk
+from gi.repository import GObject
 
 from bzrlib.branch import Branch
 from bzrlib.config import GlobalConfig
 
 from bzrlib.plugins.gtk.history import UrlHistory
 
-class BranchSelectionBox(gtk.HBox):
+class BranchSelectionBox(Gtk.HBox):
 
     def __init__(self, path=None):
-        gobject.GObject.__init__(self)
-        self._combo = gtk.ComboBoxEntry()
-        self._combo.child.connect('focus-out-event', self._on_combo_changed)
+        GObject.GObject.__init__(self)
+        self._combo = Gtk.ComboBoxEntry()
+        self._combo.get_child().connect('focus-out-event', self._on_combo_changed)
 
         # Build branch history
         self._history = UrlHistory(GlobalConfig(), 'branch_history')
@@ -55,7 +55,7 @@
 
     def _build_history(self):
         """ Build up the branch history. """
-        self._combo_model = gtk.ListStore(str)
+        self._combo_model = Gtk.ListStore(str)
 
         for item in self._history.get_entries():
             self._combo_model.append([ item ])
@@ -66,7 +66,7 @@
     def _on_combo_changed(self, widget, event):
         self.emit('branch-changed', widget)
 
-gobject.signal_new('branch-changed', BranchSelectionBox,
-                   gobject.SIGNAL_RUN_LAST,
-                   gobject.TYPE_NONE, (gobject.TYPE_OBJECT,))
-gobject.type_register(BranchSelectionBox)
+GObject.signal_new('branch-changed', BranchSelectionBox,
+                   GObject.SignalFlags.RUN_LAST,
+                   None, (GObject.TYPE_OBJECT,))
+GObject.type_register(BranchSelectionBox)

=== modified file 'branchview/graphcell.py'
--- branchview/graphcell.py	2011-03-14 20:12:19 +0000
+++ branchview/graphcell.py	2011-07-31 15:52:43 +0000
@@ -16,13 +16,13 @@
 
 import math
 
-import gtk
-import gobject
-import pango
+from gi.repository import Gtk
+from gi.repository import GObject
+from gi.repository import Pango
 import cairo
 
 
-class CellRendererGraph(gtk.GenericCellRenderer):
+class CellRendererGraph(Gtk.GenericCellRenderer):
     """Cell renderer for directed graph.
 
     Properties:
@@ -34,21 +34,21 @@
     columns_len = 0
 
     __gproperties__ = {
-        "node":         ( gobject.TYPE_PYOBJECT, "node",
+        "node":         ( GObject.TYPE_PYOBJECT, "node",
                           "revision node instruction",
-                          gobject.PARAM_WRITABLE
+                          GObject.PARAM_WRITABLE
                         ),
-        "tags":         ( gobject.TYPE_PYOBJECT, "tags",
+        "tags":         ( GObject.TYPE_PYOBJECT, "tags",
                           "list of tags associated with the node",
-                          gobject.PARAM_WRITABLE
+                          GObject.PARAM_WRITABLE
                         ),
-        "in-lines":     ( gobject.TYPE_PYOBJECT, "in-lines",
+        "in-lines":     ( GObject.TYPE_PYOBJECT, "in-lines",
                           "instructions to draw lines into the cell",
-                          gobject.PARAM_WRITABLE
+                          GObject.PARAM_WRITABLE
                         ),
-        "out-lines":    ( gobject.TYPE_PYOBJECT, "out-lines",
+        "out-lines":    ( GObject.TYPE_PYOBJECT, "out-lines",
                           "instructions to draw lines out of the cell",
-                          gobject.PARAM_WRITABLE
+                          GObject.PARAM_WRITABLE
                         ),
         }
 
@@ -78,8 +78,8 @@
             font_desc = widget.get_style().font_desc
             metrics = pango_ctx.get_metrics(font_desc)
 
-            ascent = pango.PIXELS(metrics.get_ascent())
-            descent = pango.PIXELS(metrics.get_descent())
+            ascent = Pango.PIXELS(metrics.get_ascent())
+            descent = Pango.PIXELS(metrics.get_descent())
 
             self._box_size = ascent + descent + 6
             return self._box_size
@@ -168,7 +168,7 @@
                 cell_area.y + cell_area.height / 2,
                 box_size / 4, 0, 2 * math.pi)
 
-        if flags & gtk.CELL_RENDERER_SELECTED:
+        if flags & Gtk.CELL_RENDERER_SELECTED:
             ctx.set_source_rgb(1.0, 1.0, 1.0)
             ctx.set_line_width(box_size / 4)
             ctx.stroke_preserve()
@@ -217,7 +217,7 @@
                              endx, mid + height / 5 ,
                              endx, mid + height / 2 + 1)
 
-        if flags & gtk.CELL_RENDERER_SELECTED:
+        if flags & Gtk.CELL_RENDERER_SELECTED:
             ctx.set_source_rgb(1.0, 1.0, 1.0)
             ctx.set_line_width(box_size / 5)
             ctx.stroke_preserve()
@@ -233,10 +233,10 @@
 
         (column, colour) = self.node
 
-        font_desc = pango.FontDescription()
-        font_desc.set_size(pango.SCALE * 7)
+        font_desc = Pango.FontDescription()
+        font_desc.set_size(Pango.SCALE * 7)
 
-        tag_layout = pango.Layout(pango_ctx)
+        tag_layout = Pango.Layout(pango_ctx)
         tag_layout.set_font_description(font_desc)
 
         # The width of the tag label stack

=== modified file 'branchview/treemodel.py'
--- branchview/treemodel.py	2011-03-14 20:12:19 +0000
+++ branchview/treemodel.py	2011-07-31 15:52:43 +0000
@@ -34,10 +34,10 @@
 TAGS = 12
 AUTHORS = 13
 
-class TreeModel(gtk.GenericTreeModel):
+class TreeModel(Gtk.GenericTreeModel):
 
     def __init__ (self, branch, line_graph_data):
-        gtk.GenericTreeModel.__init__(self)
+        GObject.GObject.__init__(self)
         self.revisions = {}
         self.branch = branch
         self.repository = branch.repository
@@ -56,26 +56,26 @@
             self.tags[revid] = [tag]
 
     def on_get_flags(self):
-        return gtk.TREE_MODEL_LIST_ONLY
+        return Gtk.TREE_MODEL_LIST_ONLY
 
     def on_get_n_columns(self):
         return 14
 
     def on_get_column_type(self, index):
-        if index == REVID: return gobject.TYPE_STRING
-        if index == NODE: return gobject.TYPE_PYOBJECT
-        if index == LINES: return gobject.TYPE_PYOBJECT
-        if index == LAST_LINES: return gobject.TYPE_PYOBJECT
-        if index == REVNO: return gobject.TYPE_STRING
-        if index == SUMMARY: return gobject.TYPE_STRING
-        if index == MESSAGE: return gobject.TYPE_STRING
-        if index == COMMITTER: return gobject.TYPE_STRING
-        if index == TIMESTAMP: return gobject.TYPE_STRING
-        if index == REVISION: return gobject.TYPE_PYOBJECT
-        if index == PARENTS: return gobject.TYPE_PYOBJECT
-        if index == CHILDREN: return gobject.TYPE_PYOBJECT
-        if index == TAGS: return gobject.TYPE_PYOBJECT
-        if index == AUTHORS: return gobject.TYPE_STRING
+        if index == REVID: return GObject.TYPE_STRING
+        if index == NODE: return GObject.TYPE_PYOBJECT
+        if index == LINES: return GObject.TYPE_PYOBJECT
+        if index == LAST_LINES: return GObject.TYPE_PYOBJECT
+        if index == REVNO: return GObject.TYPE_STRING
+        if index == SUMMARY: return GObject.TYPE_STRING
+        if index == MESSAGE: return GObject.TYPE_STRING
+        if index == COMMITTER: return GObject.TYPE_STRING
+        if index == TIMESTAMP: return GObject.TYPE_STRING
+        if index == REVISION: return GObject.TYPE_PYOBJECT
+        if index == PARENTS: return GObject.TYPE_PYOBJECT
+        if index == CHILDREN: return GObject.TYPE_PYOBJECT
+        if index == TAGS: return GObject.TYPE_PYOBJECT
+        if index == AUTHORS: return GObject.TYPE_STRING
 
     def on_get_iter(self, path):
         return path[0]

=== modified file 'branchview/treeview.py'
--- branchview/treeview.py	2011-04-15 01:07:44 +0000
+++ branchview/treeview.py	2011-07-31 15:52:43 +0000
@@ -6,9 +6,9 @@
 __copyright__ = "Copyright © 2005 Canonical Ltd."
 __author__    = "Daniel Schierbeck <daniel.schierbeck@gmail.com>"
 
-import gtk
-import gobject
-import pango
+from gi.repository import Gtk
+from gi.repository import GObject
+from gi.repository import Pango
 
 from bzrlib import ui
 from bzrlib.revision import NULL_REVISION
@@ -20,78 +20,78 @@
 from bzrlib.plugins.gtk.branchview.graphcell import CellRendererGraph
 
 
-class TreeView(gtk.VBox):
+class TreeView(Gtk.VBox):
 
     __gproperties__ = {
-        'branch': (gobject.TYPE_PYOBJECT,
+        'branch': (GObject.TYPE_PYOBJECT,
                    'Branch',
                    'The Bazaar branch being visualized',
-                   gobject.PARAM_CONSTRUCT_ONLY | gobject.PARAM_WRITABLE),
+                   GObject.PARAM_CONSTRUCT_ONLY | GObject.PARAM_WRITABLE),
 
-        'revision': (gobject.TYPE_PYOBJECT,
+        'revision': (GObject.TYPE_PYOBJECT,
                      'Revision',
                      'The currently selected revision',
-                     gobject.PARAM_READWRITE),
+                     GObject.PARAM_READWRITE),
 
-        'revision-number': (gobject.TYPE_STRING,
+        'revision-number': (GObject.TYPE_STRING,
                             'Revision number',
                             'The number of the selected revision',
                             '',
-                            gobject.PARAM_READABLE),
+                            GObject.PARAM_READABLE),
 
-        'children': (gobject.TYPE_PYOBJECT,
+        'children': (GObject.TYPE_PYOBJECT,
                      'Child revisions',
                      'Children of the currently selected revision',
-                     gobject.PARAM_READABLE),
+                     GObject.PARAM_READABLE),
 
-        'parents': (gobject.TYPE_PYOBJECT,
+        'parents': (GObject.TYPE_PYOBJECT,
                     'Parent revisions',
                     'Parents to the currently selected revision',
-                    gobject.PARAM_READABLE),
+                    GObject.PARAM_READABLE),
 
-        'revno-column-visible': (gobject.TYPE_BOOLEAN,
+        'revno-column-visible': (GObject.TYPE_BOOLEAN,
                                  'Revision number column',
                                  'Show revision number column',
                                  True,
-                                 gobject.PARAM_READWRITE),
+                                 GObject.PARAM_READWRITE),
 
-        'graph-column-visible': (gobject.TYPE_BOOLEAN,
+        'graph-column-visible': (GObject.TYPE_BOOLEAN,
                                  'Graph column',
                                  'Show graph column',
                                  True,
-                                 gobject.PARAM_READWRITE),
+                                 GObject.PARAM_READWRITE),
 
-        'date-column-visible': (gobject.TYPE_BOOLEAN,
+        'date-column-visible': (GObject.TYPE_BOOLEAN,
                                  'Date',
                                  'Show date column',
                                  False,
-                                 gobject.PARAM_READWRITE),
+                                 GObject.PARAM_READWRITE),
 
-        'compact': (gobject.TYPE_BOOLEAN,
+        'compact': (GObject.TYPE_BOOLEAN,
                     'Compact view',
                     'Break ancestry lines to save space',
                     True,
-                    gobject.PARAM_CONSTRUCT | gobject.PARAM_READWRITE),
+                    GObject.PARAM_CONSTRUCT | GObject.PARAM_READWRITE),
 
-        'mainline-only': (gobject.TYPE_BOOLEAN,
+        'mainline-only': (GObject.TYPE_BOOLEAN,
                     'Mainline only',
                     'Only show the mainline history.',
                     False,
-                    gobject.PARAM_CONSTRUCT | gobject.PARAM_READWRITE),
+                    GObject.PARAM_CONSTRUCT | GObject.PARAM_READWRITE),
 
     }
 
     __gsignals__ = {
-        'revision-selected': (gobject.SIGNAL_RUN_FIRST,
-                              gobject.TYPE_NONE,
+        'revision-selected': (GObject.SignalFlags.RUN_FIRST,
+                              None,
                               ()),
-        'revision-activated': (gobject.SIGNAL_RUN_FIRST,
-                              gobject.TYPE_NONE,
-                              (gobject.TYPE_PYOBJECT, gobject.TYPE_PYOBJECT)),
-        'tag-added': (gobject.SIGNAL_RUN_FIRST,
-                              gobject.TYPE_NONE,
-                              (gobject.TYPE_STRING, gobject.TYPE_STRING)),
-        'refreshed': (gobject.SIGNAL_RUN_FIRST, gobject.TYPE_NONE,
+        'revision-activated': (GObject.SignalFlags.RUN_FIRST,
+                              None,
+                              (GObject.TYPE_PYOBJECT, GObject.TYPE_PYOBJECT)),
+        'tag-added': (GObject.SignalFlags.RUN_FIRST,
+                              None,
+                              (GObject.TYPE_STRING, GObject.TYPE_STRING)),
+        'refreshed': (GObject.SignalFlags.RUN_FIRST, None,
                               ())
     }
 
@@ -105,7 +105,7 @@
         :param broken_line_length: After how much lines to break 
                                    branches.
         """
-        gtk.VBox.__init__(self, spacing=0)
+        GObject.GObject.__init__(self, spacing=0)
 
         self.progress_widget = ProgressPanel()
         self.pack_start(self.progress_widget, expand=False, fill=True)
@@ -113,10 +113,10 @@
             # We'are using our own ui, let's tell it to use our widget.
             ui.ui_factory.set_progress_bar_widget(self.progress_widget)
 
-        self.scrolled_window = gtk.ScrolledWindow()
-        self.scrolled_window.set_policy(gtk.POLICY_AUTOMATIC,
-                                        gtk.POLICY_AUTOMATIC)
-        self.scrolled_window.set_shadow_type(gtk.SHADOW_IN)
+        self.scrolled_window = Gtk.ScrolledWindow()
+        self.scrolled_window.set_policy(Gtk.PolicyType.AUTOMATIC,
+                                        Gtk.PolicyType.AUTOMATIC)
+        self.scrolled_window.set_shadow_type(Gtk.ShadowType.IN)
         self.scrolled_window.show()
         self.pack_start(self.scrolled_window, expand=True, fill=True)
 
@@ -132,7 +132,7 @@
         self.compact = compact
 
         self.model = treemodel.TreeModel(self.branch, [])
-        gobject.idle_add(self.populate)
+        GObject.idle_add(self.populate)
 
         self.connect("destroy", self._on_destroy)
 
@@ -243,7 +243,7 @@
             self.emit('tag-added', tag, revid)
 
     def refresh(self):
-        gobject.idle_add(self.populate, self.get_revision())
+        GObject.idle_add(self.populate, self.get_revision())
 
     def update(self):
         try:
@@ -340,7 +340,7 @@
             self.progress_bar.finished()
 
     def construct_treeview(self):
-        self.treeview = gtk.TreeView()
+        self.treeview = Gtk.TreeView()
 
         self.treeview.set_rules_hint(True)
         # combined revno/summary interactive search
@@ -375,60 +375,60 @@
 
         self.treeview.show()
 
-        cell = gtk.CellRendererText()
+        cell = Gtk.CellRendererText()
         cell.set_property("width-chars", 15)
-        cell.set_property("ellipsize", pango.ELLIPSIZE_END)
-        self.revno_column = gtk.TreeViewColumn("Revision No")
+        cell.set_property("ellipsize", Pango.EllipsizeMode.END)
+        self.revno_column = Gtk.TreeViewColumn("Revision No")
         self.revno_column.set_resizable(True)
-        self.revno_column.set_sizing(gtk.TREE_VIEW_COLUMN_FIXED)
+        self.revno_column.set_sizing(Gtk.TreeViewColumnSizing.FIXED)
         self.revno_column.set_fixed_width(cell.get_size(self.treeview)[2])
-        self.revno_column.pack_start(cell, expand=True)
+        self.revno_column.pack_start(cell, True, True, 0)
         self.revno_column.add_attribute(cell, "text", treemodel.REVNO)
         self.treeview.append_column(self.revno_column)
 
         self.graph_cell = CellRendererGraph()
-        self.graph_column = gtk.TreeViewColumn()
+        self.graph_column = Gtk.TreeViewColumn()
         self.graph_column.set_resizable(True)
-        self.graph_column.set_sizing(gtk.TREE_VIEW_COLUMN_FIXED)
-        self.graph_column.pack_start(self.graph_cell, expand=True)
+        self.graph_column.set_sizing(Gtk.TreeViewColumnSizing.FIXED)
+        self.graph_column.pack_start(self.graph_cell, True, True, 0)
         self.graph_column.add_attribute(self.graph_cell, "node", treemodel.NODE)
         self.graph_column.add_attribute(self.graph_cell, "tags", treemodel.TAGS)
         self.graph_column.add_attribute(self.graph_cell, "in-lines", treemodel.LAST_LINES)
         self.graph_column.add_attribute(self.graph_cell, "out-lines", treemodel.LINES)
         self.treeview.append_column(self.graph_column)
 
-        cell = gtk.CellRendererText()
+        cell = Gtk.CellRendererText()
         cell.set_property("width-chars", 65)
-        cell.set_property("ellipsize", pango.ELLIPSIZE_END)
-        self.summary_column = gtk.TreeViewColumn("Summary")
+        cell.set_property("ellipsize", Pango.EllipsizeMode.END)
+        self.summary_column = Gtk.TreeViewColumn("Summary")
         self.summary_column.set_resizable(True)
         self.summary_column.set_expand(True)
-        self.summary_column.set_sizing(gtk.TREE_VIEW_COLUMN_FIXED)
+        self.summary_column.set_sizing(Gtk.TreeViewColumnSizing.FIXED)
         self.summary_column.set_fixed_width(cell.get_size(self.treeview)[2])
-        self.summary_column.pack_start(cell, expand=True)
+        self.summary_column.pack_start(cell, True, True, 0)
         self.summary_column.add_attribute(cell, "markup", treemodel.SUMMARY)
         self.treeview.append_column(self.summary_column)
 
-        cell = gtk.CellRendererText()
+        cell = Gtk.CellRendererText()
         cell.set_property("width-chars", 15)
-        cell.set_property("ellipsize", pango.ELLIPSIZE_END)
-        self.authors_column = gtk.TreeViewColumn("Author(s)")
+        cell.set_property("ellipsize", Pango.EllipsizeMode.END)
+        self.authors_column = Gtk.TreeViewColumn("Author(s)")
         self.authors_column.set_resizable(False)
-        self.authors_column.set_sizing(gtk.TREE_VIEW_COLUMN_FIXED)
+        self.authors_column.set_sizing(Gtk.TreeViewColumnSizing.FIXED)
         self.authors_column.set_fixed_width(200)
-        self.authors_column.pack_start(cell, expand=True)
+        self.authors_column.pack_start(cell, True, True, 0)
         self.authors_column.add_attribute(cell, "text", treemodel.AUTHORS)
         self.treeview.append_column(self.authors_column)
 
-        cell = gtk.CellRendererText()
+        cell = Gtk.CellRendererText()
         cell.set_property("width-chars", 20)
-        cell.set_property("ellipsize", pango.ELLIPSIZE_END)
-        self.date_column = gtk.TreeViewColumn("Date")
+        cell.set_property("ellipsize", Pango.EllipsizeMode.END)
+        self.date_column = Gtk.TreeViewColumn("Date")
         self.date_column.set_visible(False)
         self.date_column.set_resizable(True)
-        self.date_column.set_sizing(gtk.TREE_VIEW_COLUMN_FIXED)
+        self.date_column.set_sizing(Gtk.TreeViewColumnSizing.FIXED)
         self.date_column.set_fixed_width(130)
-        self.date_column.pack_start(cell, expand=True)
+        self.date_column.pack_start(cell, True, True, 0)
         self.date_column.add_attribute(cell, "text", treemodel.TIMESTAMP)
         self.treeview.append_column(self.date_column)
 

=== modified file 'checkout.py'
--- checkout.py	2011-04-10 18:44:39 +0000
+++ checkout.py	2011-07-31 15:52:43 +0000
@@ -22,7 +22,7 @@
 except:
     pass
 
-import gtk
+from gi.repository import Gtk
 
 from bzrlib.branch import Branch
 from bzrlib.config import GlobalConfig
@@ -33,42 +33,42 @@
 from bzrlib.plugins.gtk.i18n import _i18n
 
 
-class CheckoutDialog(gtk.Dialog):
+class CheckoutDialog(Gtk.Dialog):
     """ New implementation of the Checkout dialog. """
 
     def __init__(self, path=None, parent=None, remote_path=None):
         """ Initialize the Checkout dialog. """
-        gtk.Dialog.__init__(self, title="Checkout - Olive",
+        GObject.GObject.__init__(self, title="Checkout - Olive",
                                   parent=parent,
                                   flags=0,
-                                  buttons=(gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL))
+                                  buttons=(Gtk.STOCK_CANCEL, Gtk.ResponseType.CANCEL))
 
         # Get arguments
         self.path = path
 
         # Create the widgets
-        self._button_checkout = gtk.Button(_i18n("Check_out"), use_underline=True)
-        self._button_revision = gtk.Button('')
-        self._image_browse = gtk.Image()
-        self._filechooser = gtk.FileChooserButton(_i18n("Please select a folder"))
-        self._combo = gtk.ComboBoxEntry()
-        self._label_location = gtk.Label(_i18n("Branch location:"))
-        self._label_destination = gtk.Label(_i18n("Destination:"))
-        self._label_nick = gtk.Label(_i18n("Branch nick:"))
-        self._label_revision = gtk.Label(_i18n("Revision:"))
-        self._hbox_revision = gtk.HBox()
-        self._entry_revision = gtk.Entry()
-        self._entry_nick = gtk.Entry()
-        self._check_lightweight = gtk.CheckButton(_i18n("_Lightweight checkout"),
+        self._button_checkout = Gtk.Button(_i18n("Check_out"), use_underline=True)
+        self._button_revision = Gtk.Button('')
+        self._image_browse = Gtk.Image()
+        self._filechooser = Gtk.FileChooserButton(_i18n("Please select a folder"))
+        self._combo = Gtk.ComboBoxEntry()
+        self._label_location = Gtk.Label(label=_i18n("Branch location:"))
+        self._label_destination = Gtk.Label(label=_i18n("Destination:"))
+        self._label_nick = Gtk.Label(label=_i18n("Branch nick:"))
+        self._label_revision = Gtk.Label(label=_i18n("Revision:"))
+        self._hbox_revision = Gtk.HBox()
+        self._entry_revision = Gtk.Entry()
+        self._entry_nick = Gtk.Entry()
+        self._check_lightweight = Gtk.CheckButton(_i18n("_Lightweight checkout"),
                                                   use_underline=True)
 
         # Set callbacks
         self._button_checkout.connect('clicked', self._on_checkout_clicked)
         self._button_revision.connect('clicked', self._on_revision_clicked)
-        self._combo.child.connect('focus-out-event', self._on_combo_changed)
+        self._combo.get_child().connect('focus-out-event', self._on_combo_changed)
 
         # Create the table and pack the widgets into it
-        self._table = gtk.Table(rows=3, columns=2)
+        self._table = Gtk.Table(rows=3, columns=2)
         self._table.attach(self._label_location, 0, 1, 0, 1)
         self._table.attach(self._label_destination, 0, 1, 1, 2)
         self._table.attach(self._label_nick, 0, 1, 2, 3)
@@ -80,10 +80,10 @@
         self._table.attach(self._check_lightweight, 1, 2, 4, 5)
 
         # Set properties
-        self._image_browse.set_from_stock(gtk.STOCK_OPEN, gtk.ICON_SIZE_BUTTON)
+        self._image_browse.set_from_stock(Gtk.STOCK_OPEN, Gtk.IconSize.BUTTON)
         self._button_revision.set_image(self._image_browse)
         self._button_revision.set_sensitive(False)
-        self._filechooser.set_action(gtk.FILE_CHOOSER_ACTION_SELECT_FOLDER)
+        self._filechooser.set_action(Gtk.FileChooserAction.SELECT_FOLDER)
         self._label_location.set_alignment(0, 0.5)
         self._label_destination.set_alignment(0, 0.5)
         self._label_nick.set_alignment(0, 0.5)
@@ -94,7 +94,7 @@
         if self.path is not None:
             self._filechooser.set_filename(self.path)
         if remote_path is not None:
-            self._combo.child.set_text(remote_path)
+            self._combo.get_child().set_text(remote_path)
 
         # Pack some widgets
         self._hbox_revision.pack_start(self._entry_revision, True, True)
@@ -111,7 +111,7 @@
 
     def _build_history(self):
         """ Build up the checkout history. """
-        self._combo_model = gtk.ListStore(str)
+        self._combo_model = Gtk.ListStore(str)
 
         for item in self._history.get_entries():
             self._combo_model.append([ item ])
@@ -142,10 +142,10 @@
         else:
             revb = RevisionBrowser(br, self)
             response = revb.run()
-            if response != gtk.RESPONSE_NONE:
+            if response != Gtk.ResponseType.NONE:
                 revb.hide()
 
-                if response == gtk.RESPONSE_OK:
+                if response == Gtk.ResponseType.OK:
                     if revb.selected_revno is not None:
                         self._entry_revision.set_text(revb.selected_revno)
 
@@ -182,7 +182,7 @@
 
         self._history.add_entry(location)
 
-        self.response(gtk.RESPONSE_OK)
+        self.response(Gtk.ResponseType.OK)
 
     def _on_combo_changed(self, widget, event):
         """ We try to get the last revision if focus lost. """

=== modified file 'commands.py'
--- commands.py	2011-04-10 18:44:39 +0000
+++ commands.py	2011-07-31 15:52:43 +0000
@@ -48,7 +48,7 @@
 def open_display():
     pygtk = import_pygtk()
     try:
-        import gtk
+        from gi.repository import Gtk
     except RuntimeError, e:
         if str(e) == "could not open display":
             raise NoDisplayError
@@ -150,9 +150,9 @@
                 tree2 = tree1.basis_tree()
 
             from diff import DiffWindow
-            import gtk
+            from gi.repository import Gtk
             window = DiffWindow()
-            window.connect("destroy", gtk.main_quit)
+            window.connect("destroy", Gtk.main_quit)
             window.set_diff("Working Tree", tree1, tree2)
             if filename is not None:
                 tree_filename = wt.relpath(filename)
@@ -166,7 +166,7 @@
                                           filename)
             window.show()
 
-            gtk.main()
+            Gtk.main()
         finally:
             wt.unlock()
 
@@ -209,11 +209,11 @@
                 revids.append(br.last_revision())
             else:
                 revids.append(revision[0].as_revision_id(br))
-        import gtk
+        from gi.repository import Gtk
         pp = start_viz_window(br, revids, limit)
-        pp.connect("destroy", lambda w: gtk.main_quit())
+        pp.connect("destroy", lambda w: Gtk.main_quit())
         pp.show()
-        gtk.main()
+        Gtk.main()
 
 
 class cmd_gannotate(GTKCommand):
@@ -267,7 +267,7 @@
             revision_id = getattr(tree, 'get_revision_id', lambda: None)()
 
         window = GAnnotateWindow(all, plain, branch=br)
-        window.connect("destroy", lambda w: gtk.main_quit())
+        window.connect("destroy", lambda w: Gtk.main_quit())
         config = GAnnotateConfig(window)
         window.show()
         br.lock_read()
@@ -276,7 +276,7 @@
         try:
             window.annotate(tree, br, file_id)
             window.jump_to_line(line)
-            gtk.main()
+            Gtk.main()
         finally:
             br.unlock()
             if wt is not None:
@@ -346,9 +346,9 @@
             revision_id = None
 
         status = StatusWindow(wt, wt_path, revision_id)
-        status.connect("destroy", gtk.main_quit)
+        status.connect("destroy", Gtk.main_quit)
         status.show()
-        gtk.main()
+        Gtk.main()
 
 
 class cmd_gsend(GTKCommand):
@@ -361,7 +361,7 @@
         from bzrlib.plugins.gtk.mergedirective import SendMergeDirectiveDialog
         from StringIO import StringIO
         dialog = SendMergeDirectiveDialog(br)
-        if dialog.run() == gtk.RESPONSE_OK:
+        if dialog.run() == Gtk.ResponseType.OK:
             outf = StringIO()
             outf.writelines(dialog.get_merge_directive().to_lines())
             mail_client = br.get_config().get_mail_client()
@@ -426,7 +426,7 @@
     def run(self, other_branch=None):
         pygtk = import_pygtk()
         try:
-            import gtk
+            from gi.repository import Gtk
         except RuntimeError, e:
             if str(e) == "could not open display":
                 raise NoDisplayError
@@ -480,4 +480,4 @@
         from tags import TagsWindow
         window = TagsWindow(br)
         window.show()
-        gtk.main()
+        Gtk.main()

=== modified file 'commit.py'
--- commit.py	2011-04-10 18:44:39 +0000
+++ commit.py	2011-07-31 15:52:43 +0000
@@ -22,9 +22,9 @@
 except:
     pass
 
-import gtk
-import gobject
-import pango
+from gi.repository import Gtk
+from gi.repository import GObject
+from gi.repository import Pango
 
 from bzrlib import (
     errors,
@@ -109,16 +109,16 @@
     return fixed_newline.decode('utf-8')
 
 
-class CommitDialog(gtk.Dialog):
+class CommitDialog(Gtk.Dialog):
     """Implementation of Commit."""
 
     def __init__(self, wt, selected=None, parent=None):
-        gtk.Dialog.__init__(self, title="Commit to %s" % wt.basedir,
+        GObject.GObject.__init__(self, title="Commit to %s" % wt.basedir,
                             parent=parent, flags=0,)
         self.connect('delete-event', self._on_delete_window)
         self._question_dialog = question_dialog
 
-        self.set_type_hint(gtk.gdk.WINDOW_TYPE_HINT_NORMAL)
+        self.set_type_hint(Gdk.WindowTypeHint.NORMAL)
 
         self._wt = wt
         # TODO: Do something with this value, it is used by Olive
@@ -286,13 +286,13 @@
         """Build up the dialog widgets."""
         # The primary pane which splits it into left and right (adjustable)
         # sections.
-        self._hpane = gtk.HPaned()
+        self._hpane = Gtk.HPaned()
 
         self._construct_left_pane()
         self._construct_right_pane()
         self._construct_action_pane()
 
-        self.vbox.pack_start(self._hpane)
+        self.vbox.pack_start(self._hpane, True, True, 0)
         self._hpane.show()
         self.set_focus(self._global_message_text_view)
 
@@ -317,20 +317,20 @@
         self._hpane.set_position(300)
 
     def _construct_accelerators(self):
-        group = gtk.AccelGroup()
-        group.connect_group(gtk.gdk.keyval_from_name('N'),
-                            gtk.gdk.CONTROL_MASK, 0, self._on_accel_next)
+        group = Gtk.AccelGroup()
+        group.connect_group(Gdk.keyval_from_name('N'),
+                            Gdk.EventMask.CONTROL_MASK, 0, self._on_accel_next)
         self.add_accel_group(group)
 
         # ignore the escape key (avoid closing the window)
         self.connect_object('close', self.emit_stop_by_name, 'close')
 
     def _construct_left_pane(self):
-        self._left_pane_box = gtk.VBox(homogeneous=False, spacing=5)
+        self._left_pane_box = Gtk.VBox(homogeneous=False, spacing=5)
         self._construct_file_list()
         self._construct_pending_list()
 
-        self._check_local = gtk.CheckButton(_i18n("_Only commit locally"),
+        self._check_local = Gtk.CheckButton(_i18n("_Only commit locally"),
                                             use_underline=True)
         self._left_pane_box.pack_end(self._check_local, False, False)
         self._check_local.set_active(False)
@@ -345,7 +345,7 @@
         # commit, and 1 for file commit, and it looked good. But I don't seem
         # to have a way to do that with the gtk boxes... :( (Which is extra
         # weird since wx uses gtk on Linux...)
-        self._right_pane_table = gtk.Table(rows=10, columns=1, homogeneous=False)
+        self._right_pane_table = Gtk.Table(rows=10, columns=1, homogeneous=False)
         self._right_pane_table.set_row_spacings(5)
         self._right_pane_table.set_col_spacings(5)
         self._right_pane_table_row = 0
@@ -357,13 +357,13 @@
         self._hpane.pack2(self._right_pane_table, resize=True, shrink=True)
 
     def _construct_action_pane(self):
-        self._button_cancel = gtk.Button(stock=gtk.STOCK_CANCEL)
+        self._button_cancel = Gtk.Button(stock=Gtk.STOCK_CANCEL)
         self._button_cancel.connect('clicked', self._on_cancel_clicked)
         self._button_cancel.show()
         self.action_area.pack_end(self._button_cancel)
-        self._button_commit = gtk.Button(_i18n("Comm_it"), use_underline=True)
+        self._button_commit = Gtk.Button(_i18n("Comm_it"), use_underline=True)
         self._button_commit.connect('clicked', self._on_commit_clicked)
-        self._button_commit.set_flags(gtk.CAN_DEFAULT)
+        self._button_commit.set_can_default(True)
         self._button_commit.show()
         self.action_area.pack_end(self._button_commit)
         self._button_commit.grab_default()
@@ -377,7 +377,7 @@
         """
         end_row = self._right_pane_table_row + weight
         options = 0
-        expand_opts = gtk.EXPAND | gtk.FILL | gtk.SHRINK
+        expand_opts = Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL | Gtk.AttachOptions.SHRINK
         if expanding:
             options = expand_opts
         self._right_pane_table.attach(widget, 0, 1,
@@ -386,20 +386,20 @@
         self._right_pane_table_row = end_row
 
     def _construct_file_list(self):
-        self._files_box = gtk.VBox(homogeneous=False, spacing=0)
-        file_label = gtk.Label(_i18n('Files'))
+        self._files_box = Gtk.VBox(homogeneous=False, spacing=0)
+        file_label = Gtk.Label(label=_i18n('Files'))
         # file_label.show()
-        self._files_box.pack_start(file_label, expand=False)
+        self._files_box.pack_start(file_label, False, True, 0)
 
-        self._commit_all_files_radio = gtk.RadioButton(
+        self._commit_all_files_radio = Gtk.RadioButton(
             None, _i18n("Commit all changes"))
-        self._files_box.pack_start(self._commit_all_files_radio, expand=False)
+        self._files_box.pack_start(self._commit_all_files_radio, False, True, 0)
         self._commit_all_files_radio.show()
         self._commit_all_files_radio.connect('toggled',
             self._toggle_commit_selection)
-        self._commit_selected_radio = gtk.RadioButton(
+        self._commit_selected_radio = Gtk.RadioButton(
             self._commit_all_files_radio, _i18n("Only commit selected changes"))
-        self._files_box.pack_start(self._commit_selected_radio, expand=False)
+        self._files_box.pack_start(self._commit_selected_radio, False, True, 0)
         self._commit_selected_radio.show()
         self._commit_selected_radio.connect('toggled',
             self._toggle_commit_selection)
@@ -408,45 +408,45 @@
             self._commit_all_files_radio.set_sensitive(False)
             self._commit_selected_radio.set_sensitive(False)
 
-        scroller = gtk.ScrolledWindow()
-        scroller.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
-        self._treeview_files = gtk.TreeView()
+        scroller = Gtk.ScrolledWindow()
+        scroller.set_policy(Gtk.PolicyType.AUTOMATIC, Gtk.PolicyType.AUTOMATIC)
+        self._treeview_files = Gtk.TreeView()
         self._treeview_files.show()
         scroller.add(self._treeview_files)
-        scroller.set_shadow_type(gtk.SHADOW_IN)
+        scroller.set_shadow_type(Gtk.ShadowType.IN)
         scroller.show()
         self._files_box.pack_start(scroller,
                                    expand=True, fill=True)
         self._files_box.show()
-        self._left_pane_box.pack_start(self._files_box)
+        self._left_pane_box.pack_start(self._files_box, True, True, 0)
 
         # Keep note that all strings stored in a ListStore must be UTF-8
         # strings. GTK does not support directly setting and restoring Unicode
         # objects.
-        liststore = gtk.ListStore(
-            gobject.TYPE_STRING,  # [0] file_id
-            gobject.TYPE_STRING,  # [1] real path
-            gobject.TYPE_BOOLEAN, # [2] checkbox
-            gobject.TYPE_STRING,  # [3] display path
-            gobject.TYPE_STRING,  # [4] changes type
-            gobject.TYPE_STRING,  # [5] commit message
+        liststore = Gtk.ListStore(
+            GObject.TYPE_STRING,  # [0] file_id
+            GObject.TYPE_STRING,  # [1] real path
+            GObject.TYPE_BOOLEAN, # [2] checkbox
+            GObject.TYPE_STRING,  # [3] display path
+            GObject.TYPE_STRING,  # [4] changes type
+            GObject.TYPE_STRING,  # [5] commit message
             )
         self._files_store = liststore
         self._treeview_files.set_model(liststore)
-        crt = gtk.CellRendererToggle()
+        crt = Gtk.CellRendererToggle()
         crt.set_property('activatable', not bool(self._pending))
         crt.connect("toggled", self._toggle_commit, self._files_store)
         if self._pending:
             name = _i18n('Commit*')
         else:
             name = _i18n('Commit')
-        commit_col = gtk.TreeViewColumn(name, crt, active=2)
+        commit_col = Gtk.TreeViewColumn(name, crt, active=2)
         commit_col.set_visible(False)
         self._treeview_files.append_column(commit_col)
-        self._treeview_files.append_column(gtk.TreeViewColumn(_i18n('Path'),
-                                           gtk.CellRendererText(), text=3))
-        self._treeview_files.append_column(gtk.TreeViewColumn(_i18n('Type'),
-                                           gtk.CellRendererText(), text=4))
+        self._treeview_files.append_column(Gtk.TreeViewColumn(_i18n('Path'),
+                                           Gtk.CellRendererText(), text=3))
+        self._treeview_files.append_column(Gtk.TreeViewColumn(_i18n('Type'),
+                                           Gtk.CellRendererText(), text=4))
         self._treeview_files.connect('cursor-changed',
                                      self._on_treeview_files_cursor_changed)
 
@@ -473,43 +473,43 @@
     def _construct_pending_list(self):
         # Pending information defaults to hidden, we put it all in 1 box, so
         # that we can show/hide all of them at once
-        self._pending_box = gtk.VBox()
+        self._pending_box = Gtk.VBox()
         self._pending_box.hide()
 
-        pending_message = gtk.Label()
+        pending_message = Gtk.Label()
         pending_message.set_markup(
             _i18n('<i>* Cannot select specific files when merging</i>'))
         self._pending_box.pack_start(pending_message, expand=False, padding=5)
         pending_message.show()
 
-        pending_label = gtk.Label(_i18n('Pending Revisions'))
+        pending_label = Gtk.Label(label=_i18n('Pending Revisions'))
         self._pending_box.pack_start(pending_label, expand=False, padding=0)
         pending_label.show()
 
-        scroller = gtk.ScrolledWindow()
-        scroller.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
-        self._treeview_pending = gtk.TreeView()
+        scroller = Gtk.ScrolledWindow()
+        scroller.set_policy(Gtk.PolicyType.AUTOMATIC, Gtk.PolicyType.AUTOMATIC)
+        self._treeview_pending = Gtk.TreeView()
         scroller.add(self._treeview_pending)
-        scroller.set_shadow_type(gtk.SHADOW_IN)
+        scroller.set_shadow_type(Gtk.ShadowType.IN)
         scroller.show()
         self._pending_box.pack_start(scroller,
                                      expand=True, fill=True, padding=5)
         self._treeview_pending.show()
-        self._left_pane_box.pack_start(self._pending_box)
+        self._left_pane_box.pack_start(self._pending_box, True, True, 0)
 
-        liststore = gtk.ListStore(gobject.TYPE_STRING, # revision_id
-                                  gobject.TYPE_STRING, # date
-                                  gobject.TYPE_STRING, # committer
-                                  gobject.TYPE_STRING, # summary
+        liststore = Gtk.ListStore(GObject.TYPE_STRING, # revision_id
+                                  GObject.TYPE_STRING, # date
+                                  GObject.TYPE_STRING, # committer
+                                  GObject.TYPE_STRING, # summary
                                  )
         self._pending_store = liststore
         self._treeview_pending.set_model(liststore)
-        self._treeview_pending.append_column(gtk.TreeViewColumn(_i18n('Date'),
-                                             gtk.CellRendererText(), text=1))
-        self._treeview_pending.append_column(gtk.TreeViewColumn(_i18n('Committer'),
-                                             gtk.CellRendererText(), text=2))
-        self._treeview_pending.append_column(gtk.TreeViewColumn(_i18n('Summary'),
-                                             gtk.CellRendererText(), text=3))
+        self._treeview_pending.append_column(Gtk.TreeViewColumn(_i18n('Date'),
+                                             Gtk.CellRendererText(), text=1))
+        self._treeview_pending.append_column(Gtk.TreeViewColumn(_i18n('Committer'),
+                                             Gtk.CellRendererText(), text=2))
+        self._treeview_pending.append_column(Gtk.TreeViewColumn(_i18n('Summary'),
+                                             Gtk.CellRendererText(), text=3))
 
     def _construct_diff_view(self):
         from bzrlib.plugins.gtk.diff import DiffView
@@ -518,7 +518,7 @@
         #       decide that we really don't ever want to display it, we should
         #       actually remove it, and other references to it, along with the
         #       tests that it is set properly.
-        self._diff_label = gtk.Label(_i18n('Diff for whole tree'))
+        self._diff_label = Gtk.Label(label=_i18n('Diff for whole tree'))
         self._diff_label.set_alignment(0, 0)
         self._right_pane_table.set_row_spacing(self._right_pane_table_row, 0)
         self._add_to_right_table(self._diff_label, 1, False)
@@ -529,27 +529,27 @@
         self._diff_view.show()
 
     def _construct_file_message(self):
-        scroller = gtk.ScrolledWindow()
-        scroller.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
+        scroller = Gtk.ScrolledWindow()
+        scroller.set_policy(Gtk.PolicyType.AUTOMATIC, Gtk.PolicyType.AUTOMATIC)
 
-        self._file_message_text_view = gtk.TextView()
+        self._file_message_text_view = Gtk.TextView()
         scroller.add(self._file_message_text_view)
-        scroller.set_shadow_type(gtk.SHADOW_IN)
+        scroller.set_shadow_type(Gtk.ShadowType.IN)
         scroller.show()
 
-        self._file_message_text_view.modify_font(pango.FontDescription("Monospace"))
-        self._file_message_text_view.set_wrap_mode(gtk.WRAP_WORD)
+        self._file_message_text_view.modify_font(Pango.FontDescription("Monospace"))
+        self._file_message_text_view.set_wrap_mode(Gtk.WrapMode.WORD)
         self._file_message_text_view.set_accepts_tab(False)
         self._file_message_text_view.show()
 
-        self._file_message_expander = gtk.Expander(_i18n('File commit message'))
+        self._file_message_expander = Gtk.Expander(_i18n('File commit message'))
         self._file_message_expander.set_expanded(True)
         self._file_message_expander.add(scroller)
         self._add_to_right_table(self._file_message_expander, 1, False)
         self._file_message_expander.show()
 
     def _construct_global_message(self):
-        self._global_message_label = gtk.Label(_i18n('Global Commit Message'))
+        self._global_message_label = Gtk.Label(label=_i18n('Global Commit Message'))
         self._global_message_label.set_markup(
             _i18n('<b>Global Commit Message</b>'))
         self._global_message_label.set_alignment(0, 0)
@@ -558,17 +558,17 @@
         # Can we remove the spacing between the label and the box?
         self._global_message_label.show()
 
-        scroller = gtk.ScrolledWindow()
-        scroller.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
+        scroller = Gtk.ScrolledWindow()
+        scroller.set_policy(Gtk.PolicyType.AUTOMATIC, Gtk.PolicyType.AUTOMATIC)
 
-        self._global_message_text_view = gtk.TextView()
+        self._global_message_text_view = Gtk.TextView()
         self._set_global_commit_message(self._saved_commit_messages_manager.get()[0])
-        self._global_message_text_view.modify_font(pango.FontDescription("Monospace"))
+        self._global_message_text_view.modify_font(Pango.FontDescription("Monospace"))
         scroller.add(self._global_message_text_view)
-        scroller.set_shadow_type(gtk.SHADOW_IN)
+        scroller.set_shadow_type(Gtk.ShadowType.IN)
         scroller.show()
         self._add_to_right_table(scroller, 2, True)
-        self._file_message_text_view.set_wrap_mode(gtk.WRAP_WORD)
+        self._file_message_text_view.set_wrap_mode(Gtk.WrapMode.WORD)
         self._file_message_text_view.set_accepts_tab(False)
         self._global_message_text_view.show()
 
@@ -689,11 +689,11 @@
                 _i18n('Commit cancelled'),
                 _i18n('Do you want to save your commit messages ?'),
                 parent=self)
-            if response == gtk.RESPONSE_NO:
+            if response == Gtk.ResponseType.NO:
                  # save nothing and destroy old comments if any
                 mgr = SavedCommitMessagesManager()
         mgr.save(self._wt, self._wt.branch)
-        self.response(gtk.RESPONSE_CANCEL) # close window
+        self.response(Gtk.ResponseType.CANCEL) # close window
 
     @show_bzr_error
     def _on_commit_clicked(self, button):
@@ -708,7 +708,7 @@
                 _i18n('Commit with an empty message?'),
                 _i18n('You can describe your commit intent in the message.'),
                 parent=self)
-            if response == gtk.RESPONSE_NO:
+            if response == Gtk.ResponseType.NO:
                 # Kindly give focus to message area
                 self._global_message_text_view.grab_focus()
                 return
@@ -730,7 +730,7 @@
                 _i18n("Unknown files exist in the working tree. Commit anyway?"),
                 parent=self)
                 # Doesn't set a parent for the dialog..
-            if response == gtk.RESPONSE_NO:
+            if response == Gtk.ResponseType.NO:
                 return
             break
 
@@ -751,7 +751,7 @@
                 _i18n('There are no changes in the working tree.'
                       ' Do you want to commit anyway?'),
                 parent=self)
-            if response == gtk.RESPONSE_YES:
+            if response == Gtk.ResponseType.YES:
                 rev_id = self._wt.commit(message,
                                allow_pointless=True,
                                strict=False,
@@ -761,7 +761,7 @@
         self.committed_revision_id = rev_id
         # destroy old comments if any
         SavedCommitMessagesManager().save(self._wt, self._wt.branch)
-        self.response(gtk.RESPONSE_OK)
+        self.response(Gtk.ResponseType.OK)
 
     def _get_global_commit_message(self):
         buf = self._global_message_text_view.get_buffer()

=== modified file 'conflicts.py'
--- conflicts.py	2011-03-14 20:12:19 +0000
+++ conflicts.py	2011-07-31 15:52:43 +0000
@@ -22,8 +22,8 @@
 
 import subprocess
 
-import gtk
-import gobject
+from gi.repository import Gtk
+from gi.repository import GObject
 
 from bzrlib.config import GlobalConfig
 from bzrlib.plugins.gtk import _i18n
@@ -33,35 +33,35 @@
     )
 
 
-class ConflictsDialog(gtk.Dialog):
+class ConflictsDialog(Gtk.Dialog):
     """ This dialog displays the list of conflicts. """
 
     def __init__(self, wt, parent=None):
         """ Initialize the Conflicts dialog. """
-        gtk.Dialog.__init__(self, title="Conflicts - Olive",
+        GObject.GObject.__init__(self, title="Conflicts - Olive",
                                   parent=parent,
                                   flags=0,
-                                  buttons=(gtk.STOCK_CLOSE, gtk.RESPONSE_CANCEL))
+                                  buttons=(Gtk.STOCK_CLOSE, Gtk.ResponseType.CANCEL))
 
         # Get arguments
         self.wt = wt
 
         # Create the widgets
-        self._scrolledwindow = gtk.ScrolledWindow()
-        self._treeview = gtk.TreeView()
-        self._label_diff3 = gtk.Label(_i18n("External utility:"))
-        self._entry_diff3 = gtk.Entry()
-        self._image_diff3 = gtk.Image()
-        self._button_diff3 = gtk.Button()
-        self._hbox_diff3 = gtk.HBox()
+        self._scrolledwindow = Gtk.ScrolledWindow()
+        self._treeview = Gtk.TreeView()
+        self._label_diff3 = Gtk.Label(label=_i18n("External utility:"))
+        self._entry_diff3 = Gtk.Entry()
+        self._image_diff3 = Gtk.Image()
+        self._button_diff3 = Gtk.Button()
+        self._hbox_diff3 = Gtk.HBox()
 
         # Set callbacks
         self._button_diff3.connect('clicked', self._on_diff3_clicked)
 
         # Set properties
-        self._scrolledwindow.set_policy(gtk.POLICY_AUTOMATIC,
-                                        gtk.POLICY_AUTOMATIC)
-        self._image_diff3.set_from_stock(gtk.STOCK_APPLY, gtk.ICON_SIZE_BUTTON)
+        self._scrolledwindow.set_policy(Gtk.PolicyType.AUTOMATIC,
+                                        Gtk.PolicyType.AUTOMATIC)
+        self._image_diff3.set_from_stock(Gtk.STOCK_APPLY, Gtk.IconSize.BUTTON)
         self._button_diff3.set_image(self._image_diff3)
         self._entry_diff3.set_text(self._get_diff3())
         self._hbox_diff3.set_spacing(3)
@@ -98,22 +98,22 @@
     def _create_conflicts(self):
         """ Construct the list of conflicts. """
         if len(self.wt.conflicts()) == 0:
-            self.model = gtk.ListStore(gobject.TYPE_STRING)
+            self.model = Gtk.ListStore(GObject.TYPE_STRING)
             self._treeview.set_model(self.model)
-            self._treeview.append_column(gtk.TreeViewColumn(_i18n('Conflicts'),
-                                         gtk.CellRendererText(), text=0))
+            self._treeview.append_column(Gtk.TreeViewColumn(_i18n('Conflicts'),
+                                         Gtk.CellRendererText(), text=0))
             self._treeview.set_headers_visible(False)
             self.model.append([ _i18n("No conflicts in working tree.") ])
             self._button_diff3.set_sensitive(False)
         else:
-            self.model = gtk.ListStore(gobject.TYPE_STRING,
-                                       gobject.TYPE_STRING,
-                                       gobject.TYPE_STRING)
+            self.model = Gtk.ListStore(GObject.TYPE_STRING,
+                                       GObject.TYPE_STRING,
+                                       GObject.TYPE_STRING)
             self._treeview.set_model(self.model)
-            self._treeview.append_column(gtk.TreeViewColumn(_i18n('Path'),
-                                         gtk.CellRendererText(), text=0))
-            self._treeview.append_column(gtk.TreeViewColumn(_i18n('Type'),
-                                         gtk.CellRendererText(), text=1))
+            self._treeview.append_column(Gtk.TreeViewColumn(_i18n('Path'),
+                                         Gtk.CellRendererText(), text=0))
+            self._treeview.append_column(Gtk.TreeViewColumn(_i18n('Type'),
+                                         Gtk.CellRendererText(), text=1))
             self._treeview.set_search_column(0)
             for conflict in self.wt.conflicts():
                 if conflict.typestring == 'path conflict':

=== modified file 'dialog.py'
--- dialog.py	2011-03-14 20:12:19 +0000
+++ dialog.py	2011-07-31 15:52:43 +0000
@@ -20,17 +20,17 @@
 except:
     pass
 
-import gtk
-
-
-def _message_dialog(type, primary, secondary, parent=None, buttons=gtk.BUTTONS_OK):
+from gi.repository import Gtk
+
+
+def _message_dialog(type, primary, secondary, parent=None, buttons=Gtk.ButtonsType.OK):
     """ Display a given type of MessageDialog with the given message.
 
     :param type: message dialog type
 
     :param message: the message you want to display.
     """
-    dialog = gtk.MessageDialog(flags=gtk.DIALOG_MODAL, type=type, parent=parent,
+    dialog = Gtk.MessageDialog(flags=Gtk.DialogFlags.MODAL, type=type, parent=parent,
                                buttons=buttons)
     dialog.set_markup('<big><b>' + primary + '</b></big>')
     dialog.format_secondary_text(secondary)
@@ -40,16 +40,16 @@
 
 def error_dialog(primary, secondary, parent=None):
     """ Display an error dialog with the given message. """
-    return _message_dialog(gtk.MESSAGE_ERROR, primary, secondary, parent)
+    return _message_dialog(Gtk.MessageType.ERROR, primary, secondary, parent)
 
 def info_dialog(primary, secondary, parent=None):
     """ Display an info dialog with the given message. """
-    return _message_dialog(gtk.MESSAGE_INFO, primary, secondary, parent)
+    return _message_dialog(Gtk.MessageType.INFO, primary, secondary, parent)
 
 def warning_dialog(primary, secondary, parent=None):
     """ Display a warning dialog with the given message. """
-    return _message_dialog(gtk.MESSAGE_WARNING, primary, secondary, parent)
+    return _message_dialog(Gtk.MessageType.WARNING, primary, secondary, parent)
 
 def question_dialog(primary, secondary, parent=None):
     """ Display a dialog with the given question. """
-    return _message_dialog(gtk.MESSAGE_QUESTION, primary, secondary, parent, gtk.BUTTONS_YES_NO)
+    return _message_dialog(Gtk.MessageType.QUESTION, primary, secondary, parent, Gtk.ButtonsType.YES_NO)

=== modified file 'diff.py'
--- diff.py	2011-04-10 18:44:39 +0000
+++ diff.py	2011-07-31 15:52:43 +0000
@@ -12,8 +12,8 @@
 
 import pygtk
 pygtk.require("2.0")
-import gtk
-import pango
+from gi.repository import Gtk
+from gi.repository import Pango
 import os
 import re
 import sys
@@ -24,12 +24,12 @@
     from elementtree.ElementTree import Element, SubElement, tostring
 
 try:
-    import gtksourceview2
+    from gi.repository import GtkSource
     have_gtksourceview = True
 except ImportError:
     have_gtksourceview = False
 try:
-    import gconf
+    from gi.repository import GConf
     have_gconf = True
 except ImportError:
     have_gconf = False
@@ -66,22 +66,22 @@
     pass
 
 
-class DiffFileView(gtk.ScrolledWindow):
+class DiffFileView(Gtk.ScrolledWindow):
     """Window for displaying diffs from a diff file"""
 
     def __init__(self):
-        gtk.ScrolledWindow.__init__(self)
+        GObject.GObject.__init__(self)
         self.construct()
         self._diffs = {}
 
     def construct(self):
-        self.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
-        self.set_shadow_type(gtk.SHADOW_IN)
+        self.set_policy(Gtk.PolicyType.AUTOMATIC, Gtk.PolicyType.AUTOMATIC)
+        self.set_shadow_type(Gtk.ShadowType.IN)
 
         if have_gtksourceview:
-            self.buffer = gtksourceview2.Buffer()
-            slm = gtksourceview2.LanguageManager()
-            guess_language = getattr(gtksourceview2.LanguageManager, 
+            self.buffer = GtkSource.Buffer()
+            slm = GtkSource.LanguageManager()
+            guess_language = getattr(GtkSource.LanguageManager, 
                 "guess_language", fallback_guess_language)
             gsl = guess_language(slm, content_type="text/x-patch")
             if have_gconf:
@@ -90,13 +90,13 @@
             self.buffer.set_language(gsl)
             self.buffer.set_highlight_syntax(True)
 
-            self.sourceview = gtksourceview2.View(self.buffer)
+            self.sourceview = GtkSource.View(self.buffer)
         else:
-            self.buffer = gtk.TextBuffer()
-            self.sourceview = gtk.TextView(self.buffer)
+            self.buffer = Gtk.TextBuffer()
+            self.sourceview = Gtk.TextView(self.buffer)
 
         self.sourceview.set_editable(False)
-        self.sourceview.modify_font(pango.FontDescription("Monospace"))
+        self.sourceview.modify_font(Pango.FontDescription("Monospace"))
         self.add(self.sourceview)
         self.sourceview.show()
 
@@ -106,15 +106,15 @@
 
         This method needs the gconf module.
 
-        :param buf: a gtksourceview2.Buffer object.
+        :param buf: a GtkSource.Buffer object.
         """
         GEDIT_SCHEME_PATH = '/apps/gedit-2/preferences/editor/colors/scheme'
         GEDIT_USER_STYLES_PATH = os.path.expanduser('~/.gnome2/gedit/styles')
 
-        client = gconf.client_get_default()
+        client = GConf.Client.get_default()
         style_scheme_name = client.get_string(GEDIT_SCHEME_PATH)
         if style_scheme_name is not None:
-            style_scheme_mgr = gtksourceview2.StyleSchemeManager()
+            style_scheme_mgr = GtkSource.StyleSchemeManager()
             style_scheme_mgr.append_search_path(GEDIT_USER_STYLES_PATH)
             
             style_scheme = style_scheme_mgr.get_scheme(style_scheme_name)
@@ -128,9 +128,9 @@
 
         Both ~/.colordiffrc and ~/.colordiffrc.bzr-gtk are read.
 
-        :param buf: a "Diff" gtksourceview2.Buffer object.
+        :param buf: a "Diff" GtkSource.Buffer object.
         """
-        scheme_manager = gtksourceview2.StyleSchemeManager()
+        scheme_manager = GtkSource.StyleSchemeManager()
         style_scheme = scheme_manager.get_scheme('colordiff')
         
         # if style scheme not found, we'll generate it from colordiffrc
@@ -284,7 +284,7 @@
         self.buffer.set_text(decoded.encode('UTF-8'))
 
 
-class DiffWidget(gtk.HPaned):
+class DiffWidget(Gtk.HPaned):
     """Diff widget
 
     """
@@ -292,24 +292,24 @@
         super(DiffWidget, self).__init__()
 
         # The file hierarchy: a scrollable treeview
-        scrollwin = gtk.ScrolledWindow()
-        scrollwin.set_policy(gtk.POLICY_NEVER, gtk.POLICY_AUTOMATIC)
-        scrollwin.set_shadow_type(gtk.SHADOW_IN)
+        scrollwin = Gtk.ScrolledWindow()
+        scrollwin.set_policy(Gtk.PolicyType.NEVER, Gtk.PolicyType.AUTOMATIC)
+        scrollwin.set_shadow_type(Gtk.ShadowType.IN)
         self.pack1(scrollwin)
         scrollwin.show()
         
-        self.model = gtk.TreeStore(str, str)
-        self.treeview = gtk.TreeView(self.model)
+        self.model = Gtk.TreeStore(str, str)
+        self.treeview = Gtk.TreeView(self.model)
         self.treeview.set_headers_visible(False)
         self.treeview.set_search_column(1)
         self.treeview.connect("cursor-changed", self._treeview_cursor_cb)
         scrollwin.add(self.treeview)
         self.treeview.show()
 
-        cell = gtk.CellRendererText()
+        cell = Gtk.CellRendererText()
         cell.set_property("width-chars", 20)
-        column = gtk.TreeViewColumn()
-        column.pack_start(cell, expand=True)
+        column = Gtk.TreeViewColumn()
+        column.pack_start(cell, True, True, 0)
         column.add_attribute(cell, "text", 0)
         self.treeview.append_column(column)
 
@@ -403,9 +403,9 @@
     def _on_wraplines_toggled(self, widget=None, wrap=False):
         """Callback for when the wrap lines checkbutton is toggled"""
         if wrap or widget.get_active():
-            self.diff_view.sourceview.set_wrap_mode(gtk.WRAP_WORD)
+            self.diff_view.sourceview.set_wrap_mode(Gtk.WrapMode.WORD)
         else:
-            self.diff_view.sourceview.set_wrap_mode(gtk.WRAP_NONE)
+            self.diff_view.sourceview.set_wrap_mode(Gtk.WrapMode.NONE)
 
 class DiffWindow(Window):
     """Diff window.
@@ -429,7 +429,7 @@
 
     def construct(self, operations):
         """Construct the window contents."""
-        self.vbox = gtk.VBox()
+        self.vbox = Gtk.VBox()
         self.add(self.vbox)
         self.vbox.show()
         self.diff = DiffWidget()
@@ -444,11 +444,11 @@
         
     
     def _get_menu_bar(self):
-        menubar = gtk.MenuBar()
+        menubar = Gtk.MenuBar()
         # View menu
-        mb_view = gtk.MenuItem(_i18n("_View"))
-        mb_view_menu = gtk.Menu()
-        mb_view_wrapsource = gtk.CheckMenuItem(_i18n("Wrap _Long Lines"))
+        mb_view = Gtk.MenuItem(_i18n("_View"))
+        mb_view_menu = Gtk.Menu()
+        mb_view_wrapsource = Gtk.CheckMenuItem(_i18n("Wrap _Long Lines"))
         mb_view_wrapsource.connect('activate', self.diff._on_wraplines_toggled)
         mb_view_wrapsource.show()
         mb_view_menu.append(mb_view_wrapsource)
@@ -466,26 +466,26 @@
         """
         if operations is None:
             return None
-        hbox = gtk.HButtonBox()
-        hbox.set_layout(gtk.BUTTONBOX_START)
+        hbox = Gtk.HButtonBox()
+        hbox.set_layout(Gtk.ButtonBoxStyle.START)
         for title, method in operations:
-            merge_button = gtk.Button(title)
+            merge_button = Gtk.Button(title)
             merge_button.show()
-            merge_button.set_relief(gtk.RELIEF_NONE)
+            merge_button.set_relief(Gtk.ReliefStyle.NONE)
             merge_button.connect("clicked", method)
             hbox.pack_start(merge_button, expand=False, fill=True)
         hbox.show()
         return hbox
 
     def _get_merge_target(self):
-        d = gtk.FileChooserDialog('Merge branch', self,
-                                  gtk.FILE_CHOOSER_ACTION_SELECT_FOLDER,
-                                  buttons=(gtk.STOCK_OK, gtk.RESPONSE_OK,
-                                           gtk.STOCK_CANCEL,
-                                           gtk.RESPONSE_CANCEL,))
+        d = Gtk.FileChooserDialog('Merge branch', self,
+                                  Gtk.FileChooserAction.SELECT_FOLDER,
+                                  buttons=(Gtk.STOCK_OK, Gtk.ResponseType.OK,
+                                           Gtk.STOCK_CANCEL,
+                                           Gtk.ResponseType.CANCEL,))
         try:
             result = d.run()
-            if result != gtk.RESPONSE_OK:
+            if result != Gtk.ResponseType.OK:
                 raise SelectCancelled()
             return d.get_current_folder_uri()
         finally:
@@ -505,15 +505,15 @@
         error_dialog('Error', str(e))
 
     def _get_save_path(self, basename):
-        d = gtk.FileChooserDialog('Save As', self,
-                                  gtk.FILE_CHOOSER_ACTION_SAVE,
-                                  buttons=(gtk.STOCK_OK, gtk.RESPONSE_OK,
-                                           gtk.STOCK_CANCEL,
-                                           gtk.RESPONSE_CANCEL,))
+        d = Gtk.FileChooserDialog('Save As', self,
+                                  Gtk.FileChooserAction.SAVE,
+                                  buttons=(Gtk.STOCK_OK, Gtk.ResponseType.OK,
+                                           Gtk.STOCK_CANCEL,
+                                           Gtk.ResponseType.CANCEL,))
         d.set_current_name(basename)
         try:
             result = d.run()
-            if result != gtk.RESPONSE_OK:
+            if result != Gtk.ResponseType.OK:
                 raise SelectCancelled()
             return urlutils.local_path_from_url(d.get_uri())
         finally:

=== modified file 'initialize.py'
--- initialize.py	2011-04-10 18:44:39 +0000
+++ initialize.py	2011-07-31 15:52:43 +0000
@@ -20,7 +20,7 @@
 except:
     pass
 
-import gtk
+from gi.repository import Gtk
 
 import os
 
@@ -35,26 +35,26 @@
 from bzrlib.plugins.gtk.i18n import _i18n
 
 
-class InitDialog(gtk.Dialog):
+class InitDialog(Gtk.Dialog):
     """ Initialize dialog. """
 
     def __init__(self, path, parent=None):
         """ Initialize the Initialize dialog. """
-        gtk.Dialog.__init__(self, title="Initialize - Olive",
+        GObject.GObject.__init__(self, title="Initialize - Olive",
                                   parent=parent,
                                   flags=0,
-                                  buttons=(gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL))
+                                  buttons=(Gtk.STOCK_CANCEL, Gtk.ResponseType.CANCEL))
         
         # Get arguments
         self.path = path
         
         # Create the widgets
-        self._button_init = gtk.Button(_i18n("_Initialize"), use_underline=True)
-        self._label_question = gtk.Label(_i18n("Which directory do you want to initialize?"))
-        self._radio_current = gtk.RadioButton(None, _i18n("Current directory"))
-        self._radio_custom = gtk.RadioButton(self._radio_current, _i18n("Create a new directory with the name:"))
-        self._entry_custom = gtk.Entry()
-        self._hbox_custom = gtk.HBox()
+        self._button_init = Gtk.Button(_i18n("_Initialize"), use_underline=True)
+        self._label_question = Gtk.Label(label=_i18n("Which directory do you want to initialize?"))
+        self._radio_current = Gtk.RadioButton(None, _i18n("Current directory"))
+        self._radio_custom = Gtk.RadioButton(self._radio_current, _i18n("Create a new directory with the name:"))
+        self._entry_custom = Gtk.Entry()
+        self._hbox_custom = Gtk.HBox()
         
         # Set callbacks
         self._button_init.connect('clicked', self._on_init_clicked)
@@ -69,9 +69,9 @@
         self._hbox_custom.pack_start(self._radio_custom, False, False)
         self._hbox_custom.pack_start(self._entry_custom, True, True)
         
-        self.vbox.pack_start(self._label_question)
-        self.vbox.pack_start(self._radio_current)
-        self.vbox.pack_start(self._hbox_custom)
+        self.vbox.pack_start(self._label_question, True, True, 0)
+        self.vbox.pack_start(self._radio_current, True, True, 0)
+        self.vbox.pack_start(self._hbox_custom, True, True, 0)
         
         # Display the dialog
         self.vbox.show_all()
@@ -120,4 +120,4 @@
                 branch = existing_bzrdir.create_branch()
                 existing_bzrdir.create_workingtree()
         
-        self.response(gtk.RESPONSE_OK)
+        self.response(Gtk.ResponseType.OK)

=== modified file 'keyring.py'
--- keyring.py	2010-06-04 12:12:59 +0000
+++ keyring.py	2011-07-31 15:52:43 +0000
@@ -14,7 +14,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-import gobject
+from gi.repository import GObject
 try:
     import gnomekeyring
 except ImportError:
@@ -36,7 +36,7 @@
             # External applications that load bzrlib may already have set the
             # application name so we don't contradict them (when we can
             # determine it that is).
-            gobject.set_application_name("bzr")
+            GObject.set_application_name("bzr")
 
     def decode_password(self, credentials):
         if gnomekeyring is None:

=== modified file 'lock.py'
--- lock.py	2011-03-14 20:12:19 +0000
+++ lock.py	2011-07-31 15:52:43 +0000
@@ -1,8 +1,8 @@
-import gtk
+from gi.repository import Gtk
 
 
 RESPONSE_BREAK = 0
-RESPONSE_CANCEL = gtk.RESPONSE_CANCEL
+RESPONSE_CANCEL = Gtk.ResponseType.CANCEL
 
 READ = "read"
 WRITE = "write"
@@ -43,19 +43,19 @@
     return True
 
 
-class LockDialog(gtk.Dialog):
+class LockDialog(Gtk.Dialog):
 
     def __init__(self, branch):
-        gtk.Dialog.__init__(self)
+        GObject.GObject.__init__(self)
 
         self.branch = branch
 
         self.set_title('Lock Not Held')
 
-        self.vbox.add(gtk.Label('This operation cannot be completed as ' \
+        self.vbox.add(Gtk.Label(label='This operation cannot be completed as ' \
                                 'another application has locked the branch.'))
 
         self.add_button('Break Lock', RESPONSE_BREAK)
-        self.add_button(gtk.STOCK_CANCEL, RESPONSE_CANCEL)
+        self.add_button(Gtk.STOCK_CANCEL, RESPONSE_CANCEL)
 
         self.vbox.show_all()

=== modified file 'loom.py'
--- loom.py	2011-04-10 18:44:39 +0000
+++ loom.py	2011-07-31 15:52:43 +0000
@@ -20,8 +20,8 @@
 except:
     pass
 
-import gtk
-import gobject
+from gi.repository import Gtk
+from gi.repository import GObject
 
 from bzrlib.plugins.gtk.diff import DiffWidget
 from bzrlib.plugins.gtk.dialog import question_dialog
@@ -32,14 +32,14 @@
 from bzrlib.plugins.gtk.i18n import _i18n
 
 
-class LoomDialog(gtk.Dialog):
+class LoomDialog(Gtk.Dialog):
     """Simple Loom browse dialog."""
 
     def __init__(self, branch, tree=None, parent=None):
-        gtk.Dialog.__init__(self, title="Threads",
+        GObject.GObject.__init__(self, title="Threads",
                                   parent=parent,
                                   flags=0,
-                                  buttons=(gtk.STOCK_CLOSE,gtk.RESPONSE_OK))
+                                  buttons=(Gtk.STOCK_CLOSE,Gtk.ResponseType.OK))
         self.branch = branch
         if tree is not None:
             self.tree = loom_tree.LoomTreeDecorator(tree)
@@ -57,7 +57,7 @@
                 _i18n("Branch is not a loom branch. Upgrade to Loom format?"),
                 parent=self)
                 # Doesn't set a parent for the dialog..
-            if response == gtk.RESPONSE_NO:
+            if response == Gtk.ResponseType.NO:
                 return
             assert self.branch.nick is not None
             loom_branch.loomify(self.branch)
@@ -65,19 +65,19 @@
         return super(LoomDialog, self).run()
 
     def _construct(self):
-        hbox = gtk.HBox()
+        hbox = Gtk.HBox()
 
-        self._threads_scroller = gtk.ScrolledWindow()
-        self._threads_scroller.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
-        self._threads_view = gtk.TreeView()
+        self._threads_scroller = Gtk.ScrolledWindow()
+        self._threads_scroller.set_policy(Gtk.PolicyType.AUTOMATIC, Gtk.PolicyType.AUTOMATIC)
+        self._threads_view = Gtk.TreeView()
         self._threads_scroller.add(self._threads_view)
-        self._threads_scroller.set_shadow_type(gtk.SHADOW_IN)
-        hbox.pack_start(self._threads_scroller)
+        self._threads_scroller.set_shadow_type(Gtk.ShadowType.IN)
+        hbox.pack_start(self._threads_scroller, True, True, 0)
 
-        self._threads_store = gtk.ListStore(
-                gobject.TYPE_STRING, gobject.TYPE_STRING, gobject.TYPE_PYOBJECT, gobject.TYPE_STRING)
+        self._threads_store = Gtk.ListStore(
+                GObject.TYPE_STRING, GObject.TYPE_STRING, GObject.TYPE_PYOBJECT, GObject.TYPE_STRING)
         self._threads_view.set_model(self._threads_store)
-        self._threads_view.append_column(gtk.TreeViewColumn("Name", gtk.CellRendererText(), text=0))
+        self._threads_view.append_column(Gtk.TreeViewColumn("Name", Gtk.CellRendererText(), text=0))
         self._threads_view.connect('cursor-changed', self._on_view_thread)
         if self.tree is not None:
             self._threads_view.connect('row-activated', self._on_switch_thread)
@@ -87,7 +87,7 @@
         hbox.pack_end(self._diff)
 
         hbox.show_all()
-        self.vbox.pack_start(hbox)
+        self.vbox.pack_start(hbox, True, True, 0)
 
         # FIXME: Buttons: combine-thread, revert-loom, record
         self.set_default_size(500, 350)

=== modified file 'merge.py'
--- merge.py	2011-04-10 18:44:39 +0000
+++ merge.py	2011-07-31 15:52:43 +0000
@@ -22,7 +22,7 @@
 except:
     pass
 
-import gtk
+from gi.repository import Gtk
 
 from bzrlib.branch import Branch
 import bzrlib.errors as errors
@@ -37,15 +37,15 @@
 from bzrlib.plugins.gtk.i18n import _i18n
 
 
-class MergeDialog(gtk.Dialog):
+class MergeDialog(Gtk.Dialog):
     """ Display the Merge dialog and perform the needed actions. """
     
     def __init__(self, wt, wtpath, default_branch_path=None, parent=None):
         """ Initialize the Merge dialog. """
-        gtk.Dialog.__init__(self, title="Merge changes",
+        GObject.GObject.__init__(self, title="Merge changes",
                                   parent=parent,
                                   flags=0,
-                                  buttons=(gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL))
+                                  buttons=(Gtk.STOCK_CANCEL, Gtk.ResponseType.CANCEL))
         self.set_icon_from_file(icon_path("bzr-icon-64.png"))
         # Get arguments
         self.wt = wt
@@ -54,16 +54,16 @@
         self.parent_window = parent
         
         # Create widgets
-        self._hbox = gtk.HBox()
-        self._source = gtk.HBox()
-        self._label_merge_from = gtk.Label(_i18n("Merge from"))
-        self._combo_source = gtk.combo_box_new_text()
+        self._hbox = Gtk.HBox()
+        self._source = Gtk.HBox()
+        self._label_merge_from = Gtk.Label(label=_i18n("Merge from"))
+        self._combo_source = Gtk.ComboBoxText()
         for entry in [_i18n("Folder"),_i18n("Custom Location")]:
             self._combo_source.append_text(entry)
         self._combo_source.connect("changed", self._on_combo_changed)
-        self._button_merge = gtk.Button(_i18n("_Merge"))
-        self._button_merge_icon = gtk.Image()
-        self._button_merge_icon.set_from_stock(gtk.STOCK_APPLY, gtk.ICON_SIZE_BUTTON)
+        self._button_merge = Gtk.Button(_i18n("_Merge"))
+        self._button_merge_icon = Gtk.Image()
+        self._button_merge_icon.set_from_stock(Gtk.STOCK_APPLY, Gtk.IconSize.BUTTON)
         self._button_merge.set_image(self._button_merge_icon)
         self._button_merge.connect('clicked', self._on_merge_clicked)
         
@@ -87,14 +87,14 @@
     
     def _on_folder_source(self):
         """ Merge from folder, create a filechooser dialog and button """
-        self._source = gtk.HBox()
-        self._filechooser_dialog = gtk.FileChooserDialog(title="Please select a folder",
+        self._source = Gtk.HBox()
+        self._filechooser_dialog = Gtk.FileChooserDialog(title="Please select a folder",
                                     parent=self.parent_window,
-                                    action=gtk.FILE_CHOOSER_ACTION_SELECT_FOLDER,
-                                    buttons=(gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL,
-                                             gtk.STOCK_OPEN, gtk.RESPONSE_OK))
-        self._filechooser_dialog.set_default_response(gtk.RESPONSE_OK)
-        self._filechooser = gtk.FileChooserButton(self._filechooser_dialog)
+                                    action=Gtk.FileChooserAction.SELECT_FOLDER,
+                                    buttons=(Gtk.STOCK_CANCEL, Gtk.ResponseType.CANCEL,
+                                             Gtk.STOCK_OPEN, Gtk.ResponseType.OK))
+        self._filechooser_dialog.set_default_response(Gtk.ResponseType.OK)
+        self._filechooser = Gtk.FileChooserButton(self._filechooser_dialog)
         self._filechooser.show()
         directory = getattr(self, 'directory', None)
         if not directory:
@@ -106,8 +106,8 @@
     
     def _on_custom_source(self):
         """ Merge from a custom source (can be folder, remote, etc), create entry """
-        self._source = gtk.HBox()
-        self._custom_entry = gtk.Entry()
+        self._source = Gtk.HBox()
+        self._custom_entry = Gtk.Entry()
         if self.default_branch_path:
             self._custom_entry.set_text(self.default_branch_path)
         self._custom_entry.connect("activate", self._on_merge_clicked)
@@ -155,4 +155,4 @@
             warning_dialog(_i18n('Conflicts encountered'),
                            _i18n('Please resolve the conflicts manually before committing.'))
         
-        self.response(gtk.RESPONSE_OK)
+        self.response(Gtk.ResponseType.OK)

=== modified file 'mergedirective.py'
--- mergedirective.py	2011-03-14 20:12:19 +0000
+++ mergedirective.py	2011-07-31 15:52:43 +0000
@@ -20,11 +20,11 @@
 except:
     pass
 
-import gtk
+from gi.repository import Gtk
 
 from bzrlib.plugins.gtk.branchbox import BranchSelectionBox
 
-class CreateMergeDirectiveDialog(gtk.Dialog):
+class CreateMergeDirectiveDialog(Gtk.Dialog):
     def __init__(self, branch, stop_revid=None):
         super(CreateMergeDirectiveDialog, self).__init__()
         self.branch = branch
@@ -42,7 +42,7 @@
         pass
 
 
-class SendMergeDirectiveDialog(gtk.Dialog):
+class SendMergeDirectiveDialog(Gtk.Dialog):
     def __init__(self, branch, parent=None):
         super(SendMergeDirectiveDialog, self).__init__(parent)
         self.branch = branch
@@ -50,31 +50,31 @@
         self._create()
 
     def _create(self):
-        table = gtk.Table(rows=3, columns=2)
+        table = Gtk.Table(rows=3, columns=2)
         self.vbox.add(table)
 
-        label = gtk.Label()
+        label = Gtk.Label()
         label.set_markup("<b>Branch to Submit:</b>")
-        table.attach(label, 0, 1, 0, 1, gtk.FILL, gtk.FILL)
-
-        label = gtk.Label(str(self.branch))
-        table.attach(label, 1, 2, 0, 1, gtk.FILL, gtk.FILL)
-
-        label = gtk.Label()
+        table.attach(label, 0, 1, 0, 1, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
+
+        label = Gtk.Label(label=str(self.branch))
+        table.attach(label, 1, 2, 0, 1, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
+
+        label = Gtk.Label()
         label.set_markup("<b>Target Branch:</b>")
-        table.attach(label, 0, 1, 1, 2, gtk.FILL, gtk.FILL)
+        table.attach(label, 0, 1, 1, 2, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
         self.submit_branch = BranchSelectionBox(self.branch.get_submit_branch())
-        table.attach(self.submit_branch, 1, 2, 1, 2, gtk.FILL, gtk.FILL)
+        table.attach(self.submit_branch, 1, 2, 1, 2, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
         # TODO: Display number of revisions to be send whenever 
         # submit branch changes
 
-        label = gtk.Label()
+        label = Gtk.Label()
         label.set_markup("<b>Email To:</b>")
-        table.attach(label, 0, 1, 2, 3, gtk.FILL, gtk.FILL)
+        table.attach(label, 0, 1, 2, 3, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
-        self.mail_to = gtk.ComboBoxEntry()
+        self.mail_to = Gtk.ComboBoxEntry()
         mail_to = self.branch.get_config().get_user_option('submit_to')
         if mail_to is None:
             submit_branch = self.submit_branch.get_branch()
@@ -83,10 +83,10 @@
                             'child_submit_to')
         if mail_to is not None:
             self.mail_to.get_child().set_text(mail_to)
-        table.attach(self.mail_to, 1, 2, 2, 3, gtk.FILL, gtk.FILL)
+        table.attach(self.mail_to, 1, 2, 2, 3, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
-        self.add_buttons(gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL, 
-                         gtk.STOCK_OK, gtk.RESPONSE_OK)
+        self.add_buttons(Gtk.STOCK_CANCEL, Gtk.ResponseType.CANCEL, 
+                         Gtk.STOCK_OK, Gtk.ResponseType.OK)
 
         self.show_all()
 
@@ -110,6 +110,6 @@
 
 
 
-class ApplyMergeDirectiveDialog(gtk.Dialog):
+class ApplyMergeDirectiveDialog(Gtk.Dialog):
     def __init__(self):
         super(ApplyMergeDirectiveDialog, self).__init__()

=== modified file 'missing.py'
--- missing.py	2011-02-18 13:01:03 +0000
+++ missing.py	2011-07-31 15:52:43 +0000
@@ -20,19 +20,19 @@
 except:
     pass
 
-import gtk
+from gi.repository import Gtk
 
 from bzrlib.missing import find_unmerged
 
 from bzrlib.plugins.gtk.revisionview import RevisionView
 
 
-class MissingWindow(gtk.Dialog):
+class MissingWindow(Gtk.Dialog):
     """Displays revisions present in one branch but missing in 
     another."""
     def __init__(self, local_branch, remote_branch):
         """ Initialize the Status window. """
-        super(MissingWindow, self).__init__(flags=gtk.DIALOG_MODAL)
+        super(MissingWindow, self).__init__(flags=Gtk.DialogFlags.MODAL)
         self.set_title("Missing Revisions")
         self.local_branch = local_branch
         self.remote_branch = remote_branch
@@ -41,21 +41,21 @@
         self._create()
 
     def _create_revisions_frame(self, revisions):
-        extra_revs = gtk.ScrolledWindow()
-        vbox = gtk.VBox()
+        extra_revs = Gtk.ScrolledWindow()
+        vbox = Gtk.VBox()
         for rev in revisions:
             rv = RevisionView()
             rv.set_revision(rev)
             vbox.pack_start(rv, True, True)
         extra_revs.add_with_viewport(vbox)
-        extra_revs.set_policy(gtk.POLICY_NEVER, gtk.POLICY_AUTOMATIC)
+        extra_revs.set_policy(Gtk.PolicyType.NEVER, Gtk.PolicyType.AUTOMATIC)
         return extra_revs
 
     def _create(self):
         self.set_default_size(600, 600)
-        paned = gtk.VPaned()
+        paned = Gtk.VPaned()
 
-        frame = gtk.Frame("You have the following extra revisions:")
+        frame = Gtk.Frame("You have the following extra revisions:")
 
         extra_revs = self._create_revisions_frame(
                 self.local_branch.repository.get_revisions(
@@ -67,7 +67,7 @@
                 self.remote_branch.repository.get_revisions(
                     map(lambda (x,y):y, self.remote_extra)))
 
-        frame = gtk.Frame("You are missing following revisions:")
+        frame = Gtk.Frame("You are missing following revisions:")
         frame.add(missing_revs)
 
         paned.pack2(frame, resize=False, shrink=True)

=== modified file 'nautilus-bzr.py'
--- nautilus-bzr.py	2011-03-14 20:12:19 +0000
+++ nautilus-bzr.py	2011-07-31 15:52:43 +0000
@@ -6,7 +6,7 @@
 #
 # Published under the GNU GPL
 
-import gtk
+from gi.repository import Gtk
 import nautilus
 from bzrlib.branch import Branch
 from bzrlib.bzrdir import BzrDir
@@ -143,7 +143,7 @@
         
         dialog = BranchDialog(vfs_file.get_name())
         response = dialog.run()
-        if response != gtk.RESPONSE_NONE:
+        if response != Gtk.ResponseType.NONE:
             dialog.hide()
             dialog.destroy()
  
@@ -171,7 +171,7 @@
         from bzrlib.plugins.gtk.commit import CommitDialog
         dialog = CommitDialog(tree, path)
         response = dialog.run()
-        if response != gtk.RESPONSE_NONE:
+        if response != Gtk.ResponseType.NONE:
             dialog.hide()
             dialog.destroy()
 
@@ -190,7 +190,7 @@
 
         pp = start_viz_window(branch, [branch.last_revision()])
         pp.show()
-        gtk.main()
+        Gtk.main()
 
     def pull_cb(self, menu, vfs_file):
         # We can only cope with local files
@@ -208,7 +208,7 @@
         from bzrlib.plugins.gtk.pull import PullDialog
         dialog = PullDialog(tree, path)
         dialog.display()
-        gtk.main()
+        Gtk.main()
 
     def merge_cb(self, menu, vfs_file):
         # We can only cope with local files

=== modified file 'notify.py'
--- notify.py	2011-02-18 13:01:03 +0000
+++ notify.py	2011-07-31 15:52:43 +0000
@@ -22,7 +22,7 @@
 except:
     pass
 
-import gtk
+from gi.repository import Gtk
 import bzrlib
 
 
@@ -34,7 +34,7 @@
     return (getattr(bzrlib.plugins, "avahi", None) is not None)
 
 
-class NotifyPopupMenu(gtk.Menu):
+class NotifyPopupMenu(Gtk.Menu):
 
     def __init__(self):
         super(NotifyPopupMenu, self).__init__()
@@ -42,10 +42,10 @@
 
     def create_items(self):
         from bzrlib import errors
-        item = gtk.CheckMenuItem('_Gateway to LAN')
+        item = Gtk.CheckMenuItem('_Gateway to LAN')
         item.connect('toggled', self.toggle_lan_gateway)
         self.append(item)
-        self.append(gtk.SeparatorMenuItem())
+        self.append(Gtk.SeparatorMenuItem())
         try:
             from bzrlib.plugins.dbus.activity import LanGateway
             self.langateway = LanGateway()
@@ -56,10 +56,10 @@
             # process is already running.
             item.set_sensitive(False)
 
-        item = gtk.CheckMenuItem('Announce _branches on LAN')
+        item = Gtk.CheckMenuItem('Announce _branches on LAN')
         item.connect('toggled', self.toggle_announce_branches)
         self.append(item)
-        self.append(gtk.SeparatorMenuItem())
+        self.append(Gtk.SeparatorMenuItem())
         try:
             from bzrlib.plugins.avahi.share import ZeroConfServer
             from bzrlib import urlutils
@@ -67,20 +67,20 @@
         except ImportError:
             item.set_sensitive(False)
 
-        item = gtk.ImageMenuItem(gtk.STOCK_PREFERENCES, None)
+        item = Gtk.ImageMenuItem(Gtk.STOCK_PREFERENCES, None)
         item.connect('activate', self.show_preferences)
         self.append(item)
-        item = gtk.ImageMenuItem(gtk.STOCK_ABOUT, None)
+        item = Gtk.ImageMenuItem(Gtk.STOCK_ABOUT, None)
         item.connect('activate', self.show_about)
         self.append(item)
-        self.append(gtk.SeparatorMenuItem())
-        item = gtk.ImageMenuItem(gtk.STOCK_QUIT, None)
-        item.connect('activate', gtk.main_quit)
+        self.append(Gtk.SeparatorMenuItem())
+        item = Gtk.ImageMenuItem(Gtk.STOCK_QUIT, None)
+        item.connect('activate', Gtk.main_quit)
         self.append(item)
         self.show_all()
 
     def display(self, icon, event_button, event_time):
-        self.popup(None, None, gtk.status_icon_position_menu, 
+        self.popup(None, None, Gtk.status_icon_position_menu, 
                event_button, event_time, icon)
 
     def toggle_lan_gateway(self, item):

=== modified file 'preferences/__init__.py'
--- preferences/__init__.py	2011-03-14 20:12:19 +0000
+++ preferences/__init__.py	2011-07-31 15:52:43 +0000
@@ -20,14 +20,14 @@
 except:
     pass
 
-import gtk
+from gi.repository import Gtk
 
 from bzrlib.config import GlobalConfig
 from bzrlib.plugins.gtk.preferences.identity import IdentityPage
 from bzrlib.plugins.gtk.preferences.plugins import PluginsPage
 from bzrlib.plugins.gtk.preferences.notifications import NotificationsPage
 
-class PreferencesWindow(gtk.Dialog):
+class PreferencesWindow(Gtk.Dialog):
     """Displays global preferences windows."""
     # Note that we don't allow configuration of aliases or
     # default log formats. This is because doing so wouldn't make
@@ -36,7 +36,7 @@
 
     def __init__(self, config=None):
         """ Initialize the Status window. """
-        super(PreferencesWindow, self).__init__(flags=gtk.DIALOG_MODAL)
+        super(PreferencesWindow, self).__init__(flags=Gtk.DialogFlags.MODAL)
         self.set_title("Bazaar Preferences")
         self.set_has_separator(False)
         self.config = config
@@ -48,10 +48,10 @@
         self.set_default_size(320, 480)
         self.set_border_width(0)
 
-        notebook = gtk.Notebook()
+        notebook = Gtk.Notebook()
         notebook.set_border_width(12)
         for (label, page) in self._create_pages():
-            notebook.append_page(page, gtk.Label(label))
+            notebook.append_page(page, Gtk.Label(label=label))
 
         notebook.set_current_page(0)
         self.vbox.set_border_width(0)
@@ -70,7 +70,7 @@
     def close(self, widget=None):
         self.window.destroy()
 
-class BranchPreferencesWindow(gtk.Dialog):
+class BranchPreferencesWindow(Gtk.Dialog):
     """Displays global preferences windows."""
     def __init__(self, config=None):
         super(BranchPreferencesWindow, self).__init__(config)

=== modified file 'preferences/identity.py'
--- preferences/identity.py	2011-03-14 20:12:19 +0000
+++ preferences/identity.py	2011-07-31 15:52:43 +0000
@@ -20,72 +20,72 @@
 except:
     pass
 
-import gtk
-
-
-class IdentityPage(gtk.Table):
+from gi.repository import Gtk
+
+
+class IdentityPage(Gtk.Table):
 
     def __init__(self, config):
         self.config = config
-        gtk.Table.__init__(self, rows=4, columns=2)
+        GObject.GObject.__init__(self, rows=4, columns=2)
         self.set_border_width(12)
         self.set_row_spacings(6)
         self.set_col_spacings(6)
 
-        align = gtk.Alignment(0.0, 0.5)
-        label = gtk.Label()
+        align = Gtk.Alignment.new(0.0, 0.5)
+        label = Gtk.Label()
         label.set_markup("E-Mail:")
         align.add(label)
-        self.attach(align, 0, 1, 0, 1, gtk.FILL, gtk.FILL)
+        self.attach(align, 0, 1, 0, 1, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
-        self.username = gtk.Entry()
+        self.username = Gtk.Entry()
         self.username.set_text(self.config.username())
-        self.attach(self.username, 1, 2, 0, 1, gtk.EXPAND | gtk.FILL, gtk.FILL)
+        self.attach(self.username, 1, 2, 0, 1, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
-        align = gtk.Alignment(0.0, 0.5)
-        label = gtk.Label()
+        align = Gtk.Alignment.new(0.0, 0.5)
+        label = Gtk.Label()
         label.set_markup("GPG signing command:")
         align.add(label)
-        self.attach(align, 0, 1, 1, 2, gtk.FILL, gtk.FILL)
+        self.attach(align, 0, 1, 1, 2, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
-        self.email = gtk.Entry()
+        self.email = Gtk.Entry()
         self.email.set_text(self.config.gpg_signing_command())
-        self.attach(self.email, 1, 2, 1, 2, gtk.EXPAND | gtk.FILL, gtk.FILL)
+        self.attach(self.email, 1, 2, 1, 2, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
-        align = gtk.Alignment(0.0, 0.1)
-        label = gtk.Label()
+        align = Gtk.Alignment.new(0.0, 0.1)
+        label = Gtk.Label()
         label.set_markup("Check GPG Signatures:")
         align.add(label)
-        self.attach(align, 0, 1, 2, 3, gtk.FILL, gtk.FILL)
+        self.attach(align, 0, 1, 2, 3, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
-        sigvals = gtk.VBox()
-        self.check_sigs_if_possible = gtk.RadioButton(None,
+        sigvals = Gtk.VBox()
+        self.check_sigs_if_possible = Gtk.RadioButton(None,
                                                       "_Check if possible")
-        sigvals.pack_start(self.check_sigs_if_possible)
-        self.check_sigs_always = gtk.RadioButton(self.check_sigs_if_possible,
+        sigvals.pack_start(self.check_sigs_if_possible, True, True, 0)
+        self.check_sigs_always = Gtk.RadioButton(self.check_sigs_if_possible,
                                                  "Check _always")
-        sigvals.pack_start(self.check_sigs_always)
-        self.check_sigs_never = gtk.RadioButton(self.check_sigs_if_possible,
+        sigvals.pack_start(self.check_sigs_always, True, True, 0)
+        self.check_sigs_never = Gtk.RadioButton(self.check_sigs_if_possible,
                                                 "Check _never")
-        sigvals.pack_start(self.check_sigs_never)
+        sigvals.pack_start(self.check_sigs_never, True, True, 0)
         # FIXME: Set default
-        self.attach(sigvals, 1, 2, 2, 3, gtk.EXPAND | gtk.FILL, gtk.FILL)
+        self.attach(sigvals, 1, 2, 2, 3, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
-        align = gtk.Alignment(0.0, 0.1)
-        label = gtk.Label()
+        align = Gtk.Alignment.new(0.0, 0.1)
+        label = Gtk.Label()
         label.set_markup("Create GPG Signatures:")
         align.add(label)
-        self.attach(align, 0, 1, 3, 4, gtk.FILL, gtk.FILL)
+        self.attach(align, 0, 1, 3, 4, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
-        create_sigs = gtk.VBox()
-        self.create_sigs_when_required = gtk.RadioButton(None,
+        create_sigs = Gtk.VBox()
+        self.create_sigs_when_required = Gtk.RadioButton(None,
                                                          "Sign When _Required")
-        create_sigs.pack_start(self.create_sigs_when_required)
-        self.create_sigs_always = gtk.RadioButton(
+        create_sigs.pack_start(self.create_sigs_when_required, True, True, 0)
+        self.create_sigs_always = Gtk.RadioButton(
             self.create_sigs_when_required, "Sign _Always")
-        create_sigs.pack_start(self.create_sigs_always)
-        self.create_sigs_never = gtk.RadioButton(
+        create_sigs.pack_start(self.create_sigs_always, True, True, 0)
+        self.create_sigs_never = Gtk.RadioButton(
             self.create_sigs_when_required, "Sign _Never")
-        create_sigs.pack_start(self.create_sigs_never)
+        create_sigs.pack_start(self.create_sigs_never, True, True, 0)
         # FIXME: Set default
-        self.attach(create_sigs, 1, 2, 3, 4, gtk.EXPAND | gtk.FILL, gtk.FILL)
+        self.attach(create_sigs, 1, 2, 3, 4, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)

=== modified file 'preferences/notifications.py'
--- preferences/notifications.py	2011-03-14 20:12:19 +0000
+++ preferences/notifications.py	2011-07-31 15:52:43 +0000
@@ -20,7 +20,7 @@
 except:
     pass
 
-import gtk
+from gi.repository import Gtk
 
 import bzrlib.plugins.gtk
 from bzrlib.plugins.gtk.notify import (
@@ -36,49 +36,49 @@
     return (getattr(bzrlib.plugins, "cia", None) is not None)
 
 
-class NotificationsPage(gtk.VBox):
+class NotificationsPage(Gtk.VBox):
 
     def __init__(self, config, homogeneous=False, spacing=6):
         self.config = config
-        gtk.VBox.__init__(self, homogeneous=homogeneous, spacing=spacing)
+        GObject.GObject.__init__(self, homogeneous=homogeneous, spacing=spacing)
         self.set_spacing(spacing) # The vertical one
 
-        lan_frame = gtk.Frame("LAN Notifications")
+        lan_frame = Gtk.Frame("LAN Notifications")
 
-        lan_vbox = gtk.VBox()
+        lan_vbox = Gtk.VBox()
         lan_frame.add(lan_vbox)
 
-        self.gateway_to_lan = gtk.CheckButton("_Gateway to LAN")
-        lan_vbox.pack_start(self.gateway_to_lan)
+        self.gateway_to_lan = Gtk.CheckButton("_Gateway to LAN")
+        lan_vbox.pack_start(self.gateway_to_lan, True, True, 0)
         self.gateway_to_lan.set_sensitive(has_dbus())
 
-        self.announce_on_lan = gtk.CheckButton("_Announce on LAN")
-        lan_vbox.pack_start(self.announce_on_lan)
+        self.announce_on_lan = Gtk.CheckButton("_Announce on LAN")
+        lan_vbox.pack_start(self.announce_on_lan, True, True, 0)
         self.announce_on_lan.set_sensitive(has_avahi())
 
-        self.pack_start(lan_frame)
-
-        email_frame = gtk.Frame("E-mail notifications")
-
-        email_hbox = gtk.HBox()
-        self.send_email = gtk.CheckButton("Send _E-Mail to")
-        email_hbox.pack_start(self.send_email)
-        self.send_email_to = gtk.Entry()
-        email_hbox.pack_start(self.send_email_to)
+        self.pack_start(lan_frame, True, True, 0)
+
+        email_frame = Gtk.Frame("E-mail notifications")
+
+        email_hbox = Gtk.HBox()
+        self.send_email = Gtk.CheckButton("Send _E-Mail to")
+        email_hbox.pack_start(self.send_email, True, True, 0)
+        self.send_email_to = Gtk.Entry()
+        email_hbox.pack_start(self.send_email_to, True, True, 0)
 
         email_frame.add(email_hbox)
         email_frame.set_sensitive(has_email())
 
-        self.pack_start(email_frame)
-
-        cia_frame = gtk.Frame("CIA notifications")
-
-        cia_user_hbox = gtk.HBox()
-        cia_user_hbox.pack_start(gtk.Label("Author name"))
-        self.cia_user = gtk.Entry()
-        cia_user_hbox.pack_start(self.cia_user)
+        self.pack_start(email_frame, True, True, 0)
+
+        cia_frame = Gtk.Frame("CIA notifications")
+
+        cia_user_hbox = Gtk.HBox()
+        cia_user_hbox.pack_start(Gtk.Label("Author name", True, True, 0))
+        self.cia_user = Gtk.Entry()
+        cia_user_hbox.pack_start(self.cia_user, True, True, 0)
 
         cia_frame.add(cia_user_hbox)
         cia_frame.set_sensitive(has_cia())
 
-        self.pack_start(cia_frame)
+        self.pack_start(cia_frame, True, True, 0)

=== modified file 'preferences/plugins.py'
--- preferences/plugins.py	2011-03-14 20:12:19 +0000
+++ preferences/plugins.py	2011-07-31 15:52:43 +0000
@@ -20,25 +20,25 @@
 except:
     pass
 
-import gtk
-
-
-class PluginsPage(gtk.VPaned):
+from gi.repository import Gtk
+
+
+class PluginsPage(Gtk.VPaned):
 
     def __init__(self):
-        gtk.VPaned.__init__(self)
+        GObject.GObject.__init__(self)
         self.set_border_width(12)
         self.set_position(216)
 
-        scrolledwindow = gtk.ScrolledWindow()
-        scrolledwindow.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
-        scrolledwindow.set_shadow_type(gtk.SHADOW_IN)
-        self.model = gtk.ListStore(str, str)
-        treeview = gtk.TreeView()
+        scrolledwindow = Gtk.ScrolledWindow()
+        scrolledwindow.set_policy(Gtk.PolicyType.AUTOMATIC, Gtk.PolicyType.AUTOMATIC)
+        scrolledwindow.set_shadow_type(Gtk.ShadowType.IN)
+        self.model = Gtk.ListStore(str, str)
+        treeview = Gtk.TreeView()
         scrolledwindow.add(treeview)
         self.pack1(scrolledwindow, resize=True, shrink=False)
 
-        self.table = gtk.Table(columns=2)
+        self.table = Gtk.Table(columns=2)
         self.table.set_border_width(12)
         self.table.set_row_spacings(6)
         self.table.set_col_spacings(6)
@@ -47,15 +47,15 @@
         treeview.set_model(self.model)
         treeview.connect("row-activated", self.row_selected)
 
-        cell = gtk.CellRendererText()
-        column = gtk.TreeViewColumn()
-        column.pack_start(cell, expand=True)
+        cell = Gtk.CellRendererText()
+        column = Gtk.TreeViewColumn()
+        column.pack_start(cell, True, True, 0)
         column.add_attribute(cell, "text", 0)
         treeview.append_column(column)
 
-        cell = gtk.CellRendererText()
-        column = gtk.TreeViewColumn()
-        column.pack_start(cell, expand=True)
+        cell = Gtk.CellRendererText()
+        column = Gtk.TreeViewColumn()
+        column.pack_start(cell, True, True, 0)
         column.add_attribute(cell, "text", 1)
         treeview.append_column(column)
 
@@ -66,8 +66,8 @@
         for name in plugin_names:
             self.model.append([name, getattr(plugins[name], '__file__', None)])
 
-        scrolledwindow = gtk.ScrolledWindow()
-        scrolledwindow.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
+        scrolledwindow = Gtk.ScrolledWindow()
+        scrolledwindow.set_policy(Gtk.PolicyType.AUTOMATIC, Gtk.PolicyType.AUTOMATIC)
         scrolledwindow.add_with_viewport(self.table)
         self.pack2(scrolledwindow, resize=False, shrink=True)
         self.show()
@@ -81,44 +81,44 @@
             self.table.remove(w)
 
         if getattr(p, '__author__', None) is not None:
-            align = gtk.Alignment(0.0, 0.5)
-            label = gtk.Label()
+            align = Gtk.Alignment.new(0.0, 0.5)
+            label = Gtk.Label()
             label.set_markup("<b>Author:</b>")
             align.add(label)
-            self.table.attach(align, 0, 1, 0, 1, gtk.FILL, gtk.FILL)
+            self.table.attach(align, 0, 1, 0, 1, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
             align.show()
             label.show()
 
-            align = gtk.Alignment(0.0, 0.5)
-            author = gtk.Label()
+            align = Gtk.Alignment.new(0.0, 0.5)
+            author = Gtk.Label()
             author.set_text(p.__author__)
             author.set_selectable(True)
             align.add(author)
-            self.table.attach(align, 1, 2, 0, 1, gtk.EXPAND | gtk.FILL, gtk.FILL)
+            self.table.attach(align, 1, 2, 0, 1, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
         if getattr(p, '__version__', None) is not None:
-            align = gtk.Alignment(0.0, 0.5)
-            label = gtk.Label()
+            align = Gtk.Alignment.new(0.0, 0.5)
+            label = Gtk.Label()
             label.set_markup("<b>Version:</b>")
             align.add(label)
-            self.table.attach(align, 0, 1, 0, 1, gtk.FILL, gtk.FILL)
+            self.table.attach(align, 0, 1, 0, 1, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
             align.show()
             label.show()
 
-            align = gtk.Alignment(0.0, 0.5)
-            author = gtk.Label()
+            align = Gtk.Alignment.new(0.0, 0.5)
+            author = Gtk.Label()
             author.set_text(p.__version__)
             author.set_selectable(True)
             align.add(author)
-            self.table.attach(align, 1, 2, 0, 1, gtk.EXPAND | gtk.FILL, gtk.FILL)
+            self.table.attach(align, 1, 2, 0, 1, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
         if getdoc(p) is not None:
-            align = gtk.Alignment(0.0, 0.5)
-            description = gtk.Label()
+            align = Gtk.Alignment.new(0.0, 0.5)
+            description = Gtk.Label()
             description.set_text(getdoc(p))
             description.set_selectable(True)
             align.add(description)
-            self.table.attach(align, 0, 2, 1, 2, gtk.EXPAND | gtk.FILL, gtk.FILL)
+            self.table.attach(align, 0, 2, 1, 2, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
         self.table.show_all()
 

=== modified file 'push.py'
--- push.py	2011-04-10 18:44:39 +0000
+++ push.py	2011-07-31 15:52:43 +0000
@@ -21,7 +21,7 @@
 except:
     pass
 
-import gtk
+from gi.repository import Gtk
 
 from errors import show_bzr_error
 
@@ -36,15 +36,15 @@
 from bzrlib.plugins.gtk.i18n import _i18n
 
 
-class PushDialog(gtk.Dialog):
+class PushDialog(Gtk.Dialog):
     """New implementation of the Push dialog."""
 
     def __init__(self, repository, revid, branch=None, parent=None):
         """Initialize the Push dialog. """
-        gtk.Dialog.__init__(self, title="Push",
+        GObject.GObject.__init__(self, title="Push",
                                   parent=parent,
                                   flags=0,
-                                  buttons=(gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL))
+                                  buttons=(Gtk.STOCK_CANCEL, Gtk.ResponseType.CANCEL))
 
         # Get arguments
         self.repository = repository
@@ -52,10 +52,10 @@
         self.branch = branch
 
         # Create the widgets
-        self._label_location = gtk.Label(_i18n("Location:"))
-        self._combo = gtk.ComboBoxEntry()
-        self._button_push = gtk.Button(_i18n("_Push"), use_underline=True)
-        self._hbox_location = gtk.HBox()
+        self._label_location = Gtk.Label(label=_i18n("Location:"))
+        self._combo = Gtk.ComboBoxEntry()
+        self._button_push = Gtk.Button(_i18n("_Push"), use_underline=True)
+        self._hbox_location = Gtk.HBox()
 
         # Set callbacks
         self._button_push.connect('clicked', self._on_push_clicked)
@@ -68,7 +68,7 @@
         # Pack widgets
         self._hbox_location.pack_start(self._label_location, False, False)
         self._hbox_location.pack_start(self._combo, True, True)
-        self.vbox.pack_start(self._hbox_location)
+        self.vbox.pack_start(self._hbox_location, True, True, 0)
         self.action_area.pack_end(self._button_push)
 
         # Show the dialog
@@ -80,7 +80,7 @@
 
     def _build_history(self):
         """Build up the location history. """
-        self._combo_model = gtk.ListStore(str)
+        self._combo_model = Gtk.ListStore(str)
         for item in self._history.get_entries():
             self._combo_model.append([ item ])
         self._combo.set_model(self._combo_model)
@@ -102,7 +102,7 @@
         except errors.DivergedBranches:
             response = question_dialog(_i18n('Branches have been diverged'),
                                        _i18n('You cannot push if branches have diverged.\nOverwrite?'))
-            if response == gtk.RESPONSE_YES:
+            if response == Gtk.ResponseType.YES:
                 revs = do_push(self.branch, location=location, overwrite=True)
 
         if self.branch is not None and self.branch.get_push_location() is None:
@@ -112,7 +112,7 @@
         info_dialog(_i18n('Push successful'),
                     _i18n("%d revision(s) pushed.") % revs)
 
-        self.response(gtk.RESPONSE_OK)
+        self.response(Gtk.ResponseType.OK)
 
 
 def do_push(br_from, location, overwrite):
@@ -143,7 +143,7 @@
         except errors.NoSuchFile:
             response = question_dialog(_i18n('Non existing parent directory'),
                          _i18n("The parent directory (%s)\ndoesn't exist. Create?") % location)
-            if response == gtk.RESPONSE_OK:
+            if response == Gtk.ResponseType.OK:
                 transport.create_prefix()
             else:
                 return

=== modified file 'revbrowser.py'
--- revbrowser.py	2011-04-10 18:44:39 +0000
+++ revbrowser.py	2011-07-31 15:52:43 +0000
@@ -20,26 +20,26 @@
 except:
     pass
 
-import gobject
-import gtk
+from gi.repository import GObject
+from gi.repository import Gtk
 
 from bzrlib.plugins.gtk.branchview.treeview import TreeView
 from bzrlib.plugins.gtk.i18n import _i18n
 
 
-class RevisionBrowser(gtk.Dialog):
+class RevisionBrowser(Gtk.Dialog):
     """ Revision Browser main window. """
     def __init__(self, branch, parent=None):
-        gtk.Dialog.__init__(self, title="Revision Browser - Olive",
+        GObject.GObject.__init__(self, title="Revision Browser - Olive",
                                   parent=parent,
-                                  flags=gtk.DIALOG_MODAL,
-                                  buttons=(gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL))
+                                  flags=Gtk.DialogFlags.MODAL,
+                                  buttons=(Gtk.STOCK_CANCEL, Gtk.ResponseType.CANCEL))
 
         # Get arguments
         self.branch = branch
 
         # Create the widgets
-        self._button_select = gtk.Button(_i18n("_Select"), use_underline=True)
+        self._button_select = Gtk.Button(_i18n("_Select"), use_underline=True)
         start_revs = [branch.last_revision(),]
         self.treeview = TreeView(branch, start_revs, None)
 
@@ -74,4 +74,4 @@
         self.selected_revno = self.treeview.get_property('revision-number')
         self.selected_revid = \
                     self.treeview.get_property('revision').revision_id
-        self.response(gtk.RESPONSE_OK)
+        self.response(Gtk.ResponseType.OK)

=== modified file 'revidbox.py'
--- revidbox.py	2011-03-14 20:12:19 +0000
+++ revidbox.py	2011-07-31 15:52:43 +0000
@@ -21,17 +21,17 @@
 except:
     pass
 
-import gtk
+from gi.repository import Gtk
 
-class RevisionSelectionBox(gtk.HBox):
+class RevisionSelectionBox(Gtk.HBox):
 
     def __init__(self, branch):
         super(RevisionSelectionBox, self).__init__()
         self._branch = branch
-        self._entry_revid = gtk.Entry()
-        self._button_revid = gtk.Button('')
-        self._button_revid.set_image(gtk.image_new_from_stock(
-            gtk.STOCK_OPEN, gtk.ICON_SIZE_BUTTON))
+        self._entry_revid = Gtk.Entry()
+        self._button_revid = Gtk.Button('')
+        self._button_revid.set_image(Gtk.Image.new_from_stock(
+            Gtk.STOCK_OPEN, Gtk.IconSize.BUTTON))
         self.pack_start(self._entry_revid, True, True)
         self.pack_start(self._button_revid, False, False)
 
@@ -45,10 +45,10 @@
         # JRV 20070715
         revb = RevisionBrowser(self._branch)
         response = revb.run()
-        if response != gtk.RESPONSE_NONE:
+        if response != Gtk.ResponseType.NONE:
             revb.hide()
 
-            if response == gtk.RESPONSE_OK:
+            if response == Gtk.ResponseType.OK:
                 if revb.selected_revno is not None:
                     self._entry_revid.set_text(revb.selected_revid)
 

=== modified file 'revisionmenu.py'
--- revisionmenu.py	2011-03-14 20:12:19 +0000
+++ revisionmenu.py	2011-07-31 15:52:43 +0000
@@ -21,18 +21,18 @@
 except:
     pass
 
-import gtk
-import gobject
+from gi.repository import Gtk
+from gi.repository import GObject
 from bzrlib import ui
 from bzrlib.revision import NULL_REVISION
 
-class RevisionMenu(gtk.Menu):
+class RevisionMenu(Gtk.Menu):
 
     __gsignals__ = {
             'tag-added': (
-                gobject.SIGNAL_RUN_FIRST,
-                gobject.TYPE_NONE,
-                (gobject.TYPE_STRING, gobject.TYPE_STRING)
+                GObject.SignalFlags.RUN_FIRST,
+                None,
+                (GObject.TYPE_STRING, GObject.TYPE_STRING)
             )
     }
 
@@ -53,28 +53,28 @@
 
     def create_items(self):
         if len(self.revids) == 1:
-            item = gtk.MenuItem("View _Changes")
+            item = Gtk.MenuItem("View _Changes")
             item.connect('activate', self.show_diff)
             self.append(item)
 
-            item = gtk.MenuItem("_Push")
+            item = Gtk.MenuItem("_Push")
             item.connect('activate', self.show_push)
             self.append(item)
 
-            item = gtk.MenuItem("_Tag Revision")
+            item = Gtk.MenuItem("_Tag Revision")
             item.connect('activate', self.show_tag)
             self.append(item)
 
-            item = gtk.MenuItem("_Merge Directive")
+            item = Gtk.MenuItem("_Merge Directive")
             item.connect('activate', self.store_merge_directive)
             # FIXME: self.append(item)
 
-            item = gtk.MenuItem("_Send Merge Directive")
+            item = Gtk.MenuItem("_Send Merge Directive")
             item.connect('activate', self.send_merge_directive)
             self.append(item)
 
             if self.wt:
-                item = gtk.MenuItem("_Revert to this revision")
+                item = Gtk.MenuItem("_Revert to this revision")
                 item.connect('activate', self.revert)
                 self.append(item)
 
@@ -89,7 +89,7 @@
         from bzrlib.plugins.gtk.mergedirective import SendMergeDirectiveDialog
         from cStringIO import StringIO
         window = SendMergeDirectiveDialog(self.branch, self.revids[0])
-        if window.run() == gtk.RESPONSE_OK:
+        if window.run() == Gtk.ResponseType.OK:
             outf = StringIO()
             outf.writelines(window.get_merge_directive().to_lines())
             mail_client = self.branch.get_config().get_mail_client()
@@ -115,7 +115,7 @@
         dialog = PushDialog(self.repository, self.revids[0], self.branch)
         response = dialog.run()
 
-        if response != gtk.RESPONSE_NONE:
+        if response != Gtk.ResponseType.NONE:
             dialog.destroy()
 
     def show_tag(self, item):
@@ -123,10 +123,10 @@
         dialog = AddTagDialog(self.repository, self.revids[0], self.branch)
         response = dialog.run()
 
-        if response != gtk.RESPONSE_NONE:
+        if response != Gtk.ResponseType.NONE:
             dialog.hide()
 
-            if response == gtk.RESPONSE_OK:
+            if response == Gtk.ResponseType.OK:
                 self.emit('tag-added', dialog.tagname, dialog._revid)
 
             dialog.destroy()

=== modified file 'revisionview.py'
--- revisionview.py	2011-03-14 20:12:19 +0000
+++ revisionview.py	2011-07-31 15:52:43 +0000
@@ -17,9 +17,9 @@
 
 import pygtk
 pygtk.require("2.0")
-import gtk
-import pango
-import gobject
+from gi.repository import Gtk
+from gi.repository import Pango
+from gi.repository import GObject
 import webbrowser
 
 from bzrlib import trace
@@ -55,32 +55,32 @@
 
 if getattr(gtk, 'link_button_set_uri_hook', None) is not None:
     # Not available before PyGtk-2.10
-    gtk.link_button_set_uri_hook(_open_link)
+    Gtk.link_button_set_uri_hook(_open_link)
 
-class BugsTab(gtk.VBox):
+class BugsTab(Gtk.VBox):
 
     def __init__(self):
         super(BugsTab, self).__init__(False, 6)
 
-        table = gtk.Table(rows=2, columns=2)
+        table = Gtk.Table(rows=2, columns=2)
 
         table.set_row_spacings(6)
         table.set_col_spacing(0, 16)
 
-        image = gtk.Image()
+        image = Gtk.Image()
         image.set_from_file(icon_path("bug.png"))
-        table.attach(image, 0, 1, 0, 1, gtk.FILL)
+        table.attach(image, 0, 1, 0, 1, Gtk.AttachOptions.FILL)
 
-        align = gtk.Alignment(0.0, 0.1)
-        self.label = gtk.Label()
+        align = Gtk.Alignment.new(0.0, 0.1)
+        self.label = Gtk.Label()
         align.add(self.label)
-        table.attach(align, 1, 2, 0, 1, gtk.FILL)
+        table.attach(align, 1, 2, 0, 1, Gtk.AttachOptions.FILL)
 
         treeview = self.construct_treeview()
-        table.attach(treeview, 1, 2, 1, 2, gtk.FILL | gtk.EXPAND)
+        table.attach(treeview, 1, 2, 1, 2, Gtk.AttachOptions.FILL | Gtk.AttachOptions.EXPAND)
 
         self.set_border_width(6)
-        self.pack_start(table, expand=False)
+        self.pack_start(table, False, True, 0)
 
         self.clear()
         self.show_all()
@@ -108,18 +108,18 @@
                               "%d %s." % (self.num_bugs, label))
 
     def construct_treeview(self):
-        self.bugs = gtk.ListStore(gobject.TYPE_STRING, gobject.TYPE_STRING)
-        self.treeview = gtk.TreeView(self.bugs)
+        self.bugs = Gtk.ListStore(GObject.TYPE_STRING, GObject.TYPE_STRING)
+        self.treeview = Gtk.TreeView(self.bugs)
         self.treeview.set_headers_visible(False)
 
-        uri_column = gtk.TreeViewColumn('Bug URI', gtk.CellRendererText(), text=0)
+        uri_column = Gtk.TreeViewColumn('Bug URI', Gtk.CellRendererText(), text=0)
         self.treeview.append_column(uri_column)
 
         self.treeview.connect('row-activated', self.on_row_activated)
 
-        win = gtk.ScrolledWindow()
-        win.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
-        win.set_shadow_type(gtk.SHADOW_IN)
+        win = Gtk.ScrolledWindow()
+        win.set_policy(Gtk.PolicyType.AUTOMATIC, Gtk.PolicyType.AUTOMATIC)
+        win.set_shadow_type(Gtk.ShadowType.IN)
         win.add(self.treeview)
 
         return win
@@ -144,7 +144,7 @@
         _open_link(self, uri)
 
 
-class SignatureTab(gtk.VBox):
+class SignatureTab(Gtk.VBox):
 
     def __init__(self, repository):
         self.key = None
@@ -152,57 +152,57 @@
         self.repository = repository
 
         super(SignatureTab, self).__init__(False, 6)
-        signature_box = gtk.Table(rows=3, columns=3)
+        signature_box = Gtk.Table(rows=3, columns=3)
         signature_box.set_col_spacing(0, 16)
         signature_box.set_col_spacing(1, 12)
         signature_box.set_row_spacings(6)
 
-        self.signature_image = gtk.Image()
-        signature_box.attach(self.signature_image, 0, 1, 0, 1, gtk.FILL)
+        self.signature_image = Gtk.Image()
+        signature_box.attach(self.signature_image, 0, 1, 0, 1, Gtk.AttachOptions.FILL)
 
-        align = gtk.Alignment(0.0, 0.1)
-        self.signature_label = gtk.Label()
+        align = Gtk.Alignment.new(0.0, 0.1)
+        self.signature_label = Gtk.Label()
         align.add(self.signature_label)
-        signature_box.attach(align, 1, 3, 0, 1, gtk.FILL)
+        signature_box.attach(align, 1, 3, 0, 1, Gtk.AttachOptions.FILL)
 
-        align = gtk.Alignment(0.0, 0.5)
-        self.signature_key_id_label = gtk.Label()
+        align = Gtk.Alignment.new(0.0, 0.5)
+        self.signature_key_id_label = Gtk.Label()
         self.signature_key_id_label.set_markup("<b>Key Id:</b>")
         align.add(self.signature_key_id_label)
-        signature_box.attach(align, 1, 2, 1, 2, gtk.FILL, gtk.FILL)
+        signature_box.attach(align, 1, 2, 1, 2, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
-        align = gtk.Alignment(0.0, 0.5)
-        self.signature_key_id = gtk.Label()
+        align = Gtk.Alignment.new(0.0, 0.5)
+        self.signature_key_id = Gtk.Label()
         self.signature_key_id.set_selectable(True)
         align.add(self.signature_key_id)
-        signature_box.attach(align, 2, 3, 1, 2, gtk.EXPAND | gtk.FILL, gtk.FILL)
+        signature_box.attach(align, 2, 3, 1, 2, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
-        align = gtk.Alignment(0.0, 0.5)
-        self.signature_fingerprint_label = gtk.Label()
+        align = Gtk.Alignment.new(0.0, 0.5)
+        self.signature_fingerprint_label = Gtk.Label()
         self.signature_fingerprint_label.set_markup("<b>Fingerprint:</b>")
         align.add(self.signature_fingerprint_label)
-        signature_box.attach(align, 1, 2, 2, 3, gtk.FILL, gtk.FILL)
+        signature_box.attach(align, 1, 2, 2, 3, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
-        align = gtk.Alignment(0.0, 0.5)
-        self.signature_fingerprint = gtk.Label()
+        align = Gtk.Alignment.new(0.0, 0.5)
+        self.signature_fingerprint = Gtk.Label()
         self.signature_fingerprint.set_selectable(True)
         align.add(self.signature_fingerprint)
-        signature_box.attach(align, 2, 3, 2, 3, gtk.EXPAND | gtk.FILL, gtk.FILL)
+        signature_box.attach(align, 2, 3, 2, 3, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
-        align = gtk.Alignment(0.0, 0.5)
-        self.signature_trust_label = gtk.Label()
+        align = Gtk.Alignment.new(0.0, 0.5)
+        self.signature_trust_label = Gtk.Label()
         self.signature_trust_label.set_markup("<b>Trust:</b>")
         align.add(self.signature_trust_label)
-        signature_box.attach(align, 1, 2, 3, 4, gtk.FILL, gtk.FILL)
+        signature_box.attach(align, 1, 2, 3, 4, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
-        align = gtk.Alignment(0.0, 0.5)
-        self.signature_trust = gtk.Label()
+        align = Gtk.Alignment.new(0.0, 0.5)
+        self.signature_trust = Gtk.Label()
         self.signature_trust.set_selectable(True)
         align.add(self.signature_trust)
-        signature_box.attach(align, 2, 3, 3, 4, gtk.EXPAND | gtk.FILL, gtk.FILL)
+        signature_box.attach(align, 2, 3, 3, 4, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
         self.set_border_width(6)
-        self.pack_start(signature_box, expand=False)
+        self.pack_start(signature_box, False, True, 0)
         self.show_all()
 
     def set_revision(self, revision):
@@ -292,7 +292,7 @@
         self.signature_trust.set_text('This key is ' + trust_text)
 
 
-class RevisionView(gtk.Notebook):
+class RevisionView(Gtk.Notebook):
     """ Custom widget for commit log details.
 
     A variety of bzr tools may need to implement such a thing. This is a
@@ -301,36 +301,36 @@
 
     __gproperties__ = {
         'branch': (
-            gobject.TYPE_PYOBJECT,
+            GObject.TYPE_PYOBJECT,
             'Branch',
             'The branch holding the revision being displayed',
-            gobject.PARAM_CONSTRUCT_ONLY | gobject.PARAM_WRITABLE
+            GObject.PARAM_CONSTRUCT_ONLY | GObject.PARAM_WRITABLE
         ),
 
         'revision': (
-            gobject.TYPE_PYOBJECT,
+            GObject.TYPE_PYOBJECT,
             'Revision',
             'The revision being displayed',
-            gobject.PARAM_READWRITE
+            GObject.PARAM_READWRITE
         ),
 
         'children': (
-            gobject.TYPE_PYOBJECT,
+            GObject.TYPE_PYOBJECT,
             'Children',
             'Child revisions',
-            gobject.PARAM_READWRITE
+            GObject.PARAM_READWRITE
         ),
 
         'file-id': (
-            gobject.TYPE_PYOBJECT,
+            GObject.TYPE_PYOBJECT,
             'File Id',
             'The file id',
-            gobject.PARAM_READWRITE
+            GObject.PARAM_READWRITE
         )
     }
 
     def __init__(self, branch=None, repository=None):
-        gtk.Notebook.__init__(self)
+        GObject.GObject.__init__(self)
 
         self._revision = None
         self._branch = branch
@@ -530,32 +530,32 @@
         table.resize(max(len(revids), 1), 2)
 
         for idx, revid in enumerate(revids):
-            align = gtk.Alignment(0.0, 0.0, 1, 1)
+            align = Gtk.Alignment.new(0.0, 0.0, 1, 1)
             widgets.append(align)
             table.attach(align, 1, 2, idx, idx + 1,
-                                      gtk.EXPAND | gtk.FILL, gtk.FILL)
+                                      Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
             align.show()
 
-            hbox = gtk.HBox(False, spacing=6)
+            hbox = Gtk.HBox(False, spacing=6)
             align.add(hbox)
             hbox.show()
 
-            image = gtk.Image()
+            image = Gtk.Image()
             image.set_from_stock(
-                gtk.STOCK_FIND, gtk.ICON_SIZE_SMALL_TOOLBAR)
+                Gtk.STOCK_FIND, Gtk.IconSize.SMALL_TOOLBAR)
             image.show()
 
             if self._show_callback is not None:
-                button = gtk.Button()
+                button = Gtk.Button()
                 button.add(image)
                 button.connect("clicked", self._show_clicked_cb,
                                self._revision.revision_id, revid)
                 hbox.pack_start(button, expand=False, fill=True)
                 button.show()
 
-            button = gtk.Button()
-            revid_label = gtk.Label(str(revid))
-            revid_label.set_ellipsize(pango.ELLIPSIZE_MIDDLE)
+            button = Gtk.Button()
+            revid_label = Gtk.Label(label=str(revid))
+            revid_label.set_ellipsize(Pango.EllipsizeMode.MIDDLE)
             revid_label.set_alignment(0.0, 0.5)
             button.add(revid_label)
             button.connect("clicked",
@@ -565,122 +565,122 @@
             button.show_all()
 
     def _create_general(self):
-        vbox = gtk.VBox(False, 6)
+        vbox = Gtk.VBox(False, 6)
         vbox.set_border_width(6)
-        vbox.pack_start(self._create_headers(), expand=False, fill=True)
-        vbox.pack_start(self._create_message_view())
-        self.append_page(vbox, tab_label=gtk.Label("General"))
+        vbox.pack_start(self._create_headers(, True, True, 0), expand=False, fill=True)
+        vbox.pack_start(self._create_message_view(, True, True, 0))
+        self.append_page(vbox, tab_label=Gtk.Label(label="General"))
         vbox.show()
 
     def _create_relations(self):
-        vbox = gtk.VBox(False, 6)
+        vbox = Gtk.VBox(False, 6)
         vbox.set_border_width(6)
-        vbox.pack_start(self._create_parents(), expand=False, fill=True)
-        vbox.pack_start(self._create_children(), expand=False, fill=True)
-        self.append_page(vbox, tab_label=gtk.Label("Relations"))
+        vbox.pack_start(self._create_parents(, True, True, 0), expand=False, fill=True)
+        vbox.pack_start(self._create_children(, True, True, 0), expand=False, fill=True)
+        self.append_page(vbox, tab_label=Gtk.Label(label="Relations"))
         vbox.show()
 
     def _create_signature(self):
         self.signature_table = SignatureTab(self._repository)
-        self.append_page(self.signature_table, tab_label=gtk.Label('Signature'))
+        self.append_page(self.signature_table, tab_label=Gtk.Label(label='Signature'))
         self.connect_after('notify::revision', self._update_signature)
 
     def _create_headers(self):
         self.avatarsbox = AvatarsBox()
         
-        self.table = gtk.Table(rows=5, columns=2)
+        self.table = Gtk.Table(rows=5, columns=2)
         self.table.set_row_spacings(6)
         self.table.set_col_spacings(6)
         self.table.show()
         
-        self.avatarsbox.pack_start(self.table)
+        self.avatarsbox.pack_start(self.table, True, True, 0)
         self.avatarsbox.show()
 
         row = 0
 
-        label = gtk.Label()
+        label = Gtk.Label()
         label.set_alignment(1.0, 0.5)
         label.set_markup("<b>Revision Id:</b>")
-        self.table.attach(label, 0, 1, row, row+1, gtk.FILL, gtk.FILL)
+        self.table.attach(label, 0, 1, row, row+1, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
         label.show()
 
-        revision_id = gtk.Label()
-        revision_id.set_ellipsize(pango.ELLIPSIZE_MIDDLE)
+        revision_id = Gtk.Label()
+        revision_id.set_ellipsize(Pango.EllipsizeMode.MIDDLE)
         revision_id.set_alignment(0.0, 0.5)
         revision_id.set_selectable(True)
         self.connect('notify::revision', 
                 lambda w, p: revision_id.set_text(self._revision.revision_id))
-        self.table.attach(revision_id, 1, 2, row, row+1, gtk.EXPAND | gtk.FILL, gtk.FILL)
+        self.table.attach(revision_id, 1, 2, row, row+1, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
         revision_id.show()
 
         row += 1
-        self.author_label = gtk.Label()
+        self.author_label = Gtk.Label()
         self.author_label.set_alignment(1.0, 0.5)
         self.author_label.set_markup("<b>Author:</b>")
-        self.table.attach(self.author_label, 0, 1, row, row+1, gtk.FILL, gtk.FILL)
+        self.table.attach(self.author_label, 0, 1, row, row+1, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
         self.author_label.show()
 
-        self.author = gtk.Label()
-        self.author.set_ellipsize(pango.ELLIPSIZE_END)
+        self.author = Gtk.Label()
+        self.author.set_ellipsize(Pango.EllipsizeMode.END)
         self.author.set_alignment(0.0, 0.5)
         self.author.set_selectable(True)
-        self.table.attach(self.author, 1, 2, row, row+1, gtk.EXPAND | gtk.FILL, gtk.FILL)
+        self.table.attach(self.author, 1, 2, row, row+1, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
         self.author.show()
         self.author.hide()
 
         row += 1
-        label = gtk.Label()
+        label = Gtk.Label()
         label.set_alignment(1.0, 0.5)
         label.set_markup("<b>Committer:</b>")
-        self.table.attach(label, 0, 1, row, row+1, gtk.FILL, gtk.FILL)
+        self.table.attach(label, 0, 1, row, row+1, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
         label.show()
 
-        self.committer = gtk.Label()
-        self.committer.set_ellipsize(pango.ELLIPSIZE_END)
+        self.committer = Gtk.Label()
+        self.committer.set_ellipsize(Pango.EllipsizeMode.END)
         self.committer.set_alignment(0.0, 0.5)
         self.committer.set_selectable(True)
-        self.table.attach(self.committer, 1, 2, row, row+1, gtk.EXPAND | gtk.FILL, gtk.FILL)
+        self.table.attach(self.committer, 1, 2, row, row+1, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
         self.committer.show()
 
         row += 1
-        self.branchnick_label = gtk.Label()
+        self.branchnick_label = Gtk.Label()
         self.branchnick_label.set_alignment(1.0, 0.5)
         self.branchnick_label.set_markup("<b>Branch nick:</b>")
-        self.table.attach(self.branchnick_label, 0, 1, row, row+1, gtk.FILL, gtk.FILL)
+        self.table.attach(self.branchnick_label, 0, 1, row, row+1, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
         self.branchnick_label.show()
 
-        self.branchnick = gtk.Label()
-        self.branchnick.set_ellipsize(pango.ELLIPSIZE_MIDDLE)
+        self.branchnick = Gtk.Label()
+        self.branchnick.set_ellipsize(Pango.EllipsizeMode.MIDDLE)
         self.branchnick.set_alignment(0.0, 0.5)
         self.branchnick.set_selectable(True)
-        self.table.attach(self.branchnick, 1, 2, row, row+1, gtk.EXPAND | gtk.FILL, gtk.FILL)
+        self.table.attach(self.branchnick, 1, 2, row, row+1, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
         self.branchnick.show()
 
         row += 1
-        label = gtk.Label()
+        label = Gtk.Label()
         label.set_alignment(1.0, 0.5)
         label.set_markup("<b>Timestamp:</b>")
-        self.table.attach(label, 0, 1, row, row+1, gtk.FILL, gtk.FILL)
+        self.table.attach(label, 0, 1, row, row+1, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
         label.show()
 
-        self.timestamp = gtk.Label()
-        self.timestamp.set_ellipsize(pango.ELLIPSIZE_END)
+        self.timestamp = Gtk.Label()
+        self.timestamp.set_ellipsize(Pango.EllipsizeMode.END)
         self.timestamp.set_alignment(0.0, 0.5)
         self.timestamp.set_selectable(True)
-        self.table.attach(self.timestamp, 1, 2, row, row+1, gtk.EXPAND | gtk.FILL, gtk.FILL)
+        self.table.attach(self.timestamp, 1, 2, row, row+1, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
         self.timestamp.show()
 
         row += 1
-        self.tags_label = gtk.Label()
+        self.tags_label = Gtk.Label()
         self.tags_label.set_alignment(1.0, 0.5)
         self.tags_label.set_markup("<b>Tags:</b>")
-        self.table.attach(self.tags_label, 0, 1, row, row+1, gtk.FILL, gtk.FILL)
+        self.table.attach(self.tags_label, 0, 1, row, row+1, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
         self.tags_label.show()
 
-        self.tags_list = gtk.Label()
-        self.tags_list.set_ellipsize(pango.ELLIPSIZE_MIDDLE)
+        self.tags_list = Gtk.Label()
+        self.tags_list.set_ellipsize(Pango.EllipsizeMode.MIDDLE)
         self.tags_list.set_alignment(0.0, 0.5)
-        self.table.attach(self.tags_list, 1, 2, row, row+1, gtk.EXPAND | gtk.FILL, gtk.FILL)
+        self.table.attach(self.tags_list, 1, 2, row, row+1, Gtk.AttachOptions.EXPAND | Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
         self.tags_list.show()
 
         self.connect('notify::revision', self._add_tags)
@@ -689,53 +689,53 @@
         return self.avatarsbox
     
     def _create_parents(self):
-        hbox = gtk.HBox(True, 3)
+        hbox = Gtk.HBox(True, 3)
         
         self.parents_table = self._create_parents_or_children_table(
             "<b>Parents:</b>")
         self.parents_widgets = []
-        hbox.pack_start(self.parents_table)
+        hbox.pack_start(self.parents_table, True, True, 0)
 
         hbox.show()
         return hbox
 
     def _create_children(self):
-        hbox = gtk.HBox(True, 3)
+        hbox = Gtk.HBox(True, 3)
         self.children_table = self._create_parents_or_children_table(
             "<b>Children:</b>")
         self.children_widgets = []
-        hbox.pack_start(self.children_table)
+        hbox.pack_start(self.children_table, True, True, 0)
         hbox.show()
         return hbox
         
     def _create_parents_or_children_table(self, text):
-        table = gtk.Table(rows=1, columns=2)
+        table = Gtk.Table(rows=1, columns=2)
         table.set_row_spacings(3)
         table.set_col_spacings(6)
         table.show()
 
-        label = gtk.Label()
+        label = Gtk.Label()
         label.set_markup(text)
-        align = gtk.Alignment(0.0, 0.5)
+        align = Gtk.Alignment.new(0.0, 0.5)
         align.add(label)
-        table.attach(align, 0, 1, 0, 1, gtk.FILL, gtk.FILL)
+        table.attach(align, 0, 1, 0, 1, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
         label.show()
         align.show()
 
         return table
 
     def _create_message_view(self):
-        msg_buffer = gtk.TextBuffer()
+        msg_buffer = Gtk.TextBuffer()
         self.connect('notify::revision',
                 lambda w, p: msg_buffer.set_text(self._revision.message))
-        window = gtk.ScrolledWindow()
-        window.set_policy(gtk.POLICY_NEVER, gtk.POLICY_AUTOMATIC)
-        window.set_shadow_type(gtk.SHADOW_IN)
-        tv = gtk.TextView(msg_buffer)
+        window = Gtk.ScrolledWindow()
+        window.set_policy(Gtk.PolicyType.NEVER, Gtk.PolicyType.AUTOMATIC)
+        window.set_shadow_type(Gtk.ShadowType.IN)
+        tv = Gtk.TextView(msg_buffer)
         tv.set_editable(False)
-        tv.set_wrap_mode(gtk.WRAP_WORD)
+        tv.set_wrap_mode(Gtk.WrapMode.WORD)
 
-        tv.modify_font(pango.FontDescription("Monospace"))
+        tv.modify_font(Pango.FontDescription("Monospace"))
         tv.show()
         window.add(tv)
         window.show()
@@ -744,23 +744,23 @@
     def _create_bugs(self):
         self.bugs_page = BugsTab()
         self.connect_after('notify::revision', self._update_bugs) 
-        self.append_page(self.bugs_page, tab_label=gtk.Label('Bugs'))
+        self.append_page(self.bugs_page, tab_label=Gtk.Label(label='Bugs'))
 
     def _create_file_info_view(self):
-        self.file_info_box = gtk.VBox(False, 6)
+        self.file_info_box = Gtk.VBox(False, 6)
         self.file_info_box.set_border_width(6)
-        self.file_info_buffer = gtk.TextBuffer()
-        window = gtk.ScrolledWindow()
-        window.set_policy(gtk.POLICY_NEVER, gtk.POLICY_AUTOMATIC)
-        window.set_shadow_type(gtk.SHADOW_IN)
-        tv = gtk.TextView(self.file_info_buffer)
+        self.file_info_buffer = Gtk.TextBuffer()
+        window = Gtk.ScrolledWindow()
+        window.set_policy(Gtk.PolicyType.NEVER, Gtk.PolicyType.AUTOMATIC)
+        window.set_shadow_type(Gtk.ShadowType.IN)
+        tv = Gtk.TextView(self.file_info_buffer)
         tv.set_editable(False)
-        tv.set_wrap_mode(gtk.WRAP_WORD)
-        tv.modify_font(pango.FontDescription("Monospace"))
+        tv.set_wrap_mode(Gtk.WrapMode.WORD)
+        tv.modify_font(Pango.FontDescription("Monospace"))
         tv.show()
         window.add(tv)
         window.show()
-        self.file_info_box.pack_start(window)
+        self.file_info_box.pack_start(window, True, True, 0)
         self.file_info_box.hide() # Only shown when there are per-file messages
-        self.append_page(self.file_info_box, tab_label=gtk.Label('Per-file'))
+        self.append_page(self.file_info_box, tab_label=Gtk.Label(label='Per-file'))
 

=== modified file 'search.py'
--- search.py	2011-04-10 18:44:39 +0000
+++ search.py	2011-07-31 15:52:43 +0000
@@ -20,48 +20,48 @@
 except:
     pass
 
-import gobject
-import gtk
+from gi.repository import GObject
+from gi.repository import Gtk
 
 from bzrlib.plugins.search import index as _mod_index
 
 from bzrlib.plugins.gtk.i18n import _i18n
 
-class SearchDialog(gtk.Dialog):
+class SearchDialog(Gtk.Dialog):
     """Search dialog."""
     def __init__(self, index, parent=None):
-        gtk.Dialog.__init__(self, title="Search Revisions",
+        GObject.GObject.__init__(self, title="Search Revisions",
                                   parent=parent,
-                                  flags=gtk.DIALOG_MODAL,
-                                  buttons=(gtk.STOCK_OK, gtk.RESPONSE_OK,
-                                           gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL))
-        pixbuf = self.render_icon(gtk.STOCK_FIND, gtk.ICON_SIZE_MENU)
+                                  flags=Gtk.DialogFlags.MODAL,
+                                  buttons=(Gtk.STOCK_OK, Gtk.ResponseType.OK,
+                                           Gtk.STOCK_CANCEL, Gtk.ResponseType.CANCEL))
+        pixbuf = self.render_icon(Gtk.STOCK_FIND, Gtk.IconSize.MENU)
         self.set_icon(pixbuf)
         
         # Get arguments
         self.index = index
 
-        self.searchbar = gtk.HBox()
-        searchbar_label = gtk.Label(_i18n("Search for:"))
+        self.searchbar = Gtk.HBox()
+        searchbar_label = Gtk.Label(label=_i18n("Search for:"))
         self.searchbar.pack_start(searchbar_label, False, False, 0)
-        self.searchentry = gtk.Entry()
+        self.searchentry = Gtk.Entry()
         self.searchentry.connect('activate', self._searchentry_activate)
         # TODO: Completion using the bzr-search suggests functionality
         self.searchbar.add(self.searchentry)
         self.vbox.pack_start(self.searchbar, expand=False, fill=False)
 
-        self.results_model = gtk.ListStore(gobject.TYPE_STRING, gobject.TYPE_STRING, gobject.TYPE_PYOBJECT)
-        self.results_treeview = gtk.TreeView(self.results_model)
+        self.results_model = Gtk.ListStore(GObject.TYPE_STRING, GObject.TYPE_STRING, GObject.TYPE_PYOBJECT)
+        self.results_treeview = Gtk.TreeView(self.results_model)
         self.results_treeview.connect("row-activated", self._searchresult_row_activated)
 
-        documentname_column = gtk.TreeViewColumn(_i18n("Document"), gtk.CellRendererText(), text=0)
+        documentname_column = Gtk.TreeViewColumn(_i18n("Document"), Gtk.CellRendererText(), text=0)
         self.results_treeview.append_column(documentname_column)
 
-        summary_column = gtk.TreeViewColumn(_i18n("Summary"), gtk.CellRendererText(), text=1)
+        summary_column = Gtk.TreeViewColumn(_i18n("Summary"), Gtk.CellRendererText(), text=1)
         self.results_treeview.append_column(summary_column)
 
-        results_scrolledwindow = gtk.ScrolledWindow()
-        results_scrolledwindow.set_policy(gtk.POLICY_NEVER, gtk.POLICY_AUTOMATIC)
+        results_scrolledwindow = Gtk.ScrolledWindow()
+        results_scrolledwindow.set_policy(Gtk.PolicyType.NEVER, Gtk.PolicyType.AUTOMATIC)
         results_scrolledwindow.add(self.results_treeview)
 
         self.vbox.pack_start(results_scrolledwindow, expand=True, fill=True)
@@ -94,4 +94,4 @@
             self.index._branch.unlock()
     
     def _searchresult_row_activated(self, treeview, path, view_column):
-        self.response(gtk.RESPONSE_OK)
+        self.response(Gtk.ResponseType.OK)

=== modified file 'setup.py'
--- setup.py	2011-03-06 10:43:25 +0000
+++ setup.py	2011-07-31 15:52:43 +0000
@@ -174,7 +174,7 @@
                     ('share/applications', ['bazaar-properties.desktop',
                                             'bzr-handle-patch.desktop',
                                             'bzr-notify.desktop']),
-                    ('share/application-registry', ['bzr-gtk.applications']),
+                    ('share/application-registry', ['bzr-Gtk.applications']),
                     ('share/pixmaps', ['icons/bzr-icon-64.png']),
                     ('share/icons/hicolor/scalable/apps', ['icons/bzr-panel.svg']),
                     ('share/icons/hicolor/scalable/emblems',

=== modified file 'status.py'
--- status.py	2011-04-10 18:44:39 +0000
+++ status.py	2011-07-31 15:52:43 +0000
@@ -20,7 +20,7 @@
 except:
     pass
 
-import gtk
+from gi.repository import Gtk
 from bzrlib.plugins.gtk import window
 from bzrlib.plugins.gtk.i18n import _i18n
 
@@ -46,10 +46,10 @@
 
     def _create(self):
         self.set_default_size(400, 300)
-        sw = gtk.ScrolledWindow()
-        sw.set_policy(gtk.POLICY_AUTOMATIC, gtk.POLICY_AUTOMATIC)
-        sw.set_shadow_type(gtk.SHADOW_IN)
-        self.treeview = gtk.TreeView()
+        sw = Gtk.ScrolledWindow()
+        sw.set_policy(Gtk.PolicyType.AUTOMATIC, Gtk.PolicyType.AUTOMATIC)
+        sw.set_shadow_type(Gtk.ShadowType.IN)
+        self.treeview = Gtk.TreeView()
         sw.add(self.treeview)
         self.add(sw)
 
@@ -72,15 +72,15 @@
 
     def _generate_status(self):
         """ Generate 'bzr status' output. """
-        self.model = gtk.TreeStore(str, str)
+        self.model = Gtk.TreeStore(str, str)
         self.treeview.set_headers_visible(False)
         self.treeview.set_model(self.model)
         self.treeview.connect("row-activated", self.row_diff)
 
-        cell = gtk.CellRendererText()
+        cell = Gtk.CellRendererText()
         cell.set_property("width-chars", 20)
-        column = gtk.TreeViewColumn()
-        column.pack_start(cell, expand=True)
+        column = Gtk.TreeViewColumn()
+        column.pack_start(cell, True, True, 0)
         column.add_attribute(cell, "text", 0)
         self.treeview.append_column(column)
 

=== modified file 'tags.py'
--- tags.py	2011-04-10 18:44:39 +0000
+++ tags.py	2011-07-31 15:52:43 +0000
@@ -21,7 +21,7 @@
 except:
     pass
 
-import gtk
+from gi.repository import Gtk
 
 from bzrlib.plugins.gtk.dialog import error_dialog
 from bzrlib.plugins.gtk.i18n import _i18n
@@ -40,19 +40,19 @@
         self.branch = branch
 
         # Create the widgets
-        self._button_add = gtk.Button(stock=gtk.STOCK_ADD)
-        self._button_remove = gtk.Button(stock=gtk.STOCK_REMOVE)
-        self._button_refresh = gtk.Button(stock=gtk.STOCK_REFRESH)
-        self._button_close = gtk.Button(stock=gtk.STOCK_CLOSE)
-        self._model = gtk.ListStore(str, str)
-        self._treeview_tags = gtk.TreeView(self._model)
-        self._scrolledwindow_tags = gtk.ScrolledWindow()
+        self._button_add = Gtk.Button(stock=Gtk.STOCK_ADD)
+        self._button_remove = Gtk.Button(stock=Gtk.STOCK_REMOVE)
+        self._button_refresh = Gtk.Button(stock=Gtk.STOCK_REFRESH)
+        self._button_close = Gtk.Button(stock=Gtk.STOCK_CLOSE)
+        self._model = Gtk.ListStore(str, str)
+        self._treeview_tags = Gtk.TreeView(self._model)
+        self._scrolledwindow_tags = Gtk.ScrolledWindow()
         self._revisionview = RevisionView()
-        self._hbox = gtk.HBox()
-        self._vbox_buttons = gtk.VBox()
-        self._vbox_buttons_top = gtk.VBox()
-        self._vbox_buttons_bottom = gtk.VBox()
-        self._vpaned = gtk.VPaned()
+        self._hbox = Gtk.HBox()
+        self._vbox_buttons = Gtk.VBox()
+        self._vbox_buttons_top = Gtk.VBox()
+        self._vbox_buttons_bottom = Gtk.VBox()
+        self._vpaned = Gtk.VPaned()
 
         # Set callbacks
         self._button_add.connect('clicked', self._on_add_clicked)
@@ -65,8 +65,8 @@
         self.set_title(_i18n("Tags"))
         self.set_default_size(600, 400)
 
-        self._scrolledwindow_tags.set_policy(gtk.POLICY_AUTOMATIC,
-                                             gtk.POLICY_AUTOMATIC)
+        self._scrolledwindow_tags.set_policy(Gtk.PolicyType.AUTOMATIC,
+                                             Gtk.PolicyType.AUTOMATIC)
 
         self._hbox.set_border_width(5)
         self._hbox.set_spacing(5)
@@ -106,13 +106,13 @@
 
     def _load_tags(self):
         """ Load the tags into the TreeView. """
-        tvcol_name = gtk.TreeViewColumn(_i18n("Tag Name"),
-                                        gtk.CellRendererText(),
+        tvcol_name = Gtk.TreeViewColumn(_i18n("Tag Name"),
+                                        Gtk.CellRendererText(),
                                         text=0)
         tvcol_name.set_resizable(True)
 
-        tvcol_revid = gtk.TreeViewColumn(_i18n("Revision ID"),
-                                         gtk.CellRendererText(),
+        tvcol_revid = Gtk.TreeViewColumn(_i18n("Revision ID"),
+                                         Gtk.CellRendererText(),
                                          text=1)
         tvcol_revid.set_resizable(True)
 
@@ -159,9 +159,9 @@
         dialog = AddTagDialog(self.branch.repository, None,
                               self.branch, self)
         response = dialog.run()
-        if response != gtk.RESPONSE_NONE:
+        if response != Gtk.ResponseType.NONE:
             dialog.hide()
-            if response == gtk.RESPONSE_OK:
+            if response == Gtk.ResponseType.OK:
                 self.branch.tags.set_tag(dialog.tagname, dialog._revid)
                 self._refresh_tags()
             dialog.destroy()
@@ -170,7 +170,7 @@
         """ Close button event handler. """
         self.destroy()
         if self._parent is None:
-            gtk.main_quit()
+            Gtk.main_quit()
 
     def _on_refresh_clicked(self, widget):
         """ Refresh button event handler. """
@@ -185,9 +185,9 @@
         tag = self._model[path][0]
         dialog = RemoveTagDialog(tag, self)
         response = dialog.run()
-        if response != gtk.RESPONSE_NONE:
+        if response != Gtk.ResponseType.NONE:
             dialog.hide()
-            if response == gtk.RESPONSE_OK:
+            if response == Gtk.ResponseType.OK:
                 self.branch.tags.delete_tag(tag)
                 self._refresh_tags()
             dialog.destroy()
@@ -201,25 +201,25 @@
             self._revisionview.set_revision(self.branch.repository.get_revision(revision))
 
 
-class RemoveTagDialog(gtk.Dialog):
+class RemoveTagDialog(Gtk.Dialog):
     """ Confirm removal of tag. """
     def __init__(self, tagname, parent):
-        gtk.Dialog.__init__(self, title="Remove tag",
+        GObject.GObject.__init__(self, title="Remove tag",
                                   parent=parent,
                                   flags=0,
-                                  buttons=(gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL))
+                                  buttons=(Gtk.STOCK_CANCEL, Gtk.ResponseType.CANCEL))
 
         # Get the arguments
         self.tag = tagname
 
         # Create the widgets
-        self._hbox = gtk.HBox()
-        self._vbox_question = gtk.VBox()
-        self._image_question = gtk.image_new_from_stock(gtk.STOCK_DIALOG_QUESTION,
-                                                        gtk.ICON_SIZE_DIALOG)
-        self._label_title = gtk.Label()
-        self._label_question = gtk.Label()
-        self._button_remove = gtk.Button(_i18n("_Remove tag"), use_underline=True)
+        self._hbox = Gtk.HBox()
+        self._vbox_question = Gtk.VBox()
+        self._image_question = Gtk.Image.new_from_stock(Gtk.STOCK_DIALOG_QUESTION,
+                                                        Gtk.IconSize.DIALOG)
+        self._label_title = Gtk.Label()
+        self._label_question = Gtk.Label()
+        self._button_remove = Gtk.Button(_i18n("_Remove tag"), use_underline=True)
 
         # Set callbacks
         self._button_remove.connect('clicked', self._on_remove_clicked)
@@ -234,16 +234,16 @@
         self._label_question.set_markup(_i18n("Are you sure you want to remove the tag: <b>%s</b>?") % self.tag)
         self._label_question.set_alignment(0.0, 0.5)
 
-        self._button_remove.set_image(gtk.image_new_from_stock(gtk.STOCK_REMOVE,
-                                                               gtk.ICON_SIZE_BUTTON))
-        self._button_remove.set_flags(gtk.CAN_DEFAULT)
+        self._button_remove.set_image(Gtk.Image.new_from_stock(Gtk.STOCK_REMOVE,
+                                                               Gtk.IconSize.BUTTON))
+        self._button_remove.set_can_default(True)
 
         # Construct the dialog
-        self._vbox_question.pack_start(self._label_title)
-        self._vbox_question.pack_start(self._label_question)
+        self._vbox_question.pack_start(self._label_title, True, True, 0)
+        self._vbox_question.pack_start(self._label_question, True, True, 0)
 
-        self._hbox.pack_start(self._image_question)
-        self._hbox.pack_start(self._vbox_question)
+        self._hbox.pack_start(self._image_question, True, True, 0)
+        self._hbox.pack_start(self._vbox_question, True, True, 0)
 
         self.vbox.add(self._hbox)
 
@@ -257,19 +257,19 @@
 
     def _on_remove_clicked(self, widget):
         """ Remove button event handler. """
-        self.response(gtk.RESPONSE_OK)
-
-
-class AddTagDialog(gtk.Dialog):
+        self.response(Gtk.ResponseType.OK)
+
+
+class AddTagDialog(Gtk.Dialog):
     """ Add tag dialog. """
 
     def __init__(self, repository, revid=None, branch=None, parent=None):
         """ Initialize Add tag dialog. """
-        gtk.Dialog.__init__(self, title="Add tag",
+        GObject.GObject.__init__(self, title="Add tag",
                                   parent=parent,
                                   flags=0,
-                                  buttons=(gtk.STOCK_CANCEL, 
-                                           gtk.RESPONSE_CANCEL))
+                                  buttons=(Gtk.STOCK_CANCEL, 
+                                           Gtk.ResponseType.CANCEL))
 
         # Get arguments
         self._repository = repository
@@ -277,13 +277,13 @@
         self._branch = branch
 
         # Create the widgets
-        self._button_add = gtk.Button(_i18n("_Add tag"), use_underline=True)
-        self._table = gtk.Table(2, 2)
-        self._label_name = gtk.Label(_i18n("Tag Name:"))
-        self._label_revid = gtk.Label(_i18n("Revision ID:"))
-        self._entry_name = gtk.Entry()
+        self._button_add = Gtk.Button(_i18n("_Add tag"), use_underline=True)
+        self._table = Gtk.Table(2, 2)
+        self._label_name = Gtk.Label(label=_i18n("Tag Name:"))
+        self._label_revid = Gtk.Label(label=_i18n("Revision ID:"))
+        self._entry_name = Gtk.Entry()
         if self._revid is not None:
-            self._hbox_revid = gtk.Label(self._revid)
+            self._hbox_revid = Gtk.Label(label=self._revid)
         else:
             self._hbox_revid = RevisionSelectionBox(self._branch)
 
@@ -293,9 +293,9 @@
         # Set properties
         self._label_name.set_alignment(0, 0.5)
         self._label_revid.set_alignment(0, 0.5)
-        self._button_add.set_image(gtk.image_new_from_stock(gtk.STOCK_ADD,
-                                                            gtk.ICON_SIZE_BUTTON))
-        self._button_add.set_flags(gtk.CAN_DEFAULT)
+        self._button_add.set_image(Gtk.Image.new_from_stock(Gtk.STOCK_ADD,
+                                                            Gtk.IconSize.BUTTON))
+        self._button_add.set_can_default(True)
 
         # Construct the dialog
         self._table.attach(self._label_name, 0, 1, 0, 1)
@@ -323,4 +323,4 @@
 
         self.tagname = self._entry_name.get_text()
 
-        self.response(gtk.RESPONSE_OK)
+        self.response(Gtk.ResponseType.OK)

=== modified file 'tests/test_commit.py'
--- tests/test_commit.py	2011-02-18 13:01:03 +0000
+++ tests/test_commit.py	2011-07-31 15:52:43 +0000
@@ -18,7 +18,7 @@
 
 import os
 
-import gtk
+from gi.repository import Gtk
 
 from bzrlib import (
     branch,
@@ -679,7 +679,7 @@
         def _question_yes(*args, **kwargs):
             self.questions.append(args)
             self.questions.append('YES')
-            return gtk.RESPONSE_YES
+            return Gtk.ResponseType.YES
         dlg._question_dialog = _question_yes
 
     def _set_question_no(self, dlg):
@@ -688,7 +688,7 @@
         def _question_no(*args, **kwargs):
             self.questions.append(args)
             self.questions.append('NO')
-            return gtk.RESPONSE_NO
+            return Gtk.ResponseType.NO
         dlg._question_dialog = _question_no
 
 

=== modified file 'ui.py'
--- ui.py	2011-03-14 20:12:19 +0000
+++ ui.py	2011-07-31 15:52:43 +0000
@@ -19,29 +19,29 @@
 """GTK UI
 """
 
-import gtk
+from gi.repository import Gtk
 
 from bzrlib.ui import UIFactory
 
 
-class PromptDialog(gtk.Dialog):
+class PromptDialog(Gtk.Dialog):
     """Prompt the user for a yes/no answer."""
 
     def __init__(self, prompt):
-        gtk.Dialog.__init__(self)
+        GObject.GObject.__init__(self)
 
-        label = gtk.Label(prompt)
-        self.vbox.pack_start(label, padding=10)
+        label = Gtk.Label(label=prompt)
+        self.vbox.pack_start(label, True, True, 10)
         self.vbox.show_all()
 
-        self.add_buttons(gtk.STOCK_YES, gtk.RESPONSE_YES, gtk.STOCK_NO,
-                         gtk.RESPONSE_NO)
-
-
-class GtkProgressBar(gtk.ProgressBar):
+        self.add_buttons(Gtk.STOCK_YES, Gtk.ResponseType.YES, Gtk.STOCK_NO,
+                         Gtk.ResponseType.NO)
+
+
+class GtkProgressBar(Gtk.ProgressBar):
 
     def __init__(self):
-        gtk.ProgressBar.__init__(self)
+        GObject.GObject.__init__(self)
         self.set_fraction(0.0)
         self.current = None
         self.total = None
@@ -63,8 +63,8 @@
             if self.fraction < 0.0 or self.fraction > 1.0:
                 raise AssertionError
             self.set_fraction(self.fraction)
-        while gtk.events_pending():
-            gtk.main_iteration()
+        while Gtk.events_pending():
+            Gtk.main_iteration()
 
     def finished(self):
         self.hide()
@@ -73,13 +73,13 @@
         self.hide()
 
 
-class ProgressBarWindow(gtk.Window):
+class ProgressBarWindow(Gtk.Window):
 
     def __init__(self):
-        super(ProgressBarWindow, self).__init__(type=gtk.WINDOW_TOPLEVEL)
+        super(ProgressBarWindow, self).__init__(type=Gtk.WindowType.TOPLEVEL)
         self.set_border_width(0)
         self.set_title("Progress")
-        self.set_position(gtk.WIN_POS_CENTER_ALWAYS)
+        self.set_position(Gtk.WindowPosition.CENTER_ALWAYS)
         self.pb = GtkProgressBar()
         self.add(self.pb)
         self.resize(250, 15)
@@ -103,12 +103,12 @@
         self.hide_all()
 
 
-class ProgressPanel(gtk.HBox):
+class ProgressPanel(Gtk.HBox):
 
     def __init__(self):
         super(ProgressPanel, self).__init__()
-        image_loading = gtk.image_new_from_stock(gtk.STOCK_REFRESH,
-                                                 gtk.ICON_SIZE_BUTTON)
+        image_loading = Gtk.Image.new_from_stock(Gtk.STOCK_REFRESH,
+                                                 Gtk.IconSize.BUTTON)
         image_loading.show()
 
         self.pb = GtkProgressBar()
@@ -134,23 +134,23 @@
         self.hide_all()
 
 
-class PasswordDialog(gtk.Dialog):
+class PasswordDialog(Gtk.Dialog):
     """ Prompt the user for a password. """
 
     def __init__(self, prompt):
-        gtk.Dialog.__init__(self)
-
-        label = gtk.Label(prompt)
-        self.vbox.pack_start(label, padding=10)
-
-        self.entry = gtk.Entry()
+        GObject.GObject.__init__(self)
+
+        label = Gtk.Label(label=prompt)
+        self.vbox.pack_start(label, True, True, 10)
+
+        self.entry = Gtk.Entry()
         self.entry.set_visibility(False)
         self.vbox.pack_end(self.entry, padding=10)
 
         self.vbox.show_all()
 
-        self.add_buttons(gtk.STOCK_OK, gtk.RESPONSE_OK,
-                         gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL)
+        self.add_buttons(Gtk.STOCK_OK, Gtk.ResponseType.OK,
+                         Gtk.STOCK_CANCEL, Gtk.ResponseType.CANCEL)
 
     def _get_passwd(self):
         return self.entry.get_text()
@@ -174,7 +174,7 @@
         dialog = PromptDialog(prompt)
         response = dialog.run()
         dialog.destroy()
-        return (response == gtk.RESPONSE_YES)
+        return (response == Gtk.ResponseType.YES)
 
     def get_password(self, prompt='', **kwargs):
         """Prompt the user for a password.
@@ -190,7 +190,7 @@
         response = dialog.run()
         passwd = dialog.passwd
         dialog.destroy()
-        if response == gtk.RESPONSE_OK:
+        if response == Gtk.ResponseType.OK:
             return passwd
         else:
             return None

=== modified file 'viz/branchwin.py'
--- viz/branchwin.py	2011-04-15 01:07:44 +0000
+++ viz/branchwin.py	2011-07-31 15:52:43 +0000
@@ -8,7 +8,7 @@
 __author__    = "Scott James Remnant <scott@ubuntu.com>"
 
 
-import gtk
+from gi.repository import Gtk
 
 from bzrlib.plugins.gtk import icon_path
 from bzrlib.plugins.gtk.branchview import TreeView
@@ -67,33 +67,33 @@
         self._save_size_on_destroy(self, 'viz-window-size')
 
         # FIXME AndyFitz!
-        icon = self.render_icon(gtk.STOCK_INDEX, gtk.ICON_SIZE_BUTTON)
+        icon = self.render_icon(Gtk.STOCK_INDEX, Gtk.IconSize.BUTTON)
         self.set_icon(icon)
 
-        gtk.accel_map_add_entry("<viz>/Go/Next Revision", gtk.keysyms.Up, gtk.gdk.MOD1_MASK)
-        gtk.accel_map_add_entry("<viz>/Go/Previous Revision", gtk.keysyms.Down, gtk.gdk.MOD1_MASK)
-        gtk.accel_map_add_entry("<viz>/View/Refresh", gtk.keysyms.F5, 0)
+        Gtk.AccelMap.add_entry("<viz>/Go/Next Revision", Gdk.KEY_Up, Gdk.ModifierType.MOD1_MASK)
+        Gtk.AccelMap.add_entry("<viz>/Go/Previous Revision", Gdk.KEY_Down, Gdk.ModifierType.MOD1_MASK)
+        Gtk.AccelMap.add_entry("<viz>/View/Refresh", Gdk.KEY_F5, 0)
 
-        self.accel_group = gtk.AccelGroup()
+        self.accel_group = Gtk.AccelGroup()
         self.add_accel_group(self.accel_group)
 
-        if getattr(gtk.Action, 'set_tool_item_type', None) is not None:
+        if getattr(Gtk.Action, 'set_tool_item_type', None) is not None:
             # Not available before PyGtk-2.10
-            gtk.Action.set_tool_item_type(gtk.MenuToolButton)
+            Gtk.Action.set_tool_item_type(Gtk.MenuToolButton)
 
-        self.prev_rev_action = gtk.Action("prev-rev", "_Previous Revision", "Go to the previous revision", gtk.STOCK_GO_DOWN)
+        self.prev_rev_action = Gtk.Action("prev-rev", "_Previous Revision", "Go to the previous revision", Gtk.STOCK_GO_DOWN)
         self.prev_rev_action.set_accel_path("<viz>/Go/Previous Revision")
         self.prev_rev_action.set_accel_group(self.accel_group)
         self.prev_rev_action.connect("activate", self._back_clicked_cb)
         self.prev_rev_action.connect_accelerator()
 
-        self.next_rev_action = gtk.Action("next-rev", "_Next Revision", "Go to the next revision", gtk.STOCK_GO_UP)
+        self.next_rev_action = Gtk.Action("next-rev", "_Next Revision", "Go to the next revision", Gtk.STOCK_GO_UP)
         self.next_rev_action.set_accel_path("<viz>/Go/Next Revision")
         self.next_rev_action.set_accel_group(self.accel_group)
         self.next_rev_action.connect("activate", self._fwd_clicked_cb)
         self.next_rev_action.connect_accelerator()
 
-        self.refresh_action = gtk.Action("refresh", "_Refresh", "Refresh view", gtk.STOCK_REFRESH)
+        self.refresh_action = Gtk.Action("refresh", "_Refresh", "Refresh view", Gtk.STOCK_REFRESH)
         self.refresh_action.set_accel_path("<viz>/View/Refresh")
         self.refresh_action.set_accel_group(self.accel_group)
         self.refresh_action.connect("activate", self._refresh_clicked)
@@ -115,7 +115,7 @@
 
     def construct(self):
         """Construct the window contents."""
-        vbox = gtk.VBox(spacing=0)
+        vbox = Gtk.VBox(spacing=0)
         self.add(vbox)
 
         # order is important here
@@ -136,9 +136,9 @@
     def construct_paned(self):
         """Construct the main HPaned/VPaned contents."""
         if self.config.get_user_option('viz-vertical') == 'True':
-            self.paned = gtk.HPaned()
+            self.paned = Gtk.HPaned()
         else:
-            self.paned = gtk.VPaned()
+            self.paned = Gtk.VPaned()
 
         self.paned.pack1(self.construct_top(), resize=False, shrink=True)
         self.paned.pack2(self.construct_bottom(), resize=True, shrink=False)
@@ -147,75 +147,75 @@
         return self.paned
 
     def construct_menubar(self):
-        menubar = gtk.MenuBar()
+        menubar = Gtk.MenuBar()
 
-        file_menu = gtk.Menu()
-        file_menuitem = gtk.MenuItem("_File")
+        file_menu = Gtk.Menu()
+        file_menuitem = Gtk.MenuItem("_File")
         file_menuitem.set_submenu(file_menu)
 
-        file_menu_close = gtk.ImageMenuItem(gtk.STOCK_CLOSE, self.accel_group)
+        file_menu_close = Gtk.ImageMenuItem(Gtk.STOCK_CLOSE, self.accel_group)
         file_menu_close.connect('activate', lambda x: self.destroy())
 
-        file_menu_quit = gtk.ImageMenuItem(gtk.STOCK_QUIT, self.accel_group)
-        file_menu_quit.connect('activate', lambda x: gtk.main_quit())
+        file_menu_quit = Gtk.ImageMenuItem(Gtk.STOCK_QUIT, self.accel_group)
+        file_menu_quit.connect('activate', lambda x: Gtk.main_quit())
 
         if self._parent is not None:
             file_menu.add(file_menu_close)
         file_menu.add(file_menu_quit)
 
-        edit_menu = gtk.Menu()
-        edit_menuitem = gtk.MenuItem("_Edit")
+        edit_menu = Gtk.Menu()
+        edit_menuitem = Gtk.MenuItem("_Edit")
         edit_menuitem.set_submenu(edit_menu)
 
-        edit_menu_branchopts = gtk.MenuItem("Branch Settings")
+        edit_menu_branchopts = Gtk.MenuItem("Branch Settings")
         edit_menu_branchopts.connect('activate', lambda x: PreferencesWindow(self.branch.get_config()).show())
 
-        edit_menu_globopts = gtk.MenuItem("Global Settings")
+        edit_menu_globopts = Gtk.MenuItem("Global Settings")
         edit_menu_globopts.connect('activate', lambda x: PreferencesWindow().show())
 
         edit_menu.add(edit_menu_branchopts)
         edit_menu.add(edit_menu_globopts)
 
-        view_menu = gtk.Menu()
-        view_menuitem = gtk.MenuItem("_View")
+        view_menu = Gtk.Menu()
+        view_menuitem = Gtk.MenuItem("_View")
         view_menuitem.set_submenu(view_menu)
 
         view_menu_refresh = self.refresh_action.create_menu_item()
         view_menu_refresh.connect('activate', self._refresh_clicked)
 
         view_menu.add(view_menu_refresh)
-        view_menu.add(gtk.SeparatorMenuItem())
+        view_menu.add(Gtk.SeparatorMenuItem())
 
-        view_menu_toolbar = gtk.CheckMenuItem("Show Toolbar")
+        view_menu_toolbar = Gtk.CheckMenuItem("Show Toolbar")
         view_menu_toolbar.set_active(True)
         if self.config.get_user_option('viz-toolbar-visible') == 'False':
             view_menu_toolbar.set_active(False)
             self.toolbar.hide()
         view_menu_toolbar.connect('toggled', self._toolbar_visibility_changed)
 
-        view_menu_compact = gtk.CheckMenuItem("Show Compact Graph")
+        view_menu_compact = Gtk.CheckMenuItem("Show Compact Graph")
         view_menu_compact.set_active(self.compact_view)
         view_menu_compact.connect('activate', self._brokenlines_toggled_cb)
 
-        view_menu_vertical = gtk.CheckMenuItem("Side-by-side Layout")
+        view_menu_vertical = Gtk.CheckMenuItem("Side-by-side Layout")
         view_menu_vertical.set_active(False)
         if self.config.get_user_option('viz-vertical') == 'True':
             view_menu_vertical.set_active(True)
         view_menu_vertical.connect('toggled', self._vertical_layout)
 
-        view_menu_diffs = gtk.CheckMenuItem("Show Diffs")
+        view_menu_diffs = Gtk.CheckMenuItem("Show Diffs")
         view_menu_diffs.set_active(False)
         if self.config.get_user_option('viz-show-diffs') == 'True':
             view_menu_diffs.set_active(True)
         view_menu_diffs.connect('toggled', self._diff_visibility_changed)
 
-        view_menu_wide_diffs = gtk.CheckMenuItem("Wide Diffs")
+        view_menu_wide_diffs = Gtk.CheckMenuItem("Wide Diffs")
         view_menu_wide_diffs.set_active(False)
         if self.config.get_user_option('viz-wide-diffs') == 'True':
             view_menu_wide_diffs.set_active(True)
         view_menu_wide_diffs.connect('toggled', self._diff_placement_changed)
 
-        view_menu_wrap_diffs = gtk.CheckMenuItem("Wrap _Long Lines in Diffs")
+        view_menu_wrap_diffs = Gtk.CheckMenuItem("Wrap _Long Lines in Diffs")
         view_menu_wrap_diffs.set_active(False)
         if self.config.get_user_option('viz-wrap-diffs') == 'True':
             view_menu_wrap_diffs.set_active(True)
@@ -224,14 +224,14 @@
         view_menu.add(view_menu_toolbar)
         view_menu.add(view_menu_compact)
         view_menu.add(view_menu_vertical)
-        view_menu.add(gtk.SeparatorMenuItem())
+        view_menu.add(Gtk.SeparatorMenuItem())
         view_menu.add(view_menu_diffs)
         view_menu.add(view_menu_wide_diffs)
         view_menu.add(view_menu_wrap_diffs)
-        view_menu.add(gtk.SeparatorMenuItem())
+        view_menu.add(Gtk.SeparatorMenuItem())
 
-        self.mnu_show_revno_column = gtk.CheckMenuItem("Show Revision _Number Column")
-        self.mnu_show_date_column = gtk.CheckMenuItem("Show _Date Column")
+        self.mnu_show_revno_column = Gtk.CheckMenuItem("Show Revision _Number Column")
+        self.mnu_show_date_column = Gtk.CheckMenuItem("Show _Date Column")
 
         # Revision numbers are pointless if there are multiple branches
         if len(self.start_revs) > 1:
@@ -244,57 +244,57 @@
             col.connect('toggled', self._col_visibility_changed, name)
             view_menu.add(col)
 
-        go_menu = gtk.Menu()
+        go_menu = Gtk.Menu()
         go_menu.set_accel_group(self.accel_group)
-        go_menuitem = gtk.MenuItem("_Go")
+        go_menuitem = Gtk.MenuItem("_Go")
         go_menuitem.set_submenu(go_menu)
 
         go_menu_next = self.next_rev_action.create_menu_item()
         go_menu_prev = self.prev_rev_action.create_menu_item()
 
-        tag_image = gtk.Image()
+        tag_image = Gtk.Image()
         tag_image.set_from_file(icon_path("tag-16.png"))
-        self.go_menu_tags = gtk.ImageMenuItem("_Tags")
+        self.go_menu_tags = Gtk.ImageMenuItem("_Tags")
         self.go_menu_tags.set_image(tag_image)
         self.treeview.connect('refreshed', lambda w: self._update_tags())
 
         go_menu.add(go_menu_next)
         go_menu.add(go_menu_prev)
-        go_menu.add(gtk.SeparatorMenuItem())
+        go_menu.add(Gtk.SeparatorMenuItem())
         go_menu.add(self.go_menu_tags)
 
         self.revision_menu = RevisionMenu(self.branch.repository, [],
             self.branch, parent=self)
-        revision_menuitem = gtk.MenuItem("_Revision")
+        revision_menuitem = Gtk.MenuItem("_Revision")
         revision_menuitem.set_submenu(self.revision_menu)
 
-        branch_menu = gtk.Menu()
-        branch_menuitem = gtk.MenuItem("_Branch")
+        branch_menu = Gtk.Menu()
+        branch_menuitem = Gtk.MenuItem("_Branch")
         branch_menuitem.set_submenu(branch_menu)
 
-        branch_menu.add(gtk.MenuItem("Pu_ll Revisions"))
-        branch_menu.add(gtk.MenuItem("Pu_sh Revisions"))
+        branch_menu.add(Gtk.MenuItem("Pu_ll Revisions"))
+        branch_menu.add(Gtk.MenuItem("Pu_sh Revisions"))
 
         try:
             from bzrlib.plugins import search
         except ImportError:
             mutter("Didn't find search plugin")
         else:
-            branch_menu.add(gtk.SeparatorMenuItem())
+            branch_menu.add(Gtk.SeparatorMenuItem())
 
-            branch_index_menuitem = gtk.MenuItem("_Index")
+            branch_index_menuitem = Gtk.MenuItem("_Index")
             branch_index_menuitem.connect('activate', self._branch_index_cb)
             branch_menu.add(branch_index_menuitem)
 
-            branch_search_menuitem = gtk.MenuItem("_Search")
+            branch_search_menuitem = Gtk.MenuItem("_Search")
             branch_search_menuitem.connect('activate', self._branch_search_cb)
             branch_menu.add(branch_search_menuitem)
 
-        help_menu = gtk.Menu()
-        help_menuitem = gtk.MenuItem("_Help")
+        help_menu = Gtk.Menu()
+        help_menuitem = Gtk.MenuItem("_Help")
         help_menuitem.set_submenu(help_menu)
 
-        help_about_menuitem = gtk.ImageMenuItem(gtk.STOCK_ABOUT,
+        help_about_menuitem = Gtk.ImageMenuItem(Gtk.STOCK_ABOUT,
             self.accel_group)
         help_about_menuitem.connect('activate', self._about_dialog_cb)
 
@@ -328,7 +328,7 @@
 
         self.treeview.show()
 
-        align = gtk.Alignment(0.0, 0.0, 1.0, 1.0)
+        align = Gtk.Alignment.new(0.0, 0.0, 1.0, 1.0)
         align.set_padding(5, 0, 0, 0)
         align.add(self.treeview)
         # user-configured size
@@ -346,8 +346,8 @@
 
     def construct_navigation(self):
         """Construct the navigation buttons."""
-        self.toolbar = gtk.Toolbar()
-        self.toolbar.set_style(gtk.TOOLBAR_BOTH_HORIZ)
+        self.toolbar = Gtk.Toolbar()
+        self.toolbar.set_style(Gtk.TOOLBAR_BOTH_HORIZ)
 
         self.prev_button = self.prev_rev_action.create_tool_item()
         self.toolbar.insert(self.prev_button, -1)
@@ -355,9 +355,9 @@
         self.next_button = self.next_rev_action.create_tool_item()
         self.toolbar.insert(self.next_button, -1)
 
-        self.toolbar.insert(gtk.SeparatorToolItem(), -1)
+        self.toolbar.insert(Gtk.SeparatorToolItem(), -1)
 
-        refresh_button = gtk.ToolButton(gtk.STOCK_REFRESH)
+        refresh_button = Gtk.ToolButton(Gtk.STOCK_REFRESH)
         refresh_button.connect('clicked', self._refresh_clicked)
         self.toolbar.insert(refresh_button, -1)
 
@@ -368,9 +368,9 @@
     def construct_bottom(self):
         """Construct the bottom half of the window."""
         if self.config.get_user_option('viz-wide-diffs') == 'True':
-            self.diff_paned = gtk.VPaned()
+            self.diff_paned = Gtk.VPaned()
         else:
-            self.diff_paned = gtk.HPaned()
+            self.diff_paned = Gtk.HPaned()
         (width, height) = self.get_size()
         self.diff_paned.set_size_request(20, 20) # shrinkable
 
@@ -415,7 +415,7 @@
 
         if revision and revision.revision_id != NULL_REVISION:
             self.revision_menu.set_revision_ids([revision.revision_id])
-            prev_menu = gtk.Menu()
+            prev_menu = Gtk.Menu()
             if len(parents) > 0:
                 self.prev_rev_action.set_sensitive(True)
                 for parent_id in parents:
@@ -426,7 +426,7 @@
                         except KeyError:
                             str = ""
 
-                        item = gtk.MenuItem(parent.message.split("\n")[0] + str)
+                        item = Gtk.MenuItem(parent.message.split("\n")[0] + str)
                         item.connect('activate', self._set_revision_cb, parent_id)
                         prev_menu.add(item)
                 prev_menu.show_all()
@@ -437,7 +437,7 @@
             if getattr(self.prev_button, 'set_menu', None) is not None:
                 self.prev_button.set_menu(prev_menu)
 
-            next_menu = gtk.Menu()
+            next_menu = Gtk.Menu()
             if len(children) > 0:
                 self.next_rev_action.set_sensitive(True)
                 for child_id in children:
@@ -447,7 +447,7 @@
                     except KeyError:
                         str = ""
 
-                    item = gtk.MenuItem(child.message.split("\n")[0] + str)
+                    item = Gtk.MenuItem(child.message.split("\n")[0] + str)
                     item.connect('activate', self._set_revision_cb, child_id)
                     next_menu.add(item)
                 next_menu.show_all()
@@ -523,11 +523,11 @@
         try:
             index = _mod_index.open_index_url(self.branch.base)
         except search_errors.NoSearchIndex:
-            dialog = gtk.MessageDialog(self, type=gtk.MESSAGE_QUESTION, 
-                buttons=gtk.BUTTONS_OK_CANCEL, 
+            dialog = Gtk.MessageDialog(self, type=Gtk.MessageType.QUESTION, 
+                buttons=Gtk.ButtonsType.OK_CANCEL, 
                 message_format="This branch has not been indexed yet. "
                                "Index now?")
-            if dialog.run() == gtk.RESPONSE_OK:
+            if dialog.run() == Gtk.ResponseType.OK:
                 dialog.destroy()
                 index = _mod_index.index_url(self.branch.base)
             else:
@@ -536,7 +536,7 @@
 
         dialog = SearchDialog(index)
 
-        if dialog.run() == gtk.RESPONSE_OK:
+        if dialog.run() == Gtk.ResponseType.OK:
             self.set_revision(dialog.get_revision())
 
         dialog.destroy()
@@ -562,7 +562,7 @@
 
         old = self.paned
         self.vbox.remove(old)
-        self.vbox.pack_start(self.construct_paned(), expand=True, fill=True)
+        self.vbox.pack_start(self.construct_paned(, True, True, 0), expand=True, fill=True)
         self._make_diff_paned_nonzero_size()
         self._make_diff_nonzero_size()
 
@@ -612,15 +612,15 @@
         self.treeview.refresh()
 
     def _update_tags(self):
-        menu = gtk.Menu()
+        menu = Gtk.Menu()
 
         if self.branch.supports_tags():
             tags = self.branch.tags.get_tag_dict().items()
             tags.sort(reverse=True)
             for tag, revid in tags:
-                tag_image = gtk.Image()
+                tag_image = Gtk.Image()
                 tag_image.set_from_file(icon_path('tag-16.png'))
-                tag_item = gtk.ImageMenuItem(tag.replace('_', '__'))
+                tag_item = Gtk.ImageMenuItem(tag.replace('_', '__'))
                 tag_item.set_image(tag_image)
                 tag_item.connect('activate', self._tag_selected_cb, revid)
                 tag_item.set_sensitive(self.treeview.has_revision_id(revid))

=== modified file 'window.py'
--- window.py	2008-10-23 08:14:59 +0000
+++ window.py	2011-07-31 15:52:43 +0000
@@ -1,22 +1,22 @@
 
 import pygtk
-import gtk
+from gi.repository import Gtk
 
-class Window(gtk.Window):
+class Window(Gtk.Window):
 
     def __init__(self, parent=None):
-        gtk.Window.__init__(self, gtk.WINDOW_TOPLEVEL)
+        GObject.GObject.__init__(self, Gtk.WindowType.TOPLEVEL)
         self._parent = parent
 
         self.connect('key-press-event', self._on_key_press)
 
     def _on_key_press(self, widget, event):
-        keyname = gtk.gdk.keyval_name(event.keyval)
-        if event.state & gtk.gdk.CONTROL_MASK:
+        keyname = Gdk.keyval_name(event.keyval)
+        if event.get_state() & Gdk.EventMask.CONTROL_MASK:
             if keyname is "w":
                 self.destroy()
                 if self._parent is None:
-                    gtk.main_quit()
+                    Gtk.main_quit()
             elif keyname is "q":
-                gtk.main_quit()
+                Gtk.main_quit()
 

